/*---------------------------------------------------------------------
 * $AstecId: user-xtype.c,v 1.2 2003/01/29 04:17:48 kosaka Exp $
 * $Source: /rcs/rcs2/customize/user-xtype.c,v $
 * $Date: 1996/11/09 16:38:18 $             $Revision: 2.2.65.1 $
 *---------------------------------------------------------------------
 * 
 *
 *             Copyright (c) 1991, Visual Edge Software Ltd.
 *
 * ALL  RIGHTS  RESERVED.  Permission  to  use,  copy,  modify,  and
 * distribute  this  software  and its documentation for any purpose
 * and  without  fee  is  hereby  granted,  provided  that the above
 * copyright  notice  appear  in  all  copies  and  that  both  that
 * copyright  notice and this permission notice appear in supporting
 * documentation,  and that  the name of Visual Edge Software not be
 * used  in advertising  or publicity  pertaining to distribution of
 * the software without specific, written prior permission. The year
 * included in the notice is the year of the creation of the work.
 *-------------------------------------------------------------------*/

/*
 * XRT products and UIM/X integration file
 *
 *  SCCSID -- @(#)user-xtype.c	1.3    96/04/12 KL Group Inc.
 */

#include "UxLib.h"
#include "vtypes.h"
#include "utype.h"

void	UxAddUserDefEnumTypes()
{
	/* This stub function provides a place for the user to add
	   calls to UxAddEnumType() in order to add enumerated-resource types */
#ifdef	HASBAE
	extern void UxAddCaptionEnumTypes();

	UxAddCaptionEnumTypes();
#endif	/* HASBAE */

#ifdef	XRT
#ifdef	HASXRTGRAPH
	XrtGph_enum();
#endif /* HASXRTGRAPH */

#ifdef HASXRT3D
	Xrt3d_enum();
#endif /* HASXRT3D */

#ifdef HASXRTTABLE
	XrtTbl_enum();
#endif /* HASXRTTABLE */
	
#ifdef HASXRTFIELD
	XrtFld_enum();
#endif /* HASXRTFIELD */

#ifdef HASXRTGEAR
	XrtGear_enum();
#endif /* HASXRTGEAR */

#ifdef HASXRTGAUGE
	XrtGauge_enum();
#endif /* HASXRTGAUGE */
#endif	/* XRT */

}

void	UxAddUserDefXtypes()
{
	/* This stub function provides a place for the user to add
	   calls to UxAddXType() and UxAddConv() in order to add resource types
	   other than enumerated ones */
#ifdef	HASBAE
	extern void UxAddMatrixXtypes();

	UxAddMatrixXtypes();
#endif	/*HASBAE*/
	
#ifdef	XRT
	/* Add xtypes for specific widgets */

#ifdef HASXRTGRAPH
	XrtGph_xtypes();
	XrtGph_init_resource_table();
#endif /* HASXRTGRAPH */

#ifdef HASXRT3D
	Xrt3d_xtypes();
	Xrt3d_init_resource_table();
#endif /* HASXRT3D */

#ifdef HASXRTTABLE
	XrtTbl_xtypes();
	XrtTbl_init_resource_table();
#endif /* HASXRTTABLE */
	
#ifdef HASXRTFIELD
	XrtFld_xtypes();
	XrtFld_init_resource_table();
#endif /* HASXRTFIELD */

#ifdef HASXRTGEAR
	XrtGear_xtypes();
	XrtGear_init_resource_table();
#endif /* HASXRTGEAR */

#ifdef HASXRTGAUGE
	XrtGauge_xtypes();
	XrtGauge_init_resource_table();
#endif /* HASXRTGAUGE */
#endif	/* XRT */
}

