/* $AstecId: XrtFld_menus.c,v 1.2 1998/01/05 03:31:53 aoyama Exp $ */
/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtFld_menus.c	1.7    98/11/05 KL Group Inc.
 */

/******************************************************************************
				XrtFld_menus.c
******************************************************************************/

#include <stdio.h>
#include <Xm/Xm.h>
#include "uxproto.h"
#include "cr_menu_ds.h"		/* definitions of message numbers MS_xxxx */

#include "UxCascB.h"
#include "UxRowCol.h"

swidget UxAddToCreateMenu UXPROTO((swidget, 
								   char *, 
								   char *, 
								   Boolean, 
								   void (*)(), 
								   Class_t, 
								   void (*)() ));

extern Class_t UxC_XrtStringField;
extern Class_t UxC_XrtDateField;
extern Class_t UxC_XrtFloatField;
extern Class_t UxC_XrtCurrencyField;
extern Class_t UxC_XrtIntField;
extern Class_t UxC_XrtComboBox;
extern Class_t UxC_XrtSpinBox;
extern Class_t UxC_XrtCalendar;

static swidget	create_xrtfield;
static swidget	create_xrtfield_rc;
static swidget	top_create_xrtfield;
static swidget	top_create_xrtfield_rc;


static void
XrtField_createmenu(casc_swgt, rowcol_swgt, popup)
swidget casc_swgt;
swidget rowcol_swgt;
int	popup;
{
	swidget child_casc;
	swidget child_rowcol;

	child_casc = UxCreateCascadeButton("field_casc",rowcol_swgt);
	child_rowcol = UxCreateRowColumn("field_rowcol",rowcol_swgt);
	if(popup){
		create_xrtfield = child_casc;
		create_xrtfield_rc = child_rowcol;
	}
	else{
		top_create_xrtfield = child_casc;
		top_create_xrtfield_rc = child_rowcol;
	}
	UxPutLabelString(child_casc, "XRT/field");
	UxPutMnemonic(child_casc, "f");
	UxPutSubMenuId(child_casc, "field_rowcol");
	UxPutRowColumnType(child_rowcol, "menu_pulldown");
	UxCreateWidget(child_rowcol);
	UxCreateWidget(child_casc);

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtStringField",
							 "S",
							 FALSE,
							 NULL,
							 UxC_XrtStringField,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtDateField",
							 "D",
							 FALSE,
							 NULL,
							 UxC_XrtDateField,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtFloatField",
							 "F",
							 FALSE,
							 NULL,
							 UxC_XrtFloatField,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtCurrencyField",
							 "C",
							 FALSE,
							 NULL,
							 UxC_XrtCurrencyField,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtIntField",
							 "I",
							 FALSE,
							 NULL,
							 UxC_XrtIntField,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtComboBox",
							 "b",
							 FALSE,
							 NULL,
							 UxC_XrtComboBox,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtSpinBox",
							 "p",
							 FALSE,
							 NULL,
							 UxC_XrtSpinBox,
							 NULL );
	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtCalendar",
							 "l",
							 FALSE,
							 NULL,
							 UxC_XrtCalendar,
							 NULL );

}

void
XrtFld_custmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
	XrtField_createmenu(casc_swgt, rowcol_swgt, FALSE);
}

void
XrtFld_tcustmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
	XrtField_createmenu(casc_swgt, rowcol_swgt, TRUE);
}

