/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtGauge_cg.c	1.1    99/11/01 KL Group Inc.
 */

/******************************************************************************/
/*				XrtGauge_cg.c				      							  */
/******************************************************************************/

#include <stdio.h>
#include "utype.h"
#include "class_info.h"

#ifdef HASXRTGAUGE

#include <Xm/XrtGauge.h>
#include "XrtGauge_xtype.h"
#include "Xrt_restable.h"

static RES_INFO		XrtGaCircularDial_res[size_XrtGaCircularDialResNum];
static RES_INFO		XrtGaCircularGauge_res[size_XrtGaCircularGaugeResNum];
static RES_INFO		XrtGaCounter_res[size_XrtGaCounterResNum];
static RES_INFO		XrtGaLEDIcon_res[size_XrtGaLEDIconResNum];
static RES_INFO		XrtGaLEDNumerical_res[size_XrtGaLEDNumericalResNum];
static RES_INFO		XrtGaLinearDial_res[size_XrtGaLinearDialResNum];
static RES_INFO		XrtGaLinearGauge_res[size_XrtGaLinearGaugeResNum];
static RES_INFO		XrtGaPercent_res[size_XrtGaPercentResNum];
static RES_INFO		XrtGaCenter_res[size_XrtGaCenterResNum];
static RES_INFO		XrtGaCircularScale_res[size_XrtGaCircularScaleResNum];
static RES_INFO		XrtGaFrame_res[size_XrtGaFrameResNum];
static RES_INFO		XrtGaIcon_res[size_XrtGaIconResNum];
static RES_INFO		XrtGaIndicator_res[size_XrtGaIndicatorResNum];
static RES_INFO		XrtGaItem_res[size_XrtGaItemResNum];
static RES_INFO		XrtGaLinearScale_res[size_XrtGaLinearScaleResNum];
static RES_INFO		XrtGaMarker_res[size_XrtGaMarkerResNum];
static RES_INFO		XrtGaNeedle_res[size_XrtGaNeedleResNum];
static RES_INFO		XrtGaRange_res[size_XrtGaRangeResNum];
static RES_INFO		XrtGaState_res[size_XrtGaStateResNum];
static RES_INFO		XrtGaSwitch_res[size_XrtGaSwitchResNum];
static RES_INFO		XrtGaText_res[size_XrtGaTextResNum];
static RES_INFO		XrtGaTick_res[size_XrtGaTickResNum];


static void
XrtGauge_cgdef_resource(table, res_info_table, n, m)
XrtGaugeResourceDesc	*table;
RES_INFO			*res_info_table;
int 				n;
int 				m;
{
	RES_INFO	*pResInfo;

	pResInfo 				= &(res_info_table[m]);
	pResInfo->name 			= table[n].name;
	pResInfo->xt_name 		= table[n].xt_name;
	pResInfo->xt_name_def 	= table[n].xt_name_def;
	pResInfo->pass 			= (int) table[n].pass;
	pResInfo->xtype 		= table[n].type->xtype;	

	/* rb ?? revisit, do we need to add any new types here */	
	if (table[n].type->convert_flag == 1 && !table[n].type->converter) {
		pResInfo->rt_conv = 1;
	}

	if (table[n].type->converter) {
		pResInfo->converter = table[n].type->converter;
	}

    if (table[n].type->datatype.type_gauge == XRTGA_OBJECT) {
        pResInfo->wgt_val = 1;
    }
	
	if (table[n].type->datatype.type_gauge == XRTGA_CALLBACK) {
		pResInfo->callback = 1;
	}
}
#endif /* HASXRTGAUGE */

XrtGauge_cg()
{
#ifdef HASXRTGAUGE

	int							n, n_res_used;

	static WGT_CLASS_INFO		XrtGaCenter_class_info;
	static WGT_CLASS_INFO		XrtGaCircularScale_class_info;
	static WGT_CLASS_INFO		XrtGaFrame_class_info;
	static WGT_CLASS_INFO		XrtGaIcon_class_info;
	static WGT_CLASS_INFO		XrtGaIndicator_class_info;
	static WGT_CLASS_INFO		XrtGaItem_class_info;
	static WGT_CLASS_INFO		XrtGaLinearScale_class_info;
	static WGT_CLASS_INFO		XrtGaMarker_class_info;
	static WGT_CLASS_INFO		XrtGaNeedle_class_info;
	static WGT_CLASS_INFO		XrtGaRange_class_info;
	static WGT_CLASS_INFO		XrtGaState_class_info;
	static WGT_CLASS_INFO		XrtGaSwitch_class_info;
	static WGT_CLASS_INFO		XrtGaText_class_info;
	static WGT_CLASS_INFO		XrtGaTick_class_info;
	static WGT_CLASS_INFO		XrtGaCircularDial_class_info;
	static WGT_CLASS_INFO		XrtGaCircularGauge_class_info;
	static WGT_CLASS_INFO		XrtGaCounter_class_info;
	static WGT_CLASS_INFO		XrtGaLEDIcon_class_info;
	static WGT_CLASS_INFO		XrtGaLEDNumerical_class_info;
	static WGT_CLASS_INFO		XrtGaLinearDial_class_info;
	static WGT_CLASS_INFO		XrtGaLinearGauge_class_info;
	static WGT_CLASS_INFO		XrtGaPercent_class_info;

	xrt_debug_enter("XrtGauge_cg");
	XrtGauge_init_resource_table();

	/*
	 *	Define resources and class info for XrtGaCenter
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaCenter_res; n++) {
		if (XrtGaCenter_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaCenter_res_table, XrtGaCenter_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaCenter_res", n_res_used);

	XrtGaCenter_class_info.name = "XrtGaCenter";
	XrtGaCenter_class_info.filename = "XrtGaCenter";
	XrtGaCenter_class_info.supername = "gadget";
	XrtGaCenter_class_info.xt_name = "xmXrtGaCenterObjectClass";
	XrtGaCenter_class_info.xt_filename = "Xm/XrtGaCenter.h";
	XrtGaCenter_class_info.resources = XrtGaCenter_res;
	XrtGaCenter_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaCenter_class_info);
	
	/*
	 *	Define resources and class info for XrtGaCircularScale
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaCircularScale_res; n++) {
		if (XrtGaCircularScale_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaCircularScale_res_table, XrtGaCircularScale_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaCircularScale_res", n_res_used);

	XrtGaCircularScale_class_info.name = "XrtGaCircularScale";
	XrtGaCircularScale_class_info.filename = "XrtGaCircularScale";
	XrtGaCircularScale_class_info.supername = "gadget";
	XrtGaCircularScale_class_info.xt_name = "xmXrtGaCircularScaleObjectClass";
	XrtGaCircularScale_class_info.xt_filename = "Xm/XrtGaCircularScale.h";
	XrtGaCircularScale_class_info.resources = XrtGaCircularScale_res;
	XrtGaCircularScale_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaCircularScale_class_info);
	
	/*
	 *	Define resources and class info for XrtGaFrame
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaFrame_res; n++) {
		if (XrtGaFrame_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaFrame_res_table, XrtGaFrame_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaFrame_res", n_res_used);

	XrtGaFrame_class_info.name = "XrtGaFrame";
	XrtGaFrame_class_info.filename = "XrtGaFrame";
	XrtGaFrame_class_info.supername = "gadget";
	XrtGaFrame_class_info.xt_name = "xmXrtGaFrameObjectClass";
	XrtGaFrame_class_info.xt_filename = "Xm/XrtGaFrame.h";
	XrtGaFrame_class_info.resources = XrtGaFrame_res;
	XrtGaFrame_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaFrame_class_info);
	
	/*
	 *	Define resources and class info for XrtGaIcon
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaIcon_res; n++) {
		if (XrtGaIcon_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaIcon_res_table, XrtGaIcon_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaIcon_res", n_res_used);

	XrtGaIcon_class_info.name = "XrtGaIcon";
	XrtGaIcon_class_info.filename = "XrtGaIcon";
	XrtGaIcon_class_info.supername = "gadget";
	XrtGaIcon_class_info.xt_name = "xmXrtGaIconObjectClass";
	XrtGaIcon_class_info.xt_filename = "Xm/XrtGaIcon.h";
	XrtGaIcon_class_info.resources = XrtGaIcon_res;
	XrtGaIcon_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaIcon_class_info);
	
	/*
	 *	Define resources and class info for XrtGaIndicator
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaIndicator_res; n++) {
		if (XrtGaIndicator_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaIndicator_res_table, XrtGaIndicator_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaIndicator_res", n_res_used);

	XrtGaIndicator_class_info.name = "XrtGaIndicator";
	XrtGaIndicator_class_info.filename = "XrtGaIndicator";
	XrtGaIndicator_class_info.supername = "gadget";
	XrtGaIndicator_class_info.xt_name = "xmXrtGaIndicatorObjectClass";
	XrtGaIndicator_class_info.xt_filename = "Xm/XrtGaIndicator.h";
	XrtGaIndicator_class_info.resources = XrtGaIndicator_res;
	XrtGaIndicator_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaIndicator_class_info);
	
	/*
	 *	Define resources and class info for XrtGaItem
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaItem_res; n++) {
		if (XrtGaItem_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaItem_res_table, XrtGaItem_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaItem_res", n_res_used);

	XrtGaItem_class_info.name = "XrtGaItem";
	XrtGaItem_class_info.filename = "XrtGaItem";
	XrtGaItem_class_info.supername = "gadget";
	XrtGaItem_class_info.xt_name = "xmXrtGaItemObjectClass";
	XrtGaItem_class_info.xt_filename = "Xm/XrtGaItem.h";
	XrtGaItem_class_info.resources = XrtGaItem_res;
	XrtGaItem_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaItem_class_info);
	
	/*
	 *	Define resources and class info for XrtGaLinearScale
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaLinearScale_res; n++) {
		if (XrtGaLinearScale_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaLinearScale_res_table, XrtGaLinearScale_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaLinearScale_res", n_res_used);

	XrtGaLinearScale_class_info.name = "XrtGaLinearScale";
	XrtGaLinearScale_class_info.filename = "XrtGaLinearScale";
	XrtGaLinearScale_class_info.supername = "gadget";
	XrtGaLinearScale_class_info.xt_name = "xmXrtGaLinearScaleObjectClass";
	XrtGaLinearScale_class_info.xt_filename = "Xm/XrtGaLinearScale.h";
	XrtGaLinearScale_class_info.resources = XrtGaLinearScale_res;
	XrtGaLinearScale_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaLinearScale_class_info);
	
	/*
	 *	Define resources and class info for XrtGaMarker
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaMarker_res; n++) {
		if (XrtGaMarker_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaMarker_res_table, XrtGaMarker_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaMarker_res", n_res_used);

	XrtGaMarker_class_info.name = "XrtGaMarker";
	XrtGaMarker_class_info.filename = "XrtGaMarker";
	XrtGaMarker_class_info.supername = "gadget";
	XrtGaMarker_class_info.xt_name = "xmXrtGaMarkerObjectClass";
	XrtGaMarker_class_info.xt_filename = "Xm/XrtGaMarker.h";
	XrtGaMarker_class_info.resources = XrtGaMarker_res;
	XrtGaMarker_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaMarker_class_info);
	
	/*
	 *	Define resources and class info for XrtGaNeedle
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaNeedle_res; n++) {
		if (XrtGaNeedle_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaNeedle_res_table, XrtGaNeedle_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaNeedle_res", n_res_used);

	XrtGaNeedle_class_info.name = "XrtGaNeedle";
	XrtGaNeedle_class_info.filename = "XrtGaNeedle";
	XrtGaNeedle_class_info.supername = "gadget";
	XrtGaNeedle_class_info.xt_name = "xmXrtGaNeedleObjectClass";
	XrtGaNeedle_class_info.xt_filename = "Xm/XrtGaNeedle.h";
	XrtGaNeedle_class_info.resources = XrtGaNeedle_res;
	XrtGaNeedle_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaNeedle_class_info);
	
	/*
	 *	Define resources and class info for XrtGaRange
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaRange_res; n++) {
		if (XrtGaRange_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaRange_res_table, XrtGaRange_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaRange_res", n_res_used);

	XrtGaRange_class_info.name = "XrtGaRange";
	XrtGaRange_class_info.filename = "XrtGaRange";
	XrtGaRange_class_info.supername = "gadget";
	XrtGaRange_class_info.xt_name = "xmXrtGaRangeObjectClass";
	XrtGaRange_class_info.xt_filename = "Xm/XrtGaRange.h";
	XrtGaRange_class_info.resources = XrtGaRange_res;
	XrtGaRange_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaRange_class_info);
	
	/*
	 *	Define resources and class info for XrtGaState
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaState_res; n++) {
		if (XrtGaState_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaState_res_table, XrtGaState_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaState_res", n_res_used);

	XrtGaState_class_info.name = "XrtGaState";
	XrtGaState_class_info.filename = "XrtGaState";
	XrtGaState_class_info.supername = "gadget";
	XrtGaState_class_info.xt_name = "xmXrtGaStateObjectClass";
	XrtGaState_class_info.xt_filename = "Xm/XrtGaState.h";
	XrtGaState_class_info.resources = XrtGaState_res;
	XrtGaState_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaState_class_info);
	
	/*
	 *	Define resources and class info for XrtGaSwitch
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaSwitch_res; n++) {
		if (XrtGaSwitch_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaSwitch_res_table, XrtGaSwitch_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaSwitch_res", n_res_used);

	XrtGaSwitch_class_info.name = "XrtGaSwitch";
	XrtGaSwitch_class_info.filename = "XrtGaSwitch";
	XrtGaSwitch_class_info.supername = "gadget";
	XrtGaSwitch_class_info.xt_name = "xmXrtGaSwitchObjectClass";
	XrtGaSwitch_class_info.xt_filename = "Xm/XrtGaSwitch.h";
	XrtGaSwitch_class_info.resources = XrtGaSwitch_res;
	XrtGaSwitch_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaSwitch_class_info);
	
	/*
	 *	Define resources and class info for XrtGaText
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaText_res; n++) {
		if (XrtGaText_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaText_res_table, XrtGaText_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaText_res", n_res_used);

	XrtGaText_class_info.name = "XrtGaText";
	XrtGaText_class_info.filename = "XrtGaText";
	XrtGaText_class_info.supername = "gadget";
	XrtGaText_class_info.xt_name = "xmXrtGaTextObjectClass";
	XrtGaText_class_info.xt_filename = "Xm/XrtGaText.h";
	XrtGaText_class_info.resources = XrtGaText_res;
	XrtGaText_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaText_class_info);
	
	/*
	 *	Define resources and class info for XrtGaTick
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaTick_res; n++) {
		if (XrtGaTick_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaTick_res_table, XrtGaTick_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaTick_res", n_res_used);

	XrtGaTick_class_info.name = "XrtGaTick";
	XrtGaTick_class_info.filename = "XrtGaTick";
	XrtGaTick_class_info.supername = "gadget";
	XrtGaTick_class_info.xt_name = "xmXrtGaTickObjectClass";
	XrtGaTick_class_info.xt_filename = "Xm/XrtGaTick.h";
	XrtGaTick_class_info.resources = XrtGaTick_res;
	XrtGaTick_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaTick_class_info);
	
	/*
	 *	Define resources and class info for XrtGaCircularDial
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaCircularDial_res; n++) {
		if (XrtGaCircularDial_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaCircularDial_res_table, XrtGaCircularDial_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaCircularDial_res", n_res_used);

	XrtGaCircularDial_class_info.name = "XrtGaCircularDial";
	XrtGaCircularDial_class_info.filename = "XrtGaCircularDial";
	XrtGaCircularDial_class_info.supername = "primitive";
	XrtGaCircularDial_class_info.xt_name = "xmXrtGaCircularDialWidgetClass";
	XrtGaCircularDial_class_info.xt_filename = "Xm/XrtGaCircularDial.h";
	XrtGaCircularDial_class_info.resources = XrtGaCircularDial_res;
	XrtGaCircularDial_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaCircularDial_class_info);
	/*
	 *	Define resources and class info for XrtGaCircularGauge
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaCircularGauge_res; n++) {
		if (XrtGaCircularGauge_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaCircularGauge_res_table, XrtGaCircularGauge_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaCircularGauge_res", n_res_used);

	XrtGaCircularGauge_class_info.name = "XrtGaCircularGauge";
	XrtGaCircularGauge_class_info.filename = "XrtGaCircularGauge";
	XrtGaCircularGauge_class_info.supername = "primitive";
	XrtGaCircularGauge_class_info.xt_name = "xmXrtGaCircularGaugeWidgetClass";
	XrtGaCircularGauge_class_info.xt_filename = "Xm/XrtGaCircularGauge.h";
	XrtGaCircularGauge_class_info.resources = XrtGaCircularGauge_res;
	XrtGaCircularGauge_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaCircularGauge_class_info);
	/*
	 *	Define resources and class info for XrtGaCounter
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaCounter_res; n++) {
		if (XrtGaCounter_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaCounter_res_table, XrtGaCounter_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaCounter_res", n_res_used);

	XrtGaCounter_class_info.name = "XrtGaCounter";
	XrtGaCounter_class_info.filename = "XrtGaCounter";
	XrtGaCounter_class_info.supername = "gadget";
	XrtGaCounter_class_info.xt_name = "xmXrtGaCounterObjectClass";
	XrtGaCounter_class_info.xt_filename = "Xm/XrtGaCounter.h";
	XrtGaCounter_class_info.resources = XrtGaCounter_res;
	XrtGaCounter_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaCounter_class_info);
	/*
	 *	Define resources and class info for XrtGaLEDIcon
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaLEDIcon_res; n++) {
		if (XrtGaLEDIcon_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaLEDIcon_res_table, XrtGaLEDIcon_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaLEDIcon_res", n_res_used);

	XrtGaLEDIcon_class_info.name = "XrtGaLEDIcon";
	XrtGaLEDIcon_class_info.filename = "XrtGaLEDIcon";
	XrtGaLEDIcon_class_info.supername = "primitive";
	XrtGaLEDIcon_class_info.xt_name = "xmXrtGaLEDIconWidgetClass";
	XrtGaLEDIcon_class_info.xt_filename = "Xm/XrtGaLEDIcon.h";
	XrtGaLEDIcon_class_info.resources = XrtGaLEDIcon_res;
	XrtGaLEDIcon_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaLEDIcon_class_info);
	/*
	 *	Define resources and class info for XrtGaLEDNumerical
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaLEDNumerical_res; n++) {
		if (XrtGaLEDNumerical_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaLEDNumerical_res_table, XrtGaLEDNumerical_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaLEDNumerical_res", n_res_used);

	XrtGaLEDNumerical_class_info.name = "XrtGaLEDNumerical";
	XrtGaLEDNumerical_class_info.filename = "XrtGaLEDNumerical";
	XrtGaLEDNumerical_class_info.supername = "primitive";
	XrtGaLEDNumerical_class_info.xt_name = "xmXrtGaLEDNumericalWidgetClass";
	XrtGaLEDNumerical_class_info.xt_filename = "Xm/XrtGaLEDNumerical.h";
	XrtGaLEDNumerical_class_info.resources = XrtGaLEDNumerical_res;
	XrtGaLEDNumerical_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaLEDNumerical_class_info);
	/*
	 *	Define resources and class info for XrtGaLinearDial
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaLinearDial_res; n++) {
		if (XrtGaLinearDial_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaLinearDial_res_table, XrtGaLinearDial_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaLinearDial_res", n_res_used);

	XrtGaLinearDial_class_info.name = "XrtGaLinearDial";
	XrtGaLinearDial_class_info.filename = "XrtGaLinearDial";
	XrtGaLinearDial_class_info.supername = "primitive";
	XrtGaLinearDial_class_info.xt_name = "xmXrtGaLinearDialWidgetClass";
	XrtGaLinearDial_class_info.xt_filename = "Xm/XrtGaLinearDial.h";
	XrtGaLinearDial_class_info.resources = XrtGaLinearDial_res;
	XrtGaLinearDial_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaLinearDial_class_info);
	/*
	 *	Define resources and class info for XrtGaLinearGauge
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaLinearGauge_res; n++) {
		if (XrtGaLinearGauge_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaLinearGauge_res_table, XrtGaLinearGauge_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaLinearGauge_res", n_res_used);

	XrtGaLinearGauge_class_info.name = "XrtGaLinearGauge";
	XrtGaLinearGauge_class_info.filename = "XrtGaLinearGauge";
	XrtGaLinearGauge_class_info.supername = "primitive";
	XrtGaLinearGauge_class_info.xt_name = "xmXrtGaLinearGaugeWidgetClass";
	XrtGaLinearGauge_class_info.xt_filename = "Xm/XrtGaLinearGauge.h";
	XrtGaLinearGauge_class_info.resources = XrtGaLinearGauge_res;
	XrtGaLinearGauge_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaLinearGauge_class_info);
	/*
	 *	Define resources and class info for XrtGaPercent
	 */
	
	n_res_used = 0;
	for (n = 0; n < numXrtGaPercent_res; n++) {
		if (XrtGaPercent_res_table[n].used) {
			XrtGauge_cgdef_resource(XrtGaPercent_res_table, XrtGaPercent_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	xrt_debug_print_int("XrtGaPercent_res", n_res_used);

	XrtGaPercent_class_info.name = "XrtGaPercent";
	XrtGaPercent_class_info.filename = "XrtGaPercent";
	XrtGaPercent_class_info.supername = "primitive";
	XrtGaPercent_class_info.xt_name = "xmXrtGaPercentWidgetClass";
	XrtGaPercent_class_info.xt_filename = "Xm/XrtGaPercent.h";
	XrtGaPercent_class_info.resources = XrtGaPercent_res;
	XrtGaPercent_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtGaPercent_class_info);
	
	
#endif /* HASXRTGAUGE */
}


