/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtGauge_menus.c	1.1    95/11/10 KL Group Inc.
 */

/******************************************************************************
				XrtGauge_menus.c
******************************************************************************/

#include <stdio.h>
#include <Xm/Xm.h>
#include "uxproto.h"
#include "cr_menu_ds.h"		/* definitions of message numbers MS_xxxx */

#include "UxCascB.h"
#include "UxRowCol.h"

swidget UxAddToCreateMenu UXPROTO((swidget, 
								   char *, 
								   char *, 
								   Boolean, 
								   void (*)(), 
								   Class_t, 
								   void (*)() ));

#ifdef HASXRTGAUGE
extern Class_t		UxC_XrtGaCircularDial;
extern Class_t		UxC_XrtGaCircularGauge;
extern Class_t		UxC_XrtGaLEDIcon;
extern Class_t		UxC_XrtGaLEDNumerical;
extern Class_t		UxC_XrtGaLinearDial;
extern Class_t		UxC_XrtGaLinearGauge;
extern Class_t		UxC_XrtGaPercent;

extern Class_t		UxC_XrtGaCenter;
extern Class_t		UxC_XrtGaCircularScale;
extern Class_t		UxC_XrtGaCounter;
extern Class_t		UxC_XrtGaFrame;
extern Class_t		UxC_XrtGaIcon;
extern Class_t		UxC_XrtGaIndicator;
extern Class_t		UxC_XrtGaItem;
extern Class_t		UxC_XrtGaLinearScale;
extern Class_t		UxC_XrtGaMarker;
extern Class_t		UxC_XrtGaNeedle;
extern Class_t		UxC_XrtGaRange;
extern Class_t		UxC_XrtGaState;
extern Class_t		UxC_XrtGaSwitch;
extern Class_t		UxC_XrtGaText;
extern Class_t		UxC_XrtGaTick;

static swidget	create_xrtgauge;
static swidget	create_xrtgauge_rc;
static swidget	top_create_xrtgauge;
static swidget	top_create_xrtgauge_rc;

#endif /* HASXRTGAUGE */



static void
XrtGauge_createmenu(casc_swgt, rowcol_swgt, popup)
swidget casc_swgt;
swidget rowcol_swgt;
int	popup;
{
	swidget child_casc;
	swidget child_rowcol;

#ifdef HASXRTGAUGE

	xrt_debug_enter("XrtGauge_createmenu");

	child_casc = UxCreateCascadeButton("gauge_casc",rowcol_swgt);
	child_rowcol = UxCreateRowColumn("gauge_rowcol",rowcol_swgt);
	if(popup){
		create_xrtgauge = child_casc;
		create_xrtgauge_rc = child_rowcol;
	}
	else{
		top_create_xrtgauge = child_casc;
		top_create_xrtgauge_rc = child_rowcol;
	}
	UxPutLabelString(child_casc, "XRT/guage");
	UxPutMnemonic(child_casc, "f");
	UxPutSubMenuId(child_casc, "gauge_rowcol");
	UxPutRowColumnType(child_rowcol, "menu_pulldown");
	UxCreateWidget(child_rowcol);
	UxCreateWidget(child_casc);

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaCircularDial",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaCircularDial,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaCircularGauge",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaCircularGauge,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaCounter",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaCounter,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaLEDIcon",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaLEDIcon,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaLEDNumerical",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaLEDNumerical,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaLinearDial",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaLinearDial,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaLinearGauge",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaLinearGauge,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaPercent",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaPercent,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaCenter",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaCenter,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaCircularScale",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaCircularScale,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaFrame",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaFrame,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaIcon",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaIcon,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaIndicator",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaIndicator,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaItem",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaItem,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaLinearScale",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaLinearScale,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaMarker",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaMarker,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaNeedle",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaNeedle,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaRange",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaRange,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaState",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaState,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaSwitch",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaSwitch,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaText",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaText,
							 NULL );

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtGaTick",
							 "X",
							 TRUE,
							 NULL,
							 UxC_XrtGaTick,
							 NULL );

	xrt_debug_leave("XrtGauge_createmenu");

#endif /* HASXRTGAUGE */
}


void
XrtGauge_custmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
#ifdef HASXRTGAUGE
	xrt_debug_enter("XrtGauge_custmenu");

	XrtGauge_createmenu(casc_swgt, rowcol_swgt, FALSE);

	xrt_debug_leave("XrtGauge_custmenu");
#endif /* HASXRTGAUGE */
}

void
XrtGauge_tcustmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
#ifdef HASXRTGAUGE
	xrt_debug_enter("XrtGauge_tcustmenu");

	XrtGauge_createmenu(casc_swgt, rowcol_swgt, TRUE);

	xrt_debug_leave("XrtGauge_tcustmenu");
#endif /* HASXRTGAUGE */
}
