/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecId: UxXrtGaCenter.hxx,v 1.3 2003/02/14 02:24:57 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtGaCenter.hxx	1.3    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaCenter : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaCenter(void);
	UXINLINE UxXrtGaCenter(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE char * GetXrtGaCircularScale () const;
	UXINLINE void SetXrtGaCircularScale (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE double GetXrtGaRadius () const;
	UXINLINE void SetXrtGaRadius (double);


};

#ifdef DESIGN_TIME

#define XrtGaCenter_prpty_name(x)	XrtGaCenter_res_table[x].prpty, XrtGaCenter_res_table[x].name

extern Class_t UxC_XrtGaCenter;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaCenter::UxXrtGaCenter(void){}
inline UxXrtGaCenter::UxXrtGaCenter(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaCenter::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaCenterWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaCenter::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaCenter::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline char *  UxXrtGaCenter::GetXrtGaCircularScale (void) const
        { return (char * ) DDGetProp(XmNxrtGaCircularScale);}
inline void UxXrtGaCenter::SetXrtGaCircularScale (const char * val)
        { DDSetProp(XmNxrtGaCircularScale, ((XtArgVal)(val)));}

inline char *  UxXrtGaCenter::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaCenter::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaCenter::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaCenter::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaCenter::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaCenter::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline double UxXrtGaCenter::GetXrtGaRadius (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaRadius);}
inline void UxXrtGaCenter::SetXrtGaRadius (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaRadius,val);}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
