/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaCircularDial.hxx	1.4    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaCircularDial : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrtGaCircularDial(void);
	UXINLINE UxXrtGaCircularDial(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetXrtGaBorder () const;
	UXINLINE void SetXrtGaBorder (const char *);

	UXINLINE char * GetXrtGaCircularScale () const;
	UXINLINE void SetXrtGaCircularScale (const char *);

	UXINLINE char * GetXrtGaCounterList () const;
	UXINLINE void SetXrtGaCounterList (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaDoubleBuffer () const;
	UXINLINE void SetXrtGaDoubleBuffer (const char *);

	UXINLINE char * GetXrtGaFrame () const;
	UXINLINE void SetXrtGaFrame (const char *);

	UXINLINE char * GetXrtGaHighlightColor () const;
	UXINLINE void SetXrtGaHighlightColor (const char *);

	UXINLINE char * GetXrtGaHighlightSelectedState () const;
	UXINLINE void SetXrtGaHighlightSelectedState (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE double GetXrtGaLineInnerRadius () const;
	UXINLINE void SetXrtGaLineInnerRadius (double);

	UXINLINE double GetXrtGaLineOuterRadius () const;
	UXINLINE void SetXrtGaLineOuterRadius (double);

	UXINLINE char * GetXrtGaMarker () const;
	UXINLINE void SetXrtGaMarker (const char *);

	UXINLINE double GetXrtGaOffsetDistance () const;
	UXINLINE void SetXrtGaOffsetDistance (double);

	UXINLINE char * GetXrtGaOffsetType () const;
	UXINLINE void SetXrtGaOffsetType (const char *);

	UXINLINE char * GetXrtGaRangeList () const;
	UXINLINE void SetXrtGaRangeList (const char *);

	UXINLINE char * GetXrtGaRenderList () const;
	UXINLINE void SetXrtGaRenderList (const char *);

	UXINLINE char * GetXrtGaRepaint () const;
	UXINLINE void SetXrtGaRepaint (const char *);

	UXINLINE char * GetXrtGaStateList () const;
	UXINLINE void SetXrtGaStateList (const char *);

	UXINLINE char * GetXrtGaSwitch () const;
	UXINLINE void SetXrtGaSwitch (const char *);

	UXINLINE char * GetXrtGaTextList () const;
	UXINLINE void SetXrtGaTextList (const char *);

	UXINLINE char * GetXrtGaTickList () const;
	UXINLINE void SetXrtGaTickList (const char *);

	UXINLINE char * GetXrtGaUseRenderList () const;
	UXINLINE void SetXrtGaUseRenderList (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaCDial_prpty_name(x)	XrtGaCircularDial_res_table[x].prpty, XrtGaCircularDial_res_table[x].name

extern Class_t UxC_XrtGaCircularDial;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaCircularDial::UxXrtGaCircularDial(void){}
inline UxXrtGaCircularDial::UxXrtGaCircularDial(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaCircularDial::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaCircularDialWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaCircularDial::GetXrtGaBorder (void) const
        { return (char * ) DDGetProp(XmNxrtGaBorder);}
inline void UxXrtGaCircularDial::SetXrtGaBorder (const char * val)
        { DDSetProp(XmNxrtGaBorder, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaCircularScale (void) const
        { return (char * ) DDGetProp(XmNxrtGaCircularScale);}
inline void UxXrtGaCircularDial::SetXrtGaCircularScale (const char * val)
        { DDSetProp(XmNxrtGaCircularScale, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaCounterList (void) const
        { return (char * ) DDGetProp(XmNxrtGaCounterList);}
inline void UxXrtGaCircularDial::SetXrtGaCounterList (const char * val)
        { DDSetProp(XmNxrtGaCounterList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaCircularDial::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaDoubleBuffer (void) const
        { return (char * ) DDGetProp(XmNxrtGaDoubleBuffer);}
inline void UxXrtGaCircularDial::SetXrtGaDoubleBuffer (const char * val)
        { DDSetProp(XmNxrtGaDoubleBuffer, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaFrame (void) const
        { return (char * ) DDGetProp(XmNxrtGaFrame);}
inline void UxXrtGaCircularDial::SetXrtGaFrame (const char * val)
        { DDSetProp(XmNxrtGaFrame, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaHighlightColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaHighlightColor);}
inline void UxXrtGaCircularDial::SetXrtGaHighlightColor (const char * val)
        { DDSetProp(XmNxrtGaHighlightColor, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaHighlightSelectedState (void) const
        { return (char * ) DDGetProp(XmNxrtGaHighlightSelectedState);}
inline void UxXrtGaCircularDial::SetXrtGaHighlightSelectedState (const char * val)
        { DDSetProp(XmNxrtGaHighlightSelectedState, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaCircularDial::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaCircularDial::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline double UxXrtGaCircularDial::GetXrtGaLineInnerRadius (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaLineInnerRadius);}
inline void UxXrtGaCircularDial::SetXrtGaLineInnerRadius (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaLineInnerRadius,val);}

inline double UxXrtGaCircularDial::GetXrtGaLineOuterRadius (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaLineOuterRadius);}
inline void UxXrtGaCircularDial::SetXrtGaLineOuterRadius (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaLineOuterRadius,val);}

inline char *  UxXrtGaCircularDial::GetXrtGaMarker (void) const
        { return (char * ) DDGetProp(XmNxrtGaMarker);}
inline void UxXrtGaCircularDial::SetXrtGaMarker (const char * val)
        { DDSetProp(XmNxrtGaMarker, ((XtArgVal)(val)));}

inline double UxXrtGaCircularDial::GetXrtGaOffsetDistance (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaOffsetDistance);}
inline void UxXrtGaCircularDial::SetXrtGaOffsetDistance (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaOffsetDistance,val);}

inline char *  UxXrtGaCircularDial::GetXrtGaOffsetType (void) const
        { return (char * ) DDGetProp(XmNxrtGaOffsetType);}
inline void UxXrtGaCircularDial::SetXrtGaOffsetType (const char * val)
        { DDSetProp(XmNxrtGaOffsetType, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaRangeList (void) const
        { return (char * ) DDGetProp(XmNxrtGaRangeList);}
inline void UxXrtGaCircularDial::SetXrtGaRangeList (const char * val)
        { DDSetProp(XmNxrtGaRangeList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaRenderList);}
inline void UxXrtGaCircularDial::SetXrtGaRenderList (const char * val)
        { DDSetProp(XmNxrtGaRenderList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaRepaint (void) const
        { return (char * ) DDGetProp(XmNxrtGaRepaint);}
inline void UxXrtGaCircularDial::SetXrtGaRepaint (const char * val)
        { DDSetProp(XmNxrtGaRepaint, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaStateList (void) const
        { return (char * ) DDGetProp(XmNxrtGaStateList);}
inline void UxXrtGaCircularDial::SetXrtGaStateList (const char * val)
        { DDSetProp(XmNxrtGaStateList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaSwitch (void) const
        { return (char * ) DDGetProp(XmNxrtGaSwitch);}
inline void UxXrtGaCircularDial::SetXrtGaSwitch (const char * val)
        { DDSetProp(XmNxrtGaSwitch, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaTextList (void) const
        { return (char * ) DDGetProp(XmNxrtGaTextList);}
inline void UxXrtGaCircularDial::SetXrtGaTextList (const char * val)
        { DDSetProp(XmNxrtGaTextList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaTickList (void) const
        { return (char * ) DDGetProp(XmNxrtGaTickList);}
inline void UxXrtGaCircularDial::SetXrtGaTickList (const char * val)
        { DDSetProp(XmNxrtGaTickList, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularDial::GetXrtGaUseRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaUseRenderList);}
inline void UxXrtGaCircularDial::SetXrtGaUseRenderList (const char * val)
        { DDSetProp(XmNxrtGaUseRenderList, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
