/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaIcon.hxx	1.2    99/12/17 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaIcon : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaIcon(void);
	UXINLINE UxXrtGaIcon(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaOffColor () const;
	UXINLINE void SetXrtGaOffColor (const char *);

	UXINLINE char * GetXrtGaOnColor () const;
	UXINLINE void SetXrtGaOnColor (const char *);

	UXINLINE char * GetXrtGaOffImage () const;
	UXINLINE void SetXrtGaOffImage (const char *);

	UXINLINE char * GetXrtGaOnImage () const;
	UXINLINE void SetXrtGaOnImage (const char *);

	UXINLINE char * GetXrtGaShape () const;
	UXINLINE void SetXrtGaShape (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaIcon_prpty_name(x)	XrtGaIcon_res_table[x].prpty, XrtGaIcon_res_table[x].name

extern Class_t UxC_XrtGaIcon;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtGaIcon::UxXrtGaIcon(void){}
inline UxXrtGaIcon::UxXrtGaIcon(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaIcon::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaIconWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaIcon::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaIcon::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline char *  UxXrtGaIcon::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaIcon::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaIcon::GetXrtGaOffColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaOffColor);}
inline void UxXrtGaIcon::SetXrtGaOffColor (const char * val)
        { DDSetProp(XmNxrtGaOffColor, ((XtArgVal)(val)));}

inline char *  UxXrtGaIcon::GetXrtGaOnColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaOnColor);}
inline void UxXrtGaIcon::SetXrtGaOnColor (const char * val)
        { DDSetProp(XmNxrtGaOnColor, ((XtArgVal)(val)));}

inline char *  UxXrtGaIcon::GetXrtGaOffImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaOffImage);}
inline void UxXrtGaIcon::SetXrtGaOffImage (const char * val)
        { DDSetProp(XmNxrtGaOffImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaIcon::GetXrtGaOnImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaOnImage);}
inline void UxXrtGaIcon::SetXrtGaOnImage (const char * val)
        { DDSetProp(XmNxrtGaOnImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaIcon::GetXrtGaShape (void) const
        { return (char * ) DDGetProp(XmNxrtGaShape);}
inline void UxXrtGaIcon::SetXrtGaShape (const char * val)
        { DDSetProp(XmNxrtGaShape, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
