/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaLEDNumerical.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaLEDNumerical.h
******************************************************************************/

#ifndef UxXrtGaLEDNumerical_h
#define UxXrtGaLEDNumerical_h

#include <Xm/XrtGaLEDNumerical.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxPrim.h"
#include "UxXrtGaLEDNumerical.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaLEDNumerical_prpty_name(x)	XrtGaLEDNumerical_res_table[x].prpty, XrtGaLEDNumerical_res_table[x].name

#ifdef hp700v9
#define XrtGaDoubleToArgVal(d) UxXrtGaDoubleToArgVal(0,d)
#endif /* hp700v9 */

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Border))
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Border), val)
#endif

#ifndef UxGetXrtGaColorMixPercentage
#define UxGetXrtGaColorMixPercentage(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_ColorMixPercentage))
#endif
#ifndef UxPutXrtGaColorMixPercentage
#define UxPutXrtGaColorMixPercentage(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_ColorMixPercentage),val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Debug), val)
#endif

#ifndef UxGetXrtGaDecimalPlaces
#define UxGetXrtGaDecimalPlaces(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_DecimalPlaces))
#endif
#ifndef UxPutXrtGaDecimalPlaces
#define UxPutXrtGaDecimalPlaces(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_DecimalPlaces), val)
#endif

#ifndef UxGetXrtGaDecimalPosition
#define UxGetXrtGaDecimalPosition(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_DecimalPosition))
#endif
#ifndef UxPutXrtGaDecimalPosition
#define UxPutXrtGaDecimalPosition(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_DecimalPosition), val)
#endif

#ifndef UxGetXrtGaDecimalSize
#define UxGetXrtGaDecimalSize(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_DecimalSize))
#endif
#ifndef UxPutXrtGaDecimalSize
#define UxPutXrtGaDecimalSize(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_DecimalSize), val)
#endif

#ifndef UxGetXrtGaDoubleBuffer
#define UxGetXrtGaDoubleBuffer(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_DoubleBuffer))
#endif
#ifndef UxPutXrtGaDoubleBuffer
#define UxPutXrtGaDoubleBuffer(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_DoubleBuffer), val)
#endif

#ifndef UxGetXrtGaFixedDecimal
#define UxGetXrtGaFixedDecimal(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_FixedDecimal))
#endif
#ifndef UxPutXrtGaFixedDecimal
#define UxPutXrtGaFixedDecimal(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_FixedDecimal), val)
#endif

#ifndef UxGetXrtGaLeadingOne
#define UxGetXrtGaLeadingOne(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_LeadingOne))
#endif
#ifndef UxPutXrtGaLeadingOne
#define UxPutXrtGaLeadingOne(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_LeadingOne), val)
#endif

#ifndef UxGetXrtGaLeadingPlusMinus
#define UxGetXrtGaLeadingPlusMinus(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_LeadingPlusMinus))
#endif
#ifndef UxPutXrtGaLeadingPlusMinus
#define UxPutXrtGaLeadingPlusMinus(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_LeadingPlusMinus), val)
#endif

#ifndef UxGetXrtGaLeadingZeros
#define UxGetXrtGaLeadingZeros(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_LeadingZeros))
#endif
#ifndef UxPutXrtGaLeadingZeros
#define UxPutXrtGaLeadingZeros(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_LeadingZeros), val)
#endif

#ifndef UxGetXrtGaNumDigits
#define UxGetXrtGaNumDigits(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_NumDigits))
#endif
#ifndef UxPutXrtGaNumDigits
#define UxPutXrtGaNumDigits(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_NumDigits), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Image), val)
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_ImageLayout))
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_ImageLayout), val)
#endif

#ifndef UxGetXrtGaOnColor
#define UxGetXrtGaOnColor(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_OnColor))
#endif
#ifndef UxPutXrtGaOnColor
#define UxPutXrtGaOnColor(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_OnColor), val)
#endif

#ifndef UxGetXrtGaOffColor
#define UxGetXrtGaOffColor(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_OffColor))
#endif
#ifndef UxPutXrtGaOffColor
#define UxPutXrtGaOffColor(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_OffColor), val)
#endif

#ifndef UxGetXrtGaRepaint
#define UxGetXrtGaRepaint(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Repaint))
#endif
#ifndef UxPutXrtGaRepaint
#define UxPutXrtGaRepaint(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Repaint), val)
#endif

#ifndef UxGetXrtGaSegmentSpacing
#define UxGetXrtGaSegmentSpacing(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SegmentSpacing))
#endif
#ifndef UxPutXrtGaSegmentSpacing
#define UxPutXrtGaSegmentSpacing(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SegmentSpacing), val)
#endif

#ifndef UxGetXrtGaSegmentWidth
#define UxGetXrtGaSegmentWidth(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SegmentWidth))
#endif
#ifndef UxPutXrtGaSegmentWidth
#define UxPutXrtGaSegmentWidth(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SegmentWidth), val)
#endif

#ifndef UxGetXrtGaSlopeOffset
#define UxGetXrtGaSlopeOffset(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SlopeOffset))
#endif
#ifndef UxPutXrtGaSlopeOffset
#define UxPutXrtGaSlopeOffset(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SlopeOffset), val)
#endif

#ifndef UxGetXrtGaSpacingHorizontal
#define UxGetXrtGaSpacingHorizontal(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SpacingHorizontal))
#endif
#ifndef UxPutXrtGaSpacingHorizontal
#define UxPutXrtGaSpacingHorizontal(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SpacingHorizontal),val)
#endif

#ifndef UxGetXrtGaSpacingVertical
#define UxGetXrtGaSpacingVertical(sw) \
	UxGET_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SpacingVertical))
#endif
#ifndef UxPutXrtGaSpacingVertical
#define UxPutXrtGaSpacingVertical(sw, val) \
	UxPUT_int(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_SpacingVertical), val)
#endif

#ifndef UxGetXrtGaText
#define UxGetXrtGaText(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Text))
#endif
#ifndef UxPutXrtGaText
#define UxPutXrtGaText(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Text), val)
#endif

#ifndef UxGetXrtGaValue
#define UxGetXrtGaValue(sw) \
	UxGET_float(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Value))
#endif
#ifndef UxPutXrtGaValue
#define UxPutXrtGaValue(sw, val) \
	UxPUT_float(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_Value), val)
#endif

#ifndef UxGetXrtGaValueType
#define UxGetXrtGaValueType(sw) \
	UxGET_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_ValueType))
#endif
#ifndef UxPutXrtGaValueType
#define UxPutXrtGaValueType(sw, val) \
	UxPUT_string(sw,XrtGaLEDNumerical_prpty_name(XrtGaLEDNumerical_ValueType), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaLEDNumerical;

/* Design-time create macro */
#ifndef UxCreateXrtGaLEDNumerical
#define UxCreateXrtGaLEDNumerical(name, parent) \
	UxCreateSwidget(UxC_XrtGaLEDNumerical, name, parent)
#endif

#else /* RUN-TIME */

extern int	XrtGaGetDoubleProp();
extern double	XrtGaArgValToDouble();

#define RT_GA_GET_DOUBLE(sw,res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(sw,res))

#define RT_GA_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaBorder)
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxDDPutProp(sw, XmNxrtGaBorder, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaColorMixPercentage
#define UxGetXrtGaColorMixPercentage(sw) \
	(int) UxGetProp(sw, XmNxrtGaColorMixPercentage)
#endif
#ifndef UxPutXrtGaColorMixPercentage
#define UxPutXrtGaColorMixPercentage(sw, val) \
	UxPutProp(sw, XmNxrtGaColorMixPercentage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDecimalPlaces
#define UxGetXrtGaDecimalPlaces(sw) \
	(int) UxGetProp(sw, XmNxrtGaDecimalPlaces)
#endif
#ifndef UxPutXrtGaDecimalPlaces
#define UxPutXrtGaDecimalPlaces(sw, val) \
	UxPutProp(sw, XmNxrtGaDecimalPlaces, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDecimalPosition
#define UxGetXrtGaDecimalPosition(sw) \
	(int) UxGetProp(sw, XmNxrtGaDecimalPosition)
#endif
#ifndef UxPutXrtGaDecimalPosition
#define UxPutXrtGaDecimalPosition(sw, val) \
	UxPutProp(sw, XmNxrtGaDecimalPosition, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDecimalSize
#define UxGetXrtGaDecimalSize(sw) \
	(int) UxGetProp(sw, XmNxrtGaDecimalSize)
#endif
#ifndef UxPutXrtGaDecimalSize
#define UxPutXrtGaDecimalSize(sw, val) \
	UxPutProp(sw, XmNxrtGaDecimalSize, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDoubleBuffer
#define UxGetXrtGaDoubleBuffer(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDoubleBuffer)
#endif
#ifndef UxPutXrtGaDoubleBuffer
#define UxPutXrtGaDoubleBuffer(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDoubleBuffer, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaFixedDecimal
#define UxGetXrtGaFixedDecimal(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaFixedDecimal)
#endif
#ifndef UxPutXrtGaFixedDecimal
#define UxPutXrtGaFixedDecimal(sw, val) \
	UxDDPutProp(sw, XmNxrtGaFixedDecimal, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLeadingOne
#define UxGetXrtGaLeadingOne(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLeadingOne)
#endif
#ifndef UxPutXrtGaLeadingOne
#define UxPutXrtGaLeadingOne(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLeadingOne, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLeadingPlusMinus
#define UxGetXrtGaLeadingPlusMinus(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLeadingPlusMinus)
#endif
#ifndef UxPutXrtGaLeadingPlusMinus
#define UxPutXrtGaLeadingPlusMinus(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLeadingPlusMinus, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLeadingZeros
#define UxGetXrtGaLeadingZeros(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLeadingZeros)
#endif
#ifndef UxPutXrtGaLeadingZeros
#define UxPutXrtGaLeadingZeros(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLeadingZeros, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaNumDigits
#define UxGetXrtGaNumDigits(sw) \
	(int) UxGetProp(sw, XmNxrtGaNumDigits)
#endif
#ifndef UxPutXrtGaNumDigits
#define UxPutXrtGaNumDigits(sw, val) \
	UxPutProp(sw, XmNxrtGaNumDigits, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageLayout)
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageLayout, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOnColor
#define UxGetXrtGaOnColor(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOnColor)
#endif
#ifndef UxPutXrtGaOnColor
#define UxPutXrtGaOnColor(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOnColor, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOffColor
#define UxGetXrtGaOffColor(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOffColor)
#endif
#ifndef UxPutXrtGaOffColor
#define UxPutXrtGaOffColor(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOffColor, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRepaint
#define UxGetXrtGaRepaint(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaRepaint)
#endif
#ifndef UxPutXrtGaRepaint
#define UxPutXrtGaRepaint(sw, val) \
	UxDDPutProp(sw, XmNxrtGaRepaint, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaSegmentSpacing
#define UxGetXrtGaSegmentSpacing(sw) \
	(int) UxGetProp(sw, XmNxrtGaSegmentSpacing)
#endif
#ifndef UxPutXrtGaSegmentSpacing
#define UxPutXrtGaSegmentSpacing(sw, val) \
	UxPutProp(sw, XmNxrtGaSegmentSpacing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaSegmentWidth
#define UxGetXrtGaSegmentWidth(sw) \
	(int) UxGetProp(sw, XmNxrtGaSegmentWidth)
#endif
#ifndef UxPutXrtGaSegmentWidth
#define UxPutXrtGaSegmentWidth(sw, val) \
	UxPutProp(sw, XmNxrtGaSegmentWidth, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaSlopeOffset
#define UxGetXrtGaSlopeOffset(sw) \
	(int) UxGetProp(sw, XmNxrtGaSlopeOffset)
#endif
#ifndef UxPutXrtGaSlopeOffset
#define UxPutXrtGaSlopeOffset(sw, val) \
	UxPutProp(sw, XmNxrtGaSlopeOffset, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaSpacingHorizontal
#define UxGetXrtGaSpacingHorizontal(sw) \
	(int) UxGetProp(sw, XmNxrtGaSpacingHorizontal)
#endif
#ifndef UxPutXrtGaSpacingHorizontal
#define UxPutXrtGaSpacingHorizontal(sw, val) \
	UxPutProp(sw, XmNxrtGaSpacingHorizontal, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaSpacingVertical
#define UxGetXrtGaSpacingVertical(sw) \
	(int) UxGetProp(sw, XmNxrtGaSpacingVertical)
#endif
#ifndef UxPutXrtGaSpacingVertical
#define UxPutXrtGaSpacingVertical(sw, val) \
	UxPutProp(sw, XmNxrtGaSpacingVertical, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaText
#define UxGetXrtGaText(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaText)
#endif
#ifndef UxPutXrtGaText
#define UxPutXrtGaText(sw, val) \
	UxDDPutProp(sw, XmNxrtGaText, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaValue
#define UxGetXrtGaValue(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaValue)
#endif
#ifndef UxPutXrtGaValue
#define UxPutXrtGaValue(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaValue, (val))
#endif

#ifndef UxGetXrtGaValueType
#define UxGetXrtGaValueType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaValueType)
#endif
#ifndef UxPutXrtGaValueType
#define UxPutXrtGaValueType(sw, val) \
	UxDDPutProp(sw, XmNxrtGaValueType, ((XtArgVal)(val)))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtGaLEDNumerical
#define UxCreateXrtGaLEDNumerical(name, parent) \
	UxCreateSwidget(name, xmXrtGaLEDNumericalWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif

