/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaLinearDial.hxx	1.3    99/12/17 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaLinearDial : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrtGaLinearDial(void);
	UXINLINE UxXrtGaLinearDial(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetXrtGaBorder () const;
	UXINLINE void SetXrtGaBorder (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaDoubleBuffer () const;
	UXINLINE void SetXrtGaDoubleBuffer (const char *);

//	UXINLINE voidFunction GetXrtGaDrawFunc () const;
//	UXINLINE void SetXrtGaDrawFunc (voidFunction);

	UXINLINE char * GetXrtGaFrame () const;
	UXINLINE void SetXrtGaFrame (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE char * GetXrtGaIndicator () const;
	UXINLINE void SetXrtGaIndicator (const char *);

	UXINLINE char * GetXrtGaLinearScale () const;
	UXINLINE void SetXrtGaLinearScale (const char *);

	UXINLINE char * GetXrtGaOnColor () const;
	UXINLINE void SetXrtGaOnColor (const char *);

	UXINLINE char * GetXrtGaOnImage () const;
	UXINLINE void SetXrtGaOnImage (const char *);

	UXINLINE char * GetXrtGaOffColor () const;
	UXINLINE void SetXrtGaOffColor (const char *);

	UXINLINE char * GetXrtGaOffImage () const;
	UXINLINE void SetXrtGaOffImage (const char *);

	UXINLINE char * GetXrtGaShape () const;
	UXINLINE void SetXrtGaShape (const char *);

	UXINLINE char * GetXrtGaRenderList () const;
	UXINLINE void SetXrtGaRenderList (const char *);

	UXINLINE char * GetXrtGaRepaint () const;
	UXINLINE void SetXrtGaRepaint (const char *);

	UXINLINE char * GetXrtGaTextList () const;
	UXINLINE void SetXrtGaTextList (const char *);

	UXINLINE char * GetXrtGaTickList () const;
	UXINLINE void SetXrtGaTickList (const char *);

	UXINLINE char * GetXrtGaUseRenderList () const;
	UXINLINE void SetXrtGaUseRenderList (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaLDial_prpty_name(x)	XrtGaLinearDial_res_table[x].prpty, XrtGaLinearDial_res_table[x].name

extern Class_t UxC_XrtGaLinearDial;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtGaLinearDial::UxXrtGaLinearDial(void){}
inline UxXrtGaLinearDial::UxXrtGaLinearDial(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaLinearDial::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaLinearDialWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaLinearDial::GetXrtGaBorder (void) const
        { return (char * ) DDGetProp(XmNxrtGaBorder);}
inline void UxXrtGaLinearDial::SetXrtGaBorder (const char * val)
        { DDSetProp(XmNxrtGaBorder, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaLinearDial::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaDoubleBuffer (void) const
        { return (char * ) DDGetProp(XmNxrtGaDoubleBuffer);}
inline void UxXrtGaLinearDial::SetXrtGaDoubleBuffer (const char * val)
        { DDSetProp(XmNxrtGaDoubleBuffer, ((XtArgVal)(val)));}

// inline voidFunction  UxXrtGaLinearDial::GetXrtGaDrawFunc (void) const
//         { return (voidFunction) DDGetProp(XmNxrtGaDrawFunc);}
// inline void UxXrtGaLinearDial::SetXrtGaDrawFunc (voidFunction val)
//         { DDSetProp(XmNxrtGaDrawFunc, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaFrame (void) const
        { return (char * ) DDGetProp(XmNxrtGaFrame);}
inline void UxXrtGaLinearDial::SetXrtGaFrame (const char * val)
        { DDSetProp(XmNxrtGaFrame, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaLinearDial::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaLinearDial::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaIndicator (void) const
        { return (char * ) DDGetProp(XmNxrtGaIndicator);}
inline void UxXrtGaLinearDial::SetXrtGaIndicator (const char * val)
        { DDSetProp(XmNxrtGaIndicator, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaLinearScale (void) const
        { return (char * ) DDGetProp(XmNxrtGaLinearScale);}
inline void UxXrtGaLinearDial::SetXrtGaLinearScale (const char * val)
        { DDSetProp(XmNxrtGaLinearScale, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaOnColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaOnColor);}
inline void UxXrtGaLinearDial::SetXrtGaOnColor (const char * val)
        { DDSetProp(XmNxrtGaOnColor, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaOnImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaOnImage);}
inline void UxXrtGaLinearDial::SetXrtGaOnImage (const char * val)
        { DDSetProp(XmNxrtGaOnImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaOffColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaOffColor);}
inline void UxXrtGaLinearDial::SetXrtGaOffColor (const char * val)
        { DDSetProp(XmNxrtGaOffColor, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaOffImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaOffImage);}
inline void UxXrtGaLinearDial::SetXrtGaOffImage (const char * val)
        { DDSetProp(XmNxrtGaOffImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaShape (void) const
        { return (char * ) DDGetProp(XmNxrtGaShape);}
inline void UxXrtGaLinearDial::SetXrtGaShape (const char * val)
        { DDSetProp(XmNxrtGaShape, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaRenderList);}
inline void UxXrtGaLinearDial::SetXrtGaRenderList (const char * val)
        { DDSetProp(XmNxrtGaRenderList, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaRepaint (void) const
        { return (char * ) DDGetProp(XmNxrtGaRepaint);}
inline void UxXrtGaLinearDial::SetXrtGaRepaint (const char * val)
        { DDSetProp(XmNxrtGaRepaint, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaTextList (void) const
        { return (char * ) DDGetProp(XmNxrtGaTextList);}
inline void UxXrtGaLinearDial::SetXrtGaTextList (const char * val)
        { DDSetProp(XmNxrtGaTextList, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaTickList (void) const
        { return (char * ) DDGetProp(XmNxrtGaTickList);}
inline void UxXrtGaLinearDial::SetXrtGaTickList (const char * val)
        { DDSetProp(XmNxrtGaTickList, ((XtArgVal)(val)));}

inline char *  UxXrtGaLinearDial::GetXrtGaUseRenderList (void) const
        { return (char * ) DDGetProp(XmNxrtGaUseRenderList);}
inline void UxXrtGaLinearDial::SetXrtGaUseRenderList (const char * val)
        { DDSetProp(XmNxrtGaUseRenderList, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
