/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaNeedle.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaNeedle.h
******************************************************************************/

#ifndef UxXrtGaNeedle_h
#define UxXrtGaNeedle_h

#include <Xm/XrtGaNeedle.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaNeedle.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaNeedle_prpty_name(x)	XrtGaNeedle_res_table[x].prpty, XrtGaNeedle_res_table[x].name

#ifdef hp700v9
#define XrtGaDoubleToArgVal(d) UxXrtGaDoubleToArgVal(0,d)
#endif /* hp700v9 */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_background),val)
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	UxGET_int(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_width))
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPUT_int(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_width), val)
#endif

#ifndef UxGetXrtGaCircularScale
#define UxGetXrtGaCircularScale(sw) \
	UxGET_string(sw,XrtGaNeedle_prpty_name(XrtGaNeedle_CircularScale))
#endif
#ifndef UxPutXrtGaCircularScale
#define UxPutXrtGaCircularScale(sw, val) \
	UxPUT_string(sw,XrtGaNeedle_prpty_name(XrtGaNeedle_CircularScale), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_Debug), val)
#endif

#ifndef UxGetXrtGaDrawFunc
#define UxGetXrtGaDrawFunc(sw) \
	UxGET_voidFunction(sw,XrtGaNeedle_prpty_name(XrtGaNeedle_DrawFunc))
#endif
#ifndef UxPutXrtGaDrawFunc
#define UxPutXrtGaDrawFunc(sw, val) \
	UxPUT_voidFunction(sw,XrtGaNeedle_prpty_name(XrtGaNeedle_DrawFunc), val)
#endif

#ifndef UxGetXrtGaInteractionType
#define UxGetXrtGaInteractionType(sw) \
	UxGET_string(sw,XrtGaNeedle_prpty_name(XrtGaNeedle_InteractionType))
#endif
#ifndef UxPutXrtGaInteractionType
#define UxPutXrtGaInteractionType(sw, val) \
	UxPUT_string(sw,XrtGaNeedle_prpty_name(XrtGaNeedle_InteractionType), val)
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	UxGET_string(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_IsShowing))
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxPUT_string(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_IsShowing),val)
#endif

#ifndef UxGetXrtGaLength
#define UxGetXrtGaLength(sw) \
	UxGET_float(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_Length))
#endif
#ifndef UxPutXrtGaLength
#define UxPutXrtGaLength(sw, val) \
	UxPUT_float(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_Length), val)
#endif

#ifndef UxGetXrtGaNeedleType
#define UxGetXrtGaNeedleType(sw) \
	UxGET_string(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_NeedleType))
#endif
#ifndef UxPutXrtGaNeedleType
#define UxPutXrtGaNeedleType(sw, val) \
	UxPUT_string(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_NeedleType),val)
#endif

#ifndef UxGetXrtGaValue
#define UxGetXrtGaValue(sw) \
	UxGET_float(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_Value))
#endif
#ifndef UxPutXrtGaValue
#define UxPutXrtGaValue(sw, val) \
	UxPUT_float(sw, XrtGaNeedle_prpty_name(XrtGaNeedle_Value), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaNeedle;

/* Design-time create macro */
#ifndef UxCreateXrtGaNeedle
#define UxCreateXrtGaNeedle(name, parent) \
	UxCreateSwidget(UxC_XrtGaNeedle, name, parent)
#endif

#else /* RUN-TIME */

extern int	XrtGaGetDoubleProp();
extern double	XrtGaArgValToDouble();

#define RT_GA_GET_DOUBLE(sw,res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(sw,res))

#define RT_GA_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetWidth
#define UxGetWidth(sw) \
	(int) UxGetProp(sw, XmNwidth)
#endif
#ifndef UxPutWidth
#define UxPutWidth(sw, val) \
	UxPutProp(sw, XmNwidth, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaCircularScale
#define UxGetXrtGaCircularScale(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaCircularScale)
#endif
#ifndef UxPutXrtGaCircularScale
#define UxPutXrtGaCircularScale(sw, val) \
	UxDDPutProp(sw, XmNxrtGaCircularScale, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDrawFunc
#define UxGetXrtGaDrawFunc(sw) \
	(voidFunction) UxGetProp(sw, XmNxrtGaDrawFunc)
#endif
#ifndef UxPutXrtGaDrawFunc
#define UxPutXrtGaDrawFunc(sw, val) \
	UxPutProp(sw, XmNxrtGaDrawFunc, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaInteractionType
#define UxGetXrtGaInteractionType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaInteractionType)
#endif
#ifndef UxPutXrtGaInteractionType
#define UxPutXrtGaInteractionType(sw, val) \
	UxDDPutProp(sw, XmNxrtGaInteractionType, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIsShowing)
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIsShowing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLength
#define UxGetXrtGaLength(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaLength)
#endif
#ifndef UxPutXrtGaLength
#define UxPutXrtGaLength(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaLength, (val))
#endif

#ifndef UxGetXrtGaNeedleType
#define UxGetXrtGaNeedleType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaNeedleType)
#endif
#ifndef UxPutXrtGaNeedleType
#define UxPutXrtGaNeedleType(sw, val) \
	UxDDPutProp(sw, XmNxrtGaNeedleType, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaValue
#define UxGetXrtGaValue(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaValue)
#endif
#ifndef UxPutXrtGaValue
#define UxPutXrtGaValue(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaValue, (val))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaNeedle
#define UxCreateXrtGaNeedle(name, parent) \
	UxCreateSwidget(name, xmXrtGaNeedleObjectClass, parent)
#endif


#endif /* DESIGN_TIME */

#endif

