/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaNeedle.hxx	1.3    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaNeedle : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaNeedle(void);
	UXINLINE UxXrtGaNeedle(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE int GetWidth () const;
	UXINLINE void SetWidth (int);

	UXINLINE char * GetXrtGaCircularScale () const;
	UXINLINE void SetXrtGaCircularScale (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

//	UXINLINE voidFunction GetXrtGaDrawFunc () const;
//	UXINLINE void SetXrtGaDrawFunc (voidFunction);

	UXINLINE char * GetXrtGaInteractionType () const;
	UXINLINE void SetXrtGaInteractionType (const char *);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE double GetXrtGaLength () const;
	UXINLINE void SetXrtGaLength (double);

	UXINLINE char * GetXrtGaNeedleType () const;
	UXINLINE void SetXrtGaNeedleType (const char *);

	UXINLINE double GetXrtGaValue () const;
	UXINLINE void SetXrtGaValue (double);


};

#ifdef DESIGN_TIME

#define XrtGaNeedle_prpty_name(x)	XrtGaNeedle_res_table[x].prpty, XrtGaNeedle_res_table[x].name

extern Class_t UxC_XrtGaNeedle;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaNeedle::UxXrtGaNeedle(void){}
inline UxXrtGaNeedle::UxXrtGaNeedle(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaNeedle::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaNeedleWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaNeedle::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaNeedle::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline int UxXrtGaNeedle::GetWidth (void) const
	{ return (int)IntGetProp(XmNwidth);}
inline void UxXrtGaNeedle::SetWidth (int val)
	{ SetProp(XmNwidth, ((XtArgVal)(val)));}

inline char *  UxXrtGaNeedle::GetXrtGaCircularScale (void) const
        { return (char * ) DDGetProp(XmNxrtGaCircularScale);}
inline void UxXrtGaNeedle::SetXrtGaCircularScale (const char * val)
        { DDSetProp(XmNxrtGaCircularScale, ((XtArgVal)(val)));}

inline char *  UxXrtGaNeedle::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaNeedle::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

// inline voidFunction  UxXrtGaNeedle::GetXrtGaDrawFunc (void) const
//         { return (voidFunction) DDGetProp(XmNxrtGaDrawFunc);}
// inline void UxXrtGaNeedle::SetXrtGaDrawFunc (voidFunction val)
//         { DDSetProp(XmNxrtGaDrawFunc, ((XtArgVal)(val)));}

inline char *  UxXrtGaNeedle::GetXrtGaInteractionType (void) const
        { return (char * ) DDGetProp(XmNxrtGaInteractionType);}
inline void UxXrtGaNeedle::SetXrtGaInteractionType (const char * val)
        { DDSetProp(XmNxrtGaInteractionType, ((XtArgVal)(val)));}

inline char *  UxXrtGaNeedle::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaNeedle::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline double UxXrtGaNeedle::GetXrtGaLength (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaLength);}
inline void UxXrtGaNeedle::SetXrtGaLength (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaLength,val);}

inline char *  UxXrtGaNeedle::GetXrtGaNeedleType (void) const
        { return (char * ) DDGetProp(XmNxrtGaNeedleType);}
inline void UxXrtGaNeedle::SetXrtGaNeedleType (const char * val)
        { DDSetProp(XmNxrtGaNeedleType, ((XtArgVal)(val)));}

inline double UxXrtGaNeedle::GetXrtGaValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaValue);}
inline void UxXrtGaNeedle::SetXrtGaValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaValue,val);}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
