/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtOutliner.h	1.7    98/11/05 KL Group Inc.
 */

/******************************************************************************
				UxXrtOutliner.h
******************************************************************************/

#ifndef UxXrtOutliner_included
#define UxXrtOutliner_included

#include <Xm/XrtOutliner.h>	/* Widget class public header file */
#include <Xm/XrtColumn.h>
#include <Xm/XrtNodeStyle.h>
#include "Xrt_restable.h"
#include "UxMgr.h"
#include "UxGadget.h"
#include "UxXrtOutliner.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTGEAR_OUTLINER_TABLE(x)	xrtOutliner_res_table[x].prpty, xrtOutliner_res_table[x].name
#define XRTGEAR_NODESTYLE_TABLE(x)	xrtNodeStyle_res_table[x].prpty, xrtNodeStyle_res_table[x].name
#define XRTGEAR_COLUMN_TABLE(x)		xrtColumn_res_table[x].prpty, xrtColumn_res_table[x].name

/* Design-Time UxGet and UxPut macros for fontList */
#ifndef UxGetFontList_Outliner
#define UxGetFontList_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumFontList))
#endif
#ifndef UxPutFontList_Outliner
#define UxPutFontList_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumFontList), val)
#endif

/* Design-Time UxGet and UxPut macros for highlightThickness */
#ifndef UxGetHighlightThickness_Outliner
#define UxGetHighlightThickness_Outliner(sw) \
	UxGET_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHighlightThickness))
#endif
#ifndef UxPutHighlightThickness_Outliner
#define UxPutHighlightThickness_Outliner(sw, val) \
	UxPUT_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHighlightThickness), val)
#endif

/* Design-Time UxGet and UxPut macros for scrollBarPlacement */
#ifndef UxGetScrollBarPlacement_Outliner
#define UxGetScrollBarPlacement_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarPlacement))
#endif
#ifndef UxPutScrollBarPlacement_Outliner
#define UxPutScrollBarPlacement_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarPlacement), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearAutoSort */
#ifndef UxGetXrtGearAutoSort_Outliner
#define UxGetXrtGearAutoSort_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumAutoSort))
#endif
#ifndef UxPutXrtGearAutoSort_Outliner
#define UxPutXrtGearAutoSort_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumAutoSort), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearBorderLocation */
#ifndef UxGetXrtGearBorderLocation_Outliner
#define UxGetXrtGearBorderLocation_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumBorderLocation))
#endif
#ifndef UxPutXrtGearBorderLocation_Outliner
#define UxPutXrtGearBorderLocation_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumBorderLocation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearBorderType */
#ifndef UxGetXrtGearBorderType_Outliner
#define UxGetXrtGearBorderType_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumBorderType))
#endif
#ifndef UxPutXrtGearBorderType_Outliner
#define UxPutXrtGearBorderType_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumBorderType), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearColumnLabelsShow */
#ifndef UxGetXrtGearColumnLabelsShow_Outliner
#define UxGetXrtGearColumnLabelsShow_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumColumnLabelsShow))
#endif
#ifndef UxPutXrtGearColumnLabelsShow_Outliner
#define UxPutXrtGearColumnLabelsShow_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumColumnLabelsShow), val)
#endif

/* Design-Time UxGet and UxPut macros for ColumnMoveAllow */
#ifndef UxGetXrtGearColumnMoveAllow_Outliner
#define UxGetXrtGearColumnMoveAllow_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumColumnMoveAllow))
#endif
#ifndef UxPutXrtGearColumnMoveAllow_Outliner
#define UxPutXrtGearColumnMoveAllow_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumColumnMoveAllow), val)
#endif

/* Design-Time UxGet and UxPut macros for ColumnSelected */
#ifndef UxGetXrtGearColumnSelected_Outliner
#define UxGetXrtGearColumnSelected_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumColumnSelected))
#endif
#ifndef UxPutXrtGearColumnSelected_Outliner
#define UxPutXrtGearColumnSelected_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumColumnSelected), val)
#endif

/* Design-Time UxGet and UxPut macros for Cursor */
#ifndef UxGetXrtGearCursor_Outliner
#define UxGetXrtGearCursor_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumCursor))
#endif
#ifndef UxPutXrtGearCursor_Outliner
#define UxPutXrtGearCursor_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumCursor), val)
#endif

/* Design-Time UxGet and UxPut macros for CursorResizeWidth */
#ifndef UxGetXrtGearCursorResizeWidth_Outliner
#define UxGetXrtGearCursorResizeWidth_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumCursorResizeWidth))
#endif
#ifndef UxPutXrtGearCursorResizeWidth_Outliner
#define UxPutXrtGearCursorResizeWidth_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumCursorResizeWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for CursorTracking */
#ifndef UxGetXrtGearCursorTracking_Outliner
#define UxGetXrtGearCursorTracking_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumCursorTracking))
#endif
#ifndef UxPutXrtGearCursorTracking_Outliner
#define UxPutXrtGearCursorTracking_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumCursorTracking), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearDoubleBuffer */
#ifndef UxGetXrtGearDoubleBuffer_Outliner
#define UxGetXrtGearDoubleBuffer_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumDoubleBuffer))
#endif
#ifndef UxPutXrtGearDoubleBuffer_Outliner
#define UxPutXrtGearDoubleBuffer_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumDoubleBuffer), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearFolderStateMask */
#ifndef UxGetXrtGearFolderStateMask_Outliner
#define UxGetXrtGearFolderStateMask_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumFolderStateMask))
#endif
#ifndef UxPutXrtGearFolderStateMask_Outliner
#define UxPutXrtGearFolderStateMask_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumFolderStateMask), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearHeightPreferredCount */
#ifndef UxGetXrtGearHeightPreferredCount_Outliner
#define UxGetXrtGearHeightPreferredCount_Outliner(sw) \
	UxGET_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHeightPreferredCount))
#endif
#ifndef UxPutXrtGearHeightPreferredCount_Outliner
#define UxPutXrtGearHeightPreferredCount_Outliner(sw, val) \
	UxPUT_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHeightPreferredCount), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearHeightSizingPolicy */
#ifndef UxGetXrtGearHeightSizingPolicy_Outliner
#define UxGetXrtGearHeightSizingPolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHeightSizingPolicy))
#endif
#ifndef UxPutXrtGearHeightSizingPolicy_Outliner
#define UxPutXrtGearHeightSizingPolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHeightSizingPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearHeightResizePolicy */
#ifndef UxGetXrtGearHeightResizePolicy_Outliner
#define UxGetXrtGearHeightResizePolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHeightResizePolicy))
#endif
#ifndef UxPutXrtGearHeightResizePolicy_Outliner
#define UxPutXrtGearHeightResizePolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHeightResizePolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearHeightVirtual */
#ifndef UxGetXrtGearHeightVirtual_Outliner
#define UxGetXrtGearHeightVirtual_Outliner(sw) \
	UxGET_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHeightVirtual))
#endif
#ifndef UxPutXrtGearHeightVirtual_Outliner
#define UxPutXrtGearHeightVirtual_Outliner(sw, val) \
	UxPUT_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHeightVirtual), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearMarginHeight */
#ifndef UxGetXrtGearMarginHeight_Outliner
#define UxGetXrtGearMarginHeight_Outliner(sw) \
	UxGET_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumMarginHeight))
#endif
#ifndef UxPutXrtGearMarginHeight_Outliner
#define UxPutXrtGearMarginHeight_Outliner(sw, val) \
	UxPUT_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumMarginHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearMarginWidth */
#ifndef UxGetXrtGearMarginWidth_Outliner
#define UxGetXrtGearMarginWidth_Outliner(sw) \
	UxGET_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumMarginWidth))
#endif
#ifndef UxPutXrtGearMarginWidth_Outliner
#define UxPutXrtGearMarginWidth_Outliner(sw, val) \
	UxPUT_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumMarginWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeCompareProc */
#ifndef UxGetXrtGearNodeCompareProc_Outliner
#define UxGetXrtGearNodeCompareProc_Outliner(sw) \
	UxGET_voidFunction(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeCompareProc))
#endif
#ifndef UxPutXrtGearNodeCompareProc_Outliner
#define UxPutXrtGearNodeCompareProc_Outliner(sw, val) \
	UxPUT_voidFunction(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeCompareProc), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeCurrent */
#ifndef UxGetXrtGearNodeCurrent_Outliner
#define UxGetXrtGearNodeCurrent_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeCurrent))
#endif
#ifndef UxPutXrtGearNodeCurrent_Outliner
#define UxPutXrtGearNodeCurrent_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeCurrent), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeHeight */
#ifndef UxGetXrtGearNodeHeight_Outliner
#define UxGetXrtGearNodeHeight_Outliner(sw) \
	UxGET_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeHeight))
#endif
#ifndef UxPutXrtGearNodeHeight_Outliner
#define UxPutXrtGearNodeHeight_Outliner(sw, val) \
	UxPUT_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeIndent */
#ifndef UxGetXrtGearNodeIndent_Outliner
#define UxGetXrtGearNodeIndent_Outliner(sw) \
	UxGET_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeIndent))
#endif
#ifndef UxPutXrtGearNodeIndent_Outliner
#define UxPutXrtGearNodeIndent_Outliner(sw, val) \
	UxPUT_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeIndent), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeIndentPolicy */
#ifndef UxGetXrtGearNodeIndentPolicy_Outliner
#define UxGetXrtGearNodeIndentPolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeIndentPolicy))
#endif
#ifndef UxPutXrtGearNodeIndentPolicy_Outliner
#define UxPutXrtGearNodeIndentPolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeIndentPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeImportPolicy */
#ifndef UxGetXrtGearNodeImportPolicy_Outliner
#define UxGetXrtGearNodeImportPolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeImportPolicy))
#endif
#ifndef UxPutXrtGearNodeImportPolicy_Outliner
#define UxPutXrtGearNodeImportPolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeImportPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeMovePolicy */
#ifndef UxGetXrtGearNodeMovePolicy_Outliner
#define UxGetXrtGearNodeMovePolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeMovePolicy))
#endif
#ifndef UxPutXrtGearNodeMovePolicy_Outliner
#define UxPutXrtGearNodeMovePolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeMovePolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeSpacing */
#ifndef UxGetXrtGearNodeSpacing_Outliner
#define UxGetXrtGearNodeSpacing_Outliner(sw) \
	UxGET_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeSpacing))
#endif
#ifndef UxPutXrtGearNodeSpacing_Outliner
#define UxPutXrtGearNodeSpacing_Outliner(sw, val) \
	UxPUT_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeStyleDefault */
#ifndef UxGetXrtGearNodeStyleDefault_Outliner
#define UxGetXrtGearNodeStyleDefault_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeStyleDefault))
#endif
#ifndef UxPutXrtGearNodeStyleDefault_Outliner
#define UxPutXrtGearNodeStyleDefault_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeStyleDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeTop */
#ifndef UxGetXrtGearNodeTop_Outliner
#define UxGetXrtGearNodeTop_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeTop))
#endif
#ifndef UxPutXrtGearNodeTop_Outliner
#define UxPutXrtGearNodeTop_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeTop), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearPSFontMapList */
#ifndef UxGetXrtGearPSFontMapList_Outliner
#define UxGetXrtGearPSFontMapList_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumPSFontMapList))
#endif
#ifndef UxPutXrtGearPSFontMapList_Outliner
#define UxPutXrtGearPSFontMapList_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumPSFontMapList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearRepaint */
#ifndef UxGetXrtGearRepaint_Outliner
#define UxGetXrtGearRepaint_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumRepaint))
#endif
#ifndef UxPutXrtGearRepaint_Outliner
#define UxPutXrtGearRepaint_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumRepaint), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearScrollBarHoriz */
#ifndef UxGetXrtGearScrollBarHoriz_Outliner
#define UxGetXrtGearScrollBarHoriz_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarHoriz))
#endif
#ifndef UxPutXrtGearScrollBarHoriz_Outliner
#define UxPutXrtGearScrollBarHoriz_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarHoriz), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearScrollBarHorizDisplayPolicy */
#ifndef UxGetXrtGearScrollBarHorizDisplayPolicy_Outliner
#define UxGetXrtGearScrollBarHorizDisplayPolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarHorizDisplayPolicy))
#endif
#ifndef UxPutXrtGearScrollBarHorizDisplayPolicy_Outliner
#define UxPutXrtGearScrollBarHorizDisplayPolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarHorizDisplayPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearScrollBarVert */
#ifndef UxGetXrtGearScrollBarVert_Outliner
#define UxGetXrtGearScrollBarVert_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarVert))
#endif
#ifndef UxPutXrtGearScrollBarVert_Outliner
#define UxPutXrtGearScrollBarVert_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarVert), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearScrollBarVertDisplayPolicy */
#ifndef UxGetXrtGearScrollBarVertDisplayPolicy_Outliner
#define UxGetXrtGearScrollBarVertDisplayPolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarVertDisplayPolicy))
#endif
#ifndef UxPutXrtGearScrollBarVertDisplayPolicy_Outliner
#define UxPutXrtGearScrollBarVertDisplayPolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumScrollBarVertDisplayPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearSelectionPolicy */
#ifndef UxGetXrtGearSelectionPolicy_Outliner
#define UxGetXrtGearSelectionPolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumSelectionPolicy))
#endif
#ifndef UxPutXrtGearSelectionPolicy_Outliner
#define UxPutXrtGearSelectionPolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumSelectionPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearSelectionRestrictions */
#ifndef UxGetXrtGearSelectionRestrictions_Outliner
#define UxGetXrtGearSelectionRestrictions_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumSelectionRestrictions))
#endif
#ifndef UxPutXrtGearSelectionRestrictions_Outliner
#define UxPutXrtGearSelectionRestrictions_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumSelectionRestrictions), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearShadowThickness */
#ifndef UxGetXrtGearShadowThickness_Outliner
#define UxGetXrtGearShadowThickness_Outliner(sw) \
	UxGET_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumShadowThickness))
#endif
#ifndef UxPutXrtGearShadowThickness_Outliner
#define UxPutXrtGearShadowThickness_Outliner(sw, val) \
	UxPUT_short(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumShadowThickness), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearTextHorizClipPolicy */
#ifndef UxGetXrtGearTextHorizClipPolicy_Outliner
#define UxGetXrtGearTextHorizClipPolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumTextHorizClipPolicy))
#endif
#ifndef UxPutXrtGearTextHorizClipPolicy_Outliner
#define UxPutXrtGearTextHorizClipPolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumTextHorizClipPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearTreeData */
#ifndef UxGetXrtGearTreeData_Outliner
#define UxGetXrtGearTreeData_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumTreeData))
#endif
#ifndef UxPutXrtGearTreeData_Outliner
#define UxPutXrtGearTreeData_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumTreeData), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthChar */
#ifndef UxGetXrtGearWidthChar_Outliner
#define UxGetXrtGearWidthChar_Outliner(sw) \
	UxGET_char(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthChar))
#endif
#ifndef UxPutXrtGearWidthChar_Outliner
#define UxPutXrtGearWidthChar_Outliner(sw, val) \
	UxPUT_char(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthChar), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthPreferredCount */
#ifndef UxGetXrtGearWidthPreferredCount_Outliner
#define UxGetXrtGearWidthPreferredCount_Outliner(sw) \
	UxGET_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthPreferredCount))
#endif
#ifndef UxPutXrtGearWidthPreferredCount_Outliner
#define UxPutXrtGearWidthPreferredCount_Outliner(sw, val) \
	UxPUT_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthPreferredCount), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthResizePolicy */
#ifndef UxGetXrtGearWidthResizePolicy_Outliner
#define UxGetXrtGearWidthResizePolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthResizePolicy))
#endif
#ifndef UxPutXrtGearWidthResizePolicy_Outliner
#define UxPutXrtGearWidthResizePolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthResizePolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthSizingPolicy */
#ifndef UxGetXrtGearWidthSizingPolicy_Outliner
#define UxGetXrtGearWidthSizingPolicy_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthSizingPolicy))
#endif
#ifndef UxPutXrtGearWidthSizingPolicy_Outliner
#define UxPutXrtGearWidthSizingPolicy_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthSizingPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthVirtual */
#ifndef UxGetXrtGearWidthVirtual_Outliner
#define UxGetXrtGearWidthVirtual_Outliner(sw) \
	UxGET_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthVirtual))
#endif
#ifndef UxPutXrtGearWidthVirtual_Outliner
#define UxPutXrtGearWidthVirtual_Outliner(sw, val) \
	UxPUT_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumWidthVirtual), val)
#endif

/* Design-Time UxGet and UxPut macros for Editable_Outliner */
#ifndef UxGetEditable_Outliner
#define Editable_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditable))
#endif
#ifndef UxPutEditable_Outliner
#define UxPutEditable_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditable), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearEditor_Outliner */
#ifndef UxGetXrtGearEditor_Outliner
#define UxGetXrtGearEditor_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditor))
#endif
#ifndef UxPutXrtGearEditor_Outliner
#define UxPutXrtGearEditor_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditor), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearEditNode_Outliner */
#ifndef UxGetXrtGearEditNode_Outliner
#define UxGetXrtGearEditNode_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditNode))
#endif
#ifndef UxPutXrtGearEditNode_Outliner
#define UxPutXrtGearEditNode_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditNode), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearEditColumn_Outliner */
#ifndef UxGetXrtGearEditColumn_Outliner
#define UxGetXrtGearEditColumn_Outliner(sw) \
	UxGET_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditColumn))
#endif
#ifndef UxPutXrtGearEditColumn_Outliner
#define UxPutXrtGearEditColumn_Outliner(sw, val) \
	UxPUT_int(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditColumn), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearEditType_Outliner */
#ifndef UxGetXrtGearEditType_Outliner
#define UxGetXrtGearEditType_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditType))
#endif
#ifndef UxPutXrtGearEditType_Outliner
#define UxPutXrtGearEditType_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumEditType), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearHighlightOnDrag_Outliner */
#ifndef UxGetXrtGearHighlightOnDrag_Outliner
#define UxGetXrtGearHighlightOnDrag_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHighlightOnDrag))
#endif
#ifndef UxPutXrtGearHighlightOnDrag_Outliner
#define UxPutXrtGearHighlightOnDrag_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumHighlightOnDrag), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearNodeCheckForDuplicates_Outliner */
#ifndef UxGetXrtGearNodeCheckForDuplicates_Outliner
#define UxGetXrtGearNodeCheckForDuplicates_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeCheckForDuplicates))
#endif
#ifndef UxPutXrtGearNodeCheckForDuplicates_Outliner
#define UxPutXrtGearNodeCheckForDuplicates_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumNodeCheckForDuplicates), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearTextEditor_Outliner */
#ifndef UxGetXrtGearTextEditor_Outliner
#define UxGetXrtGearTextEditor_Outliner(sw) \
	UxGET_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumTextEditor))
#endif
#ifndef UxPutXrtGearTextEditor_Outliner
#define UxPutXrtGearTextEditor_Outliner(sw, val) \
	UxPUT_string(sw, XRTGEAR_OUTLINER_TABLE(xrtOutlinerResNumTextEditor), val)
#endif

/* Design-Time UxGet and UxPut macros for fontList */
#ifndef UxGetFontList_NodeStyle
#define UxGetFontList_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumFontList))
#endif
#ifndef UxPutFontList_NodeStyle
#define UxPutFontList_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumFontList), val)
#endif

/* Design-Time UxGet and UxPut macros for foreground */
#ifndef UxGetForeground_NodeStyle
#define UxGetForeground_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumForeground))
#endif
#ifndef UxPutForeground_NodeStyle
#define UxPutForeground_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumForeground), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearBackgroundSelected */
#ifndef UxGetXrtGearBackgroundSelected_NodeStyle
#define UxGetXrtGearBackgroundSelected_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumBackgroundSelected))
#endif
#ifndef UxPutXrtGearBackgroundSelected_NodeStyle
#define UxPutXrtGearBackgroundSelected_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumBackgroundSelected), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearFolderShortcutShow */
#ifndef UxGetXrtGearFolderShortcutShow_NodeStyle
#define UxGetXrtGearFolderShortcutShow_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumFolderShortcutShow))
#endif
#ifndef UxPutXrtGearFolderShortcutShow_NodeStyle
#define UxPutXrtGearFolderShortcutShow_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumFolderShortcutShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearFontListSelected */
#ifndef UxGetXrtGearFontListSelected_NodeStyle
#define UxGetXrtGearFontListSelected_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumFontListSelected))
#endif
#ifndef UxPutXrtGearFontListSelected_NodeStyle
#define UxPutXrtGearFontListSelected_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumFontListSelected), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearForegroundSelected */
#ifndef UxGetXrtGearForegroundSelected_NodeStyle
#define UxGetXrtGearForegroundSelected_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumForegroundSelected))
#endif
#ifndef UxPutXrtGearForegroundSelected_NodeStyle
#define UxPutXrtGearForegroundSelected_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumForegroundSelected), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearIconClosed */
#ifndef UxGetXrtGearIconClosed_NodeStyle
#define UxGetXrtGearIconClosed_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconClosed))
#endif
#ifndef UxPutXrtGearIconClosed_NodeStyle
#define UxPutXrtGearIconClosed_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconClosed), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearIconClosedSelected */
#ifndef UxGetXrtGearIconClosedSelected_NodeStyle
#define UxGetXrtGearIconClosedSelected_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconClosedSelected))
#endif
#ifndef UxPutXrtGearIconClosedSelected_NodeStyle
#define UxPutXrtGearIconClosedSelected_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconClosedSelected), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearIconItem */
#ifndef UxGetXrtGearIconItem_NodeStyle
#define UxGetXrtGearIconItem_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconItem))
#endif
#ifndef UxPutXrtGearIconItem_NodeStyle
#define UxPutXrtGearIconItem_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconItem), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearIconItemSelected */
#ifndef UxGetXrtGearIconItemSelected_NodeStyle
#define UxGetXrtGearIconItemSelected_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconItemSelected))
#endif
#ifndef UxPutXrtGearIconItemSelected_NodeStyle
#define UxPutXrtGearIconItemSelected_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconItemSelected), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearIconOpen */
#ifndef UxGetXrtGearIconOpen_NodeStyle
#define UxGetXrtGearIconOpen_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconOpen))
#endif
#ifndef UxPutXrtGearIconOpen_NodeStyle
#define UxPutXrtGearIconOpen_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconOpen), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearIconOpenSelected */
#ifndef UxGetXrtGearIconOpenSelected_NodeStyle
#define UxGetXrtGearIconOpenSelected_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconOpenSelected))
#endif
#ifndef UxPutXrtGearIconOpenSelected_NodeStyle
#define UxPutXrtGearIconOpenSelected_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumIconOpenSelected), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearLayoutSpacing */
#ifndef UxGetXrtGearLayoutSpacing_NodeStyle
#define UxGetXrtGearLayoutSpacing_NodeStyle(sw) \
	UxGET_short(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumLayoutSpacing))
#endif
#ifndef UxPutXrtGearLayoutSpacing_NodeStyle
#define UxPutXrtGearLayoutSpacing_NodeStyle(sw, val) \
	UxPUT_short(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumLayoutSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearLineColor */
#ifndef UxGetXrtGearLineColor_NodeStyle
#define UxGetXrtGearLineColor_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumLineColor))
#endif
#ifndef UxPutXrtGearLineColor_NodeStyle
#define UxPutXrtGearLineColor_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumLineColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearLineStyle */
#ifndef UxGetXrtGearLineStyle_NodeStyle
#define UxGetXrtGearLineStyle_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumLineStyle))
#endif
#ifndef UxPutXrtGearLineStyle_NodeStyle
#define UxPutXrtGearLineStyle_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumLineStyle), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearLineWidth */
#ifndef UxGetXrtGearLineWidth_NodeStyle
#define UxGetXrtGearLineWidth_NodeStyle(sw) \
	UxGET_short(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumLineWidth))
#endif
#ifndef UxPutXrtGearLineWidth_NodeStyle
#define UxPutXrtGearLineWidth_NodeStyle(sw, val) \
	UxPUT_short(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumLineWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearShortcutShow */
#ifndef UxGetXrtGearShortcutShow_NodeStyle
#define UxGetXrtGearShortcutShow_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumShortcutShow))
#endif
#ifndef UxPutXrtGearShortcutShow_NodeStyle
#define UxPutXrtGearShortcutShow_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumShortcutShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearShortcutSize */
#ifndef UxGetXrtGearShortcutSize_NodeStyle
#define UxGetXrtGearShortcutSize_NodeStyle(sw) \
	UxGET_short(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumShortcutSize))
#endif
#ifndef UxPutXrtGearShortcutSize_NodeStyle
#define UxPutXrtGearShortcutSize_NodeStyle(sw, val) \
	UxPUT_short(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumShortcutSize), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearShortcutColor_NodeStyle */
#ifndef UxGetXrtGearShortcutColor_NodeStyle
#define UxGetXrtGearShortcutColor_NodeStyle(sw) \
	UxGET_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumShortcutColor))
#endif
#ifndef UxPutXrtGearShortcutColor_NodeStyle
#define UxPutXrtGearShortcutColor_NodeStyle(sw, val) \
	UxPUT_string(sw, XRTGEAR_NODESTYLE_TABLE(xrtNodeStyleResNumShortcutColor), val)
#endif

/* Design-Time UxGet and UxPut macros for fontList */
#ifndef UxGetFontList_Column
#define UxGetFontList_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumFontList))
#endif
#ifndef UxPutFontList_Column
#define UxPutFontList_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumFontList), val)
#endif

/* Design-Time UxGet and UxPut macros for foreground */
#ifndef UxGetForeground_Column
#define UxGetForeground_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumForeground))
#endif
#ifndef UxPutForeground_Column
#define UxPutForeground_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumForeground), val)
#endif

/* Design-Time UxGet and UxPut macros for height */
#ifndef UxGetHeight_Column
#define UxGetHeight_Column(sw) \
	UxGET_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumHeight))
#endif
#ifndef UxPutHeight_Column
#define UxPutHeight_Column(sw, val) \
	UxPUT_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for width */
#ifndef UxGetWidth_Column
#define UxGetWidth_Column(sw) \
	UxGET_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidth))
#endif
#ifndef UxPutWidth_Column
#define UxPutWidth_Column(sw, val) \
	UxPUT_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearFontListSelected */
#ifndef UxGetXrtGearFontListSelected_Column
#define UxGetXrtGearFontListSelected_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumFontListSelected))
#endif
#ifndef UxPutXrtGearFontListSelected_Column
#define UxPutXrtGearFontListSelected_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumFontListSelected), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearLabel */
#ifndef UxGetXrtGearLabel_Column
#define UxGetXrtGearLabel_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumLabel))
#endif
#ifndef UxPutXrtGearLabel_Column
#define UxPutXrtGearLabel_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumLabel), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearLabelAlignment */
#ifndef UxGetXrtGearLabelAlignment_Column
#define UxGetXrtGearLabelAlignment_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumLabelAlignment))
#endif
#ifndef UxPutXrtGearLabelAlignment_Column
#define UxPutXrtGearLabelAlignment_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumLabelAlignment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearMarginLeft */
#ifndef UxGetXrtGearMarginLeft_Column
#define UxGetXrtGearMarginLeft_Column(sw) \
	UxGET_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumMarginLeft))
#endif
#ifndef UxPutXrtGearMarginLeft_Column
#define UxPutXrtGearMarginLeft_Column(sw, val) \
	UxPUT_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumMarginLeft), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearMarginRight */
#ifndef UxGetXrtGearMarginRight_Column
#define UxGetXrtGearMarginRight_Column(sw) \
	UxGET_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumMarginRight))
#endif
#ifndef UxPutXrtGearMarginRight_Column
#define UxPutXrtGearMarginRight_Column(sw, val) \
	UxPUT_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumMarginRight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearNodeAlignment */
#ifndef UxGetXrtGearNodeAlignment_Column
#define UxGetXrtGearNodeAlignment_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumNodeAlignment))
#endif
#ifndef UxPutXrtGearNodeAlignment_Column
#define UxPutXrtGearNodeAlignment_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumNodeAlignment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearSelected */
#ifndef UxGetXrtGearSelected_Column
#define UxGetXrtGearSelected_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumSelected))
#endif
#ifndef UxPutXrtGearSelected_Column
#define UxPutXrtGearSelected_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumSelected), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthResizePolicy */
#ifndef UxGetXrtGearWidthResizePolicy_Column
#define UxGetXrtGearWidthResizePolicy_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthResizePolicy))
#endif
#ifndef UxPutXrtGearWidthResizePolicy_Column
#define UxPutXrtGearWidthResizePolicy_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthResizePolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthSizingPolicy */
#ifndef UxGetXrtGearWidthSizingPolicy_Column
#define UxGetXrtGearWidthSizingPolicy_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthSizingPolicy))
#endif
#ifndef UxPutXrtGearWidthSizingPolicy_Column
#define UxPutXrtGearWidthSizingPolicy_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthSizingPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthMaximum */
#ifndef UxGetXrtGearWidthMaximum_Column
#define UxGetXrtGearWidthMaximum_Column(sw) \
	UxGET_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthMaximum))
#endif
#ifndef UxPutXrtGearWidthMaximum_Column
#define UxPutXrtGearWidthMaximum_Column(sw, val) \
	UxPUT_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthMaximum), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthMinimum */
#ifndef UxGetXrtGearWidthMinimum_Column
#define UxGetXrtGearWidthMinimum_Column(sw) \
	UxGET_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthMinimum))
#endif
#ifndef UxPutXrtGearWidthMinimum_Column
#define UxPutXrtGearWidthMinimum_Column(sw, val) \
	UxPUT_short(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthMinimum), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearWidthPreferredCount */
#ifndef UxGetXrtGearWidthPreferredCount_Column
#define UxGetXrtGearWidthPreferredCount_Column(sw) \
	UxGET_int(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthPreferredCount))
#endif
#ifndef UxPutXrtGearWidthPreferredCount_Column
#define UxPutXrtGearWidthPreferredCount_Column(sw, val) \
	UxPUT_int(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumWidthPreferredCount), val)
#endif

/* Design-Time UxGet and UxPut macros for Background_Column */
#ifndef UxGetBackground_Column
#define Background_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumBackground))
#endif
#ifndef UxPutBackground_Column
#define UxPutBackground_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumBackground), val)
#endif

/* Design-Time UxGet and UxPut macros for Editable_Column */
#ifndef UxGetEditable_Column
#define Editable_Column(sw) \
	UxGET_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumEditable))
#endif
#ifndef UxPutEditable_Column
#define UxPutEditable_Column(sw, val) \
	UxPUT_string(sw, XRTGEAR_COLUMN_TABLE(xrtColumnResNumEditable), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtOutliner;
extern Class_t	UxC_XrtNodeStyle;
extern Class_t	UxC_XrtColumn;

/* Design-time create macro */
#ifndef UxCreateXrtOutliner
#define UxCreateXrtOutliner(name, parent) \
	UxCreateSwidget(UxC_XrtOutliner, name, parent)
#endif

#ifndef UxCreateXrtNodeStyle
#define UxCreateXrtNodeStyle(name, parent) \
	UxCreateSwidget(UxC_XrtNodeStyle, name, parent)
#endif

#ifndef UxCreateXrtColumn
#define UxCreateXrtColumn(name, parent) \
	UxCreateSwidget(UxC_XrtColumn, name, parent)
#endif

#else /* RUN_TIME */

/* Runtime create macro */
#ifndef UxCreateXrtOutliner
#define UxCreateXrtOutliner(name, parent) \
	UxCreateSwidget(name, xmXrtOutlinerWidgetClass, parent)
#endif

#ifndef UxCreateXrtNodeStyle
#define UxCreateXrtNodeStyle(name, parent) \
	UxCreateSwidget(name, xmXrtNodeStyleObjectClass, parent)
#endif

#ifndef UxCreateXrtColumn
#define UxCreateXrtColumn(name, parent) \
	UxCreateSwidget(name, xmXrtColumnObjectClass, parent)
#endif

/* Run-Time UxGet and UxPut macros */

#ifndef UxGetFontList_Outliner
#define UxGetFontList_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNfontList)
#endif
#ifndef UxPutFontList_Outliner
#define UxPutFontList_Outliner(sw, val) \
	UxDDPutProp(sw, XmNfontList, (XtArgVal)(val))
#endif

#ifndef UxGetHighlightThickness_Outliner
#define UxGetHighlightThickness_Outliner(sw) \
	(short)UxShortGetProp(sw, XmNhighlightThickness)
#endif
#ifndef UxPutHighlightThickness_Outliner
#define UxPutHighlightThickness_Outliner(sw, val) \
	UxPutProp(sw, XmNhighlightThickness, (XtArgVal)(val))
#endif

#ifndef UxGetScrollBarPlacement_Outliner
#define UxGetScrollBarPlacement_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNscrollBarPlacement)
#endif
#ifndef UxPutScrollBarPlacement_Outliner
#define UxPutScrollBarPlacement_Outliner(sw, val) \
	UxDDPutProp(sw, XmNscrollBarPlacement, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearAutoSort_Outliner
#define UxGetXrtGearAutoSort_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearAutoSort)
#endif
#ifndef UxPutXrtGearAutoSort_Outliner
#define UxPutXrtGearAutoSort_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearAutoSort, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearBorderLocation_Outliner
#define UxGetXrtGearBorderLocation_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearBorderLocation)
#endif
#ifndef UxPutXrtGearBorderLocation_Outliner
#define UxPutXrtGearBorderLocation_Outliner(sw, val) \
UxDDPutProp(sw, XmNxrtGearBorderLocation, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearBorderType_Outliner
#define UxGetXrtGearBorderType_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearBorderType)
#endif
#ifndef UxPutXrtGearBorderType_Outliner
#define UxPutXrtGearBorderType_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearBorderType, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearColumnLabelsShow_Outliner
#define UxGetXrtGearColumnLabelsShow_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearColumnLabelsShow)
#endif
#ifndef UxPutXrtGearColumnLabelsShow_Outliner
#define UxPutXrtGearColumnLabelsShow_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearColumnLabelsShow, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearColumnMoveAllow_Outliner
#define UxGetXrtGearColumnMoveAllow_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearColumnMoveAllow)
#endif
#ifndef UxPutXrtGearColumnMoveAllow_Outliner
#define UxPutXrtGearColumnMoveAllow_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearColumnMoveAllow, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearColumnSelected_Outliner
#define UxGetXrtGearColumnSelected_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearColumnSelected)
#endif
#ifndef UxPutXrtGearColumnSelected_Outliner
#define UxPutXrtGearColumnSelected_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearColumnSelected, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearCursor_Outliner
#define UxGetXrtGearCursor_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearCursor)
#endif
#ifndef UxPutXrtGearCursor_Outliner
#define UxPutXrtGearCursor_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearCursor, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearCursorResizeWidth_Outliner
#define UxGetXrtGearCursorResizeWidth_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearCursorResizeWidth)
#endif
#ifndef UxPutXrtGearCursorResizeWidth_Outliner
#define UxPutXrtGearCursorResizeWidth_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearCursorResizeWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearCursorTracking_Outliner
#define UxGetXrtGearCursorTracking_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearCursorTracking)
#endif
#ifndef UxPutXrtGearCursorTracking_Outliner
#define UxPutXrtGearCursorTracking_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearCursorTracking, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearDoubleBuffer_Outliner
#define UxGetXrtGearDoubleBuffer_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearDoubleBuffer)
#endif
#ifndef UxPutXrtGearDoubleBuffer_Outliner
#define UxPutXrtGearDoubleBuffer_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearDoubleBuffer, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearFolderStateMask_Outliner
#define UxGetXrtGearFolderStateMask_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearFolderStateMask)
#endif
#ifndef UxPutXrtGearFolderStateMask_Outliner
#define UxPutXrtGearFolderStateMask_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearFolderStateMask, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearHeightPreferredCount_Outliner
#define UxGetXrtGearHeightPreferredCount_Outliner(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearHeightPreferredCount)
#endif
#ifndef UxPutXrtGearHeightPreferredCount_Outliner
#define UxPutXrtGearHeightPreferredCount_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearHeightPreferredCount, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearHeightSizingPolicy_Outliner
#define UxGetXrtGearHeightSizingPolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearHeightSizingPolicy)
#endif
#ifndef UxPutXrtGearHeightSizingPolicy_Outliner
#define UxPutXrtGearHeightSizingPolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearHeightSizingPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearHeightResizePolicy_Outliner
#define UxGetXrtGearHeightResizePolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearHeightResizePolicy)
#endif
#ifndef UxPutXrtGearHeightResizePolicy_Outliner
#define UxPutXrtGearHeightResizePolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearHeightResizePolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearHeightVirtual_Outliner
#define UxGetXrtGearHeightVirtual_Outliner(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearHeightVirtual)
#endif
#ifndef UxPutXrtGearHeightVirtual_Outliner
#define UxPutXrtGearHeightVirtual_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearHeightVirtual, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginHeight_Outliner
#define UxGetXrtGearMarginHeight_Outliner(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginHeight)
#endif
#ifndef UxPutXrtGearMarginHeight_Outliner
#define UxPutXrtGearMarginHeight_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginHeight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginWidth_Outliner
#define UxGetXrtGearMarginWidth_Outliner(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginWidth)
#endif
#ifndef UxPutXrtGearMarginWidth_Outliner
#define UxPutXrtGearMarginWidth_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeCompareProc_Outliner
#define UxGetXrtGearNodeCompareProc_Outliner(sw) \
	(voidFunction) UxGetProp(sw, XmNxrtGearNodeCompareProc)
#endif
#ifndef UxPutXrtGearNodeCompareProc_Outliner
#define UxPutXrtGearNodeCompareProc_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearNodeCompareProc, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeCurrent_Outliner
#define UxGetXrtGearNodeCurrent_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearNodeCurrent)
#endif
#ifndef UxPutXrtGearNodeCurrent_Outliner
#define UxPutXrtGearNodeCurrent_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearNodeCurrent, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeHeight_Outliner
#define UxGetXrtGearNodeHeight_Outliner(sw) \
	(short) UxShortGetProp(sw, XmNxrtGearNodeHeight)
#endif
#ifndef UxPutXrtGearNodeHeight_Outliner
#define UxPutXrtGearNodeHeight_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearNodeHeight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeIndentPolicy_Outliner
#define UxGetXrtGearNodeIndentPolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearNodeIndentPolicy)
#endif
#ifndef UxPutXrtGearNodeIndentPolicy_Outliner
#define UxPutXrtGearNodeIndentPolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearNodeIndentPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeImportPolicy_Outliner
#define UxGetXrtGearNodeImportPolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearNodeImportPolicy)
#endif
#ifndef UxPutXrtGearNodeImportPolicy_Outliner
#define UxPutXrtGearNodeImportPolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearNodeImportPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeIndent_Outliner
#define UxGetXrtGearNodeIndent_Outliner(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearNodeIndent)
#endif
#ifndef UxPutXrtGearNodeIndent_Outliner
#define UxPutXrtGearNodeIndent_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearNodeIndent, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeMovePolicy_Outliner
#define UxGetXrtGearNodeMovePolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearNodeMovePolicy)
#endif
#ifndef UxPutXrtGearNodeMovePolicy_Outliner
#define UxPutXrtGearNodeMovePolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearNodeMovePolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeSpacing_Outliner
#define UxGetXrtGearNodeSpacing_Outliner(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearNodeSpacing)
#endif
#ifndef UxPutXrtGearNodeSpacing_Outliner
#define UxPutXrtGearNodeSpacing_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearNodeSpacing, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeStyleDefault_Outliner
#define UxGetXrtGearNodeStyleDefault_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearNodeStyleDefault)
#endif
#ifndef UxPutXrtGearNodeStyleDefault_Outliner
#define UxPutXrtGearNodeStyleDefault_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearNodeStyleDefault, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeTop_Outliner
#define UxGetXrtGearNodeTop_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearNodeTop)
#endif
#ifndef UxPutXrtGearNodeTop_Outliner
#define UxPutXrtGearNodeTop_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearNodeTop, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearPSFontMapList_Outliner
#define UxGetXrtGearPSFontMapList_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearPSFontMapList)
#endif
#ifndef UxPutXrtGearPSFontMapList_Outliner
#define UxPutXrtGearPSFontMapList_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearPSFontMapList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearRepaint_Outliner
#define UxGetXrtGearRepaint_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearRepaint)
#endif
#ifndef UxPutXrtGearRepaint_Outliner
#define UxPutXrtGearRepaint_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearRepaint, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearScrollBarHoriz_Outliner
#define UxGetXrtGearScrollBarHoriz_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearScrollBarHoriz)
#endif
#ifndef UxPutXrtGearScrollBarHoriz_Outliner
#define UxPutXrtGearScrollBarHoriz_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearScrollBarHoriz, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearScrollBarHorizDisplayPolicy_Outliner
#define UxGetXrtGearScrollBarHorizDisplayPolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearScrollBarHorizDisplayPolicy)
#endif
#ifndef UxPutXrtGearScrollBarHorizDisplayPolicy_Outliner
#define UxPutXrtGearScrollBarHorizDisplayPolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearScrollBarHorizDisplayPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearScrollBarVert_Outliner
#define UxGetXrtGearScrollBarVert_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearScrollBarVert)
#endif
#ifndef UxPutXrtGearScrollBarVert_Outliner
#define UxPutXrtGearScrollBarVert_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearScrollBarVert, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearScrollBarVertDisplayPolicy_Outliner
#define UxGetXrtGearScrollBarVertDisplayPolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearScrollBarVertDisplayPolicy)
#endif
#ifndef UxPutXrtGearScrollBarVertDisplayPolicy_Outliner
#define UxPutXrtGearScrollBarVertDisplayPolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearScrollBarVertDisplayPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearSelectionPolicy_Outliner
#define UxGetXrtGearSelectionPolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearSelectionPolicy)
#endif
#ifndef UxPutXrtGearSelectionPolicy_Outliner
#define UxPutXrtGearSelectionPolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearSelectionPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearSelectionRestrictions_Outliner
#define UxGetXrtGearSelectionRestrictions_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearSelectionRestrictions)
#endif
#ifndef UxPutXrtGearSelectionRestrictions_Outliner
#define UxPutXrtGearSelectionRestrictions_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearSelectionRestrictions, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearShadowThickness_Outliner
#define UxGetXrtGearShadowThickness_Outliner(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearShadowThickness)
#endif
#ifndef UxPutXrtGearShadowThickness_Outliner
#define UxPutXrtGearShadowThickness_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearShadowThickness, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTextHorizClipPolicy_Outliner
#define UxGetXrtGearTextHorizClipPolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearTextHorizClipPolicy)
#endif
#ifndef UxPutXrtGearTextHorizClipPolicy_Outliner
#define UxPutXrtGearTextHorizClipPolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearTextHorizClipPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTreeData_Outliner
#define UxGetXrtGearTreeData_Outliner(sw) \
	(char *) UxGetProp(sw, XmNxrtGearTreeData)
#endif
#ifndef UxPutXrtGearTreeData_Outliner
#define UxPutXrtGearTreeData_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearTreeData, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthChar_Outliner
#define UxGetXrtGearWidthChar_Outliner(sw) \
	(char ) UxGetProp(sw, XmNxrtGearWidthChar)
#endif
#ifndef UxPutXrtGearWidthChar_Outliner
#define UxPutXrtGearWidthChar_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearWidthChar, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthPreferredCount_Outliner
#define UxGetXrtGearWidthPreferredCount_Outliner(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearWidthPreferredCount)
#endif
#ifndef UxPutXrtGearWidthPreferredCount_Outliner
#define UxPutXrtGearWidthPreferredCount_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearWidthPreferredCount, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthResizePolicy_Outliner
#define UxGetXrtGearWidthResizePolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearWidthResizePolicy)
#endif
#ifndef UxPutXrtGearWidthResizePolicy_Outliner
#define UxPutXrtGearWidthResizePolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearWidthResizePolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthSizingPolicy_Outliner
#define UxGetXrtGearWidthSizingPolicy_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearWidthSizingPolicy)
#endif
#ifndef UxPutXrtGearWidthSizingPolicy_Outliner
#define UxPutXrtGearWidthSizingPolicy_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearWidthSizingPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetEditable_Outliner
#define UxGetEditable_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNeditable)
#endif
#ifndef UxPutEditable_Outliner
#define UxPutEditable_Outliner(sw, val) \
	UxDDPutProp(sw, XmNeditable, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearEditor_Outliner
#define UxGetXrtGearEditor_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearEditor)
#endif
#ifndef UxPutXrtGearEditor_Outliner
#define UxPutXrtGearEditor_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearEditor, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearEditNode_Outliner
#define UxGetXrtGearEditNode_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearEditNode)
#endif
#ifndef UxPutXrtGearEditNode_Outliner
#define UxPutXrtGearEditNode_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearEditNode, (XtArgVal)(val))
#endif 

#ifndef UxGetXrtGearEditColumn_Outliner
#define UxGetXrtGearEditColumn_Outliner(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearEditColumn)
#endif
#ifndef UxPutXrtGearEditColumn_Outliner
#define UxPutXrtGearEditColumn_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearEditColumn, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearEditType_Outliner
#define UxGetXrtGearEditType_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearEditType)
#endif
#ifndef UxPutXrtGearEditType_Outliner
#define UxPutXrtGearEditType_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearEditType, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearHighlightOnDrag_Outliner
#define UxGetXrtGearHighlightOnDrag_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearHighlightOnDrag)
#endif
#ifndef UxPutXrtGearHighlightOnDrag_Outliner
#define UxPutXrtGearHighlightOnDrag_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearHighlightOnDrag, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeCheckForDuplicates_Outliner
#define UxGetXrtGearNodeCheckForDuplicates_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearNodeCheckForDuplicates)
#endif
#ifndef UxPutXrtGearNodeCheckForDuplicates_Outliner
#define UxPutXrtGearNodeCheckForDuplicates_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearNodeCheckForDuplicates, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTextEditor_Outliner
#define UxGetXrtGearTextEditor_Outliner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearTextEditor)
#endif
#ifndef UxPutXrtGearTextEditor_Outliner
#define UxPutXrtGearTextEditor_Outliner(sw, val) \
	UxDDPutProp(sw, XmNxrtGearTextEditor, (XtArgVal)(val))
#endif

/* NODE STYLE*/
#ifndef UxGetFontList_NodeStyle
#define UxGetFontList_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNfontList)
#endif
#ifndef UxPutFontList_NodeStyle
#define UxPutFontList_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNfontList, (XtArgVal)(val))
#endif

#ifndef UxGetForeground_NodeStyle
#define UxGetForeground_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNforeground)
#endif
#ifndef UxPutForeground_NodeStyle
#define UxPutForeground_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNforeground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearBackgroundSelected_NodeStyle
#define UxGetXrtGearBackgroundSelected_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearBackgroundSelected)
#endif
#ifndef UxPutXrtGearBackgroundSelected_NodeStyle
#define UxPutXrtGearBackgroundSelected_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearBackgroundSelected, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearFolderShortcutShow_NodeStyle
#define UxGetXrtGearFolderShortcutShow_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearFolderShortcutShow)
#endif
#ifndef UxPutXrtGearFolderShortcutShow_NodeStyle
#define UxPutXrtGearFolderShortcutShow_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearFolderShortcutShow, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearFontListSelected_NodeStyle
#define UxGetXrtGearFontListSelected_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearFontListSelected)
#endif
#ifndef UxPutXrtGearFontListSelected_NodeStyle
#define UxPutXrtGearFontListSelected_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearFontListSelected, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearForegroundSelected_NodeStyle
#define UxGetXrtGearForegroundSelected_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearForegroundSelected)
#endif
#ifndef UxPutXrtGearForegroundSelected_NodeStyle
#define UxPutXrtGearForegroundSelected_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearForegroundSelected, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearIconClosed_NodeStyle
#define UxGetXrtGearIconClosed_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIconClosed)
#endif
#ifndef UxPutXrtGearIconClosed_NodeStyle
#define UxPutXrtGearIconClosed_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIconClosed, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGearIconClosedSelected_NodeStyle
#define UxGetXrtGearIconClosedSelected_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIconClosedSelected)
#endif
#ifndef UxPutXrtGearIconClosedSelected_NodeStyle
#define UxPutXrtGearIconClosedSelected_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIconClosedSelected, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGearIconItem_NodeStyle
#define UxGetXrtGearIconItem_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIconItem)
#endif
#ifndef UxPutXrtGearIconItem_NodeStyle
#define UxPutXrtGearIconItem_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIconItem, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGearIconItemSelected_NodeStyle
#define UxGetXrtGearIconItemSelected_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIconItemSelected)
#endif
#ifndef UxPutXrtGearIconItemSelected_NodeStyle
#define UxPutXrtGearIconItemSelected_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIconItemSelected, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGearIconOpen_NodeStyle
#define UxGetXrtGearIconOpen_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIconOpen)
#endif
#ifndef UxPutXrtGearIconOpen_NodeStyle
#define UxPutXrtGearIconOpen_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIconOpen, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGearIconOpenSelected_NodeStyle
#define UxGetXrtGearIconOpenSelected_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIconOpenSelected)
#endif
#ifndef UxPutXrtGearIconOpenSelected_NodeStyle
#define UxPutXrtGearIconOpenSelected_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIconOpenSelected, (XtArgVal) (val))
#endif

#ifndef UxGetXrtGearLayoutSpacing_NodeStyle
#define UxGetXrtGearLayoutSpacing_NodeStyle(sw) \
	(short) UxShortGetProp(sw, XmNxrtGearLayoutSpacing)
#endif
#ifndef UxPutXrtGearLayoutSpacing_NodeStyle
#define UxPutXrtGearLayoutSpacing_NodeStyle(sw, val) \
	UxPutProp(sw, XmNxrtGearLayoutSpacing, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLineColor_NodeStyle
#define UxGetXrtGearLineColor_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearLineColor)
#endif
#ifndef UxPutXrtGearLineColor_NodeStyle
#define UxPutXrtGearLineColor_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearLineColor, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLineStyle_NodeStyle
#define UxGetXrtGearLineStyle_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearLineStyle)
#endif
#ifndef UxPutXrtGearLineStyle_NodeStyle
#define UxPutXrtGearLineStyle_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearLineStyle, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLineWidth_NodeStyle
#define UxGetXrtGearLineWidth_NodeStyle(sw) \
	(short) UxShortGetProp(sw, XmNxrtGearLineWidth)
#endif
#ifndef UxPutXrtGearLineWidth_NodeStyle
#define UxPutXrtGearLineWidth_NodeStyle(sw, val) \
	UxPutProp(sw, XmNxrtGearLineWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearShortcutShow_NodeStyle
#define UxGetXrtGearShortcutShow_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearShortcutShow)
#endif
#ifndef UxPutXrtGearShortcutShow_NodeStyle
#define UxPutXrtGearShortcutShow_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearShortcutShow, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearShortcutSize_NodeStyle
#define UxGetXrtGearShortcutSize_NodeStyle(sw) \
	(short) UxShortGetProp(sw, XmNxrtGearShortcutSize)
#endif
#ifndef UxPutXrtGearShortcutSize_NodeStyle
#define UxPutXrtGearShortcutSize_NodeStyle(sw, val) \
	UxPutProp(sw, XmNxrtGearShortcutSize, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearShortcutColor_NodeStyle
#define UxGetXrtGearShortcutColor_NodeStyle(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearShortcutColor)
#endif
#ifndef UxPutXrtGearShortcutColor_NodeStyle
#define UxPutXrtGearShortcutColor_NodeStyle(sw, val) \
	UxDDPutProp(sw, XmNxrtGearShortcutColor, (XtArgVal)(val))
#endif


/*COLUMN*/
#ifndef UxGetFontList_Column
#define UxGetFontList_Column(sw) \
	(char *) UxDDGetProp(sw, XmNfontList)
#endif
#ifndef UxPutFontList_Column
#define UxPutFontList_Column(sw, val) \
	UxDDPutProp(sw, XmNfontList, (XtArgVal)(val))
#endif

#ifndef UxGetForeground_Column
#define UxGetForeground_Column(sw) \
	(char *) UxDDGetProp(sw, XmNforeground)
#endif
#ifndef UxPutForeground_Column
#define UxPutForeground_Column(sw, val) \
	UxDDPutProp(sw, XmNforeground, (XtArgVal)(val))
#endif

#ifndef UxGetHeight_Column
#define UxGetHeight_Column(sw) \
	(short) UxShortGetProp(sw, XmNheight)
#endif
#ifndef UxPutHeight_Column
#define UxPutHeight_Column(sw, val) \
	UxPutProp(sw, XmNheight, (XtArgVal)(val))
#endif

#ifndef UxGetWidth_Column
#define UxGetWidth_Column(sw) \
	(short) UxShortGetProp(sw, XmNwidth)
#endif
#ifndef UxPutWidth_Column
#define UxPutWidth_Column(sw, val) \
	UxPutProp(sw, XmNwidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearFontListSelected_Column
#define UxGetXrtGearFontListSelected_Column(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearFontListSelected)
#endif
#ifndef UxPutXrtGearFontListSelected_Column
#define UxPutXrtGearFontListSelected_Column(sw, val) \
	UxDDPutProp(sw, XmNxrtGearFontListSelected, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLabel_Column
#define UxGetXrtGearLabel_Column(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearLabel)
#endif
#ifndef UxPutXrtGearLabel_Column
#define UxPutXrtGearLabel_Column(sw, val) \
	UxDDPutProp(sw, XmNxrtGearLabel, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLabelAlignment_Column
#define UxGetXrtGearLabelAlignment_Column(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearLabelAlignment)
#endif
#ifndef UxPutXrtGearLabelAlignment_Column
#define UxPutXrtGearLabelAlignment_Column(sw, val) \
	UxDDPutProp(sw, XmNxrtGearLabelAlignment, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginLeft_Column
#define UxGetXrtGearMarginLeft_Column(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginLeft)
#endif
#ifndef UxPutXrtGearMarginLeft_Column
#define UxPutXrtGearMarginLeft_Column(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginLeft, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginRight_Column
#define UxGetXrtGearMarginRight_Column(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginRight)
#endif
#ifndef UxPutXrtGearMarginRight_Column
#define UxPutXrtGearMarginRight_Column(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginRight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNodeAlignment_Column
#define UxGetXrtGearNodeAlignment_Column(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearNodeAlignment)
#endif
#ifndef UxPutXrtGearNodeAlignment_Column
#define UxPutXrtGearNodeAlignment_Column(sw, val) \
	UxDDPutProp(sw, XmNxrtGearNodeAlignment, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearSelected_Column
#define UxGetXrtGearSelected_Column(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearSelected)
#endif
#ifndef UxPutXrtGearSelected_Column
#define UxPutXrtGearSelected_Column(sw, val) \
	UxDDPutProp(sw, XmNxrtGearSelected, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthResizePolicy_Column
#define UxGetXrtGearWidthResizePolicy_Column(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearWidthResizePolicy)
#endif
#ifndef UxPutXrtGearWidthResizePolicy_Column
#define UxPutXrtGearWidthResizePolicy_Column(sw, val) \
	UxDDPutProp(sw, XmNxrtGearWidthResizePolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthSizingPolicy_Column
#define UxGetXrtGearWidthSizingPolicy_Column(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearWidthSizingPolicy)
#endif
#ifndef UxPutXrtGearWidthSizingPolicy_Column
#define UxPutXrtGearWidthSizingPolicy_Column(sw, val) \
	UxDDPutProp(sw, XmNxrtGearWidthSizingPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthMaximum_Column
#define UxGetXrtGearWidthMaximum_Column(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearWidthMaximum)
#endif
#ifndef UxPutXrtGearWidthMaximum_Column
#define UxPutXrtGearWidthMaximum_Column(sw, val) \
	UxPutProp(sw, XmNxrtGearWidthMaximum, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthMinimum_Column
#define UxGetXrtGearWidthMinimum_Column(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearWidthMinimum)
#endif
#ifndef UxPutXrtGearWidthMinimum_Column
#define UxPutXrtGearWidthMinimum_Column(sw, val) \
	UxPutProp(sw, XmNxrtGearWidthMinimum, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthPreferredCount_Column
#define UxGetXrtGearWidthPreferredCount_Column(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearWidthPreferredCount)
#endif
#ifndef UxPutXrtGearWidthPreferredCount_Column
#define UxPutXrtGearWidthPreferredCount_Column(sw, val) \
	UxPutProp(sw, XmNxrtGearWidthPreferredCount, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidthVirtual_Outliner
#define UxGetXrtGearWidthVirtual_Outliner(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearWidthVirtual)
#endif
#ifndef UxPutXrtGearWidthVirtual_Outliner
#define UxPutXrtGearWidthVirtual_Outliner(sw, val) \
	UxPutProp(sw, XmNxrtGearWidthVirtual, (XtArgVal)(val))
#endif

#ifndef UxGetBackground_Column
#define UxGetBackground_Column(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground_Column
#define UxPutBackground_Column(sw, val) \
	UxDDPutProp(sw, XmNbackground, (XtArgVal)(val))
#endif

#ifndef UxGetEditable_Column
#define UxGetEditable_Column(sw) \
	(char *) UxDDGetProp(sw, XmNeditable)
#endif
#ifndef UxPutEditable_Column
#define UxPutEditable_Column(sw, val) \
	UxDDPutProp(sw, XmNeditable, (XtArgVal)(val))
#endif

#endif /* DESIGN_TIME */

#endif /* UxXrtOutliner_included */

/***END*OF*FILE***************************************************************/
