/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtTabM.hxx,v 1.7 2000/06/19 08:32:36 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtTabM.hxx	1.6    97/02/26 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtTabM : public UxManager
{
    public:

	// Constructors
	UXINLINE UxXrtTabM(void);
	UXINLINE UxXrtTabM(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE int GetXrtGearActivePageNumber_TabM () const;
	UXINLINE void SetXrtGearActivePageNumber_TabM (int);

	UXINLINE char * GetXrtGearActivePageWidget_TabM () const;
	UXINLINE void SetXrtGearActivePageWidget_TabM (const char *);

	UXINLINE short GetXrtGearShadowThickness_TabM () const;
	UXINLINE void SetXrtGearShadowThickness_TabM (short);

	UXINLINE char * GetXrtGearActiveTabWidget_TabM () const;
	UXINLINE void SetXrtGearActiveTabWidget_TabM (const char *);

	UXINLINE char * GetXrtGearArrowDisplayPolicy_TabM () const;
	UXINLINE void SetXrtGearArrowDisplayPolicy_TabM (const char *);

	UXINLINE short GetXrtGearArrowHeight_TabM () const;
	UXINLINE void SetXrtGearArrowHeight_TabM (short);

	UXINLINE short GetXrtGearArrowWidth_TabM () const;
	UXINLINE void SetXrtGearArrowWidth_TabM (short);

	UXINLINE short GetXrtGearCornerSize_TabM () const;
	UXINLINE void SetXrtGearCornerSize_TabM (short);

	UXINLINE int GetXrtGearFirstVisibleTab_TabM () const;
	UXINLINE void SetXrtGearFirstVisibleTab_TabM (int);

	UXINLINE short GetXrtGearHighlightThickness_TabM () const;
	UXINLINE void SetXrtGearHighlightThickness_TabM (short);

	UXINLINE int GetXrtGearLastVisibleTab_TabM () const;
	UXINLINE void SetXrtGearLastVisibleTab_TabM (int);

	UXINLINE short GetXrtGearMarginHeight_TabM () const;
	UXINLINE void SetXrtGearMarginHeight_TabM (short);

	UXINLINE short GetXrtGearMarginWidth_TabM () const;
	UXINLINE void SetXrtGearMarginWidth_TabM (short);

	UXINLINE char * GetXrtGearPageAttachPolicy_TabM () const;
	UXINLINE void SetXrtGearPageAttachPolicy_TabM (const char *);

	UXINLINE char * GetXrtGearTabResize_TabM () const;
	UXINLINE void SetXrtGearTabResize_TabM (const char *);

	UXINLINE char * GetXrtGearTabRotation_TabM () const;
	UXINLINE void SetXrtGearTabRotation_TabM (const char *);

	UXINLINE char * GetXrtGearTabSide_TabM () const;
	UXINLINE void SetXrtGearTabSide_TabM (const char *);

	UXINLINE int GetXrtGearTabSpacing_TabM () const;
	UXINLINE void SetXrtGearTabSpacing_TabM (int);

	UXINLINE char * GetXrtGearTabStretch_TabM () const;
	UXINLINE void SetXrtGearTabStretch_TabM (const char *);

};

#ifdef DESIGN_TIME

#define XRTGEAR_TABM_TABLE(x)	xrtTabM_res_table[x].prpty, xrtTabM_res_table[x].name

extern Class_t UxC_XrtTabM;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtTabM::UxXrtTabM(void){}
inline UxXrtTabM::UxXrtTabM(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtTabM::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtTabManagerWidgetClass, parent);
	return UxThis;
}

inline int UxXrtTabM::GetXrtGearActivePageNumber_TabM (void) const
	{ return (int)IntGetProp(XmNxrtGearActivePageNumber);}
inline void UxXrtTabM::SetXrtGearActivePageNumber_TabM (int val)
	{ SetProp(XmNxrtGearActivePageNumber, ((XtArgVal)(val)));}

inline char * UxXrtTabM::GetXrtGearActivePageWidget_TabM (void) const
	{ return (char * ) DDGetProp(XmNxrtGearActivePageWidget);}
inline void UxXrtTabM::SetXrtGearActivePageWidget_TabM (const char * val)
	{ DDSetProp(XmNxrtGearActivePageWidget, ((XtArgVal)(val)));}

inline short UxXrtTabM::GetXrtGearShadowThickness_TabM (void) const
	{ return (short ) ShortGetProp(XmNxrtGearShadowThickness);}
inline void UxXrtTabM::SetXrtGearShadowThickness_TabM (short val)
	{ SetProp(XmNxrtGearShadowThickness, ((XtArgVal)(val)));}

inline char * UxXrtTabM::GetXrtGearActiveTabWidget_TabM (void) const
	{ return (char * ) DDGetProp(XmNxrtGearActiveTabWidget);}
inline void UxXrtTabM::SetXrtGearActiveTabWidget_TabM (const char * val)
	{ DDSetProp(XmNxrtGearActiveTabWidget, ((XtArgVal)(val)));}

inline char * UxXrtTabM::GetXrtGearArrowDisplayPolicy_TabM (void) const
	{ return (char * ) DDGetProp(XmNxrtGearArrowDisplayPolicy);}
inline void UxXrtTabM::SetXrtGearArrowDisplayPolicy_TabM (const char * val)
	{ DDSetProp(XmNxrtGearArrowDisplayPolicy, ((XtArgVal)(val)));}

inline short UxXrtTabM::GetXrtGearArrowHeight_TabM (void) const
	{ return (short ) ShortGetProp(XmNxrtGearArrowHeight);}
inline void UxXrtTabM::SetXrtGearArrowHeight_TabM (short val)
	{ SetProp(XmNxrtGearArrowHeight, ((XtArgVal)(val)));}

inline short UxXrtTabM::GetXrtGearArrowWidth_TabM (void) const
	{ return (short ) ShortGetProp(XmNxrtGearArrowWidth);}
inline void UxXrtTabM::SetXrtGearArrowWidth_TabM (short val)
	{ SetProp(XmNxrtGearArrowWidth, ((XtArgVal)(val)));}

inline short UxXrtTabM::GetXrtGearCornerSize_TabM (void) const
	{ return (short)ShortGetProp(XmNxrtGearCornerSize);}
inline void UxXrtTabM::SetXrtGearCornerSize_TabM (short val)
	{ SetProp(XmNxrtGearCornerSize, ((XtArgVal)(val)));}

inline int UxXrtTabM::GetXrtGearFirstVisibleTab_TabM (void) const
	{ return (int)IntGetProp(XmNxrtGearFirstVisibleTab);}
inline void UxXrtTabM::SetXrtGearFirstVisibleTab_TabM (int val)
	{ SetProp(XmNxrtGearFirstVisibleTab, ((XtArgVal)(val)));}

inline short UxXrtTabM::GetXrtGearHighlightThickness_TabM (void) const
	{ return (short ) ShortGetProp(XmNxrtGearHighlightThickness);}
inline void UxXrtTabM::SetXrtGearHighlightThickness_TabM (short val)
	{ SetProp(XmNxrtGearHighlightThickness, ((XtArgVal)(val)));}

inline int UxXrtTabM::GetXrtGearLastVisibleTab_TabM (void) const
	{ return (int)IntGetProp(XmNxrtGearLastVisibleTab);}
inline void UxXrtTabM::SetXrtGearLastVisibleTab_TabM (int val)
	{ SetProp(XmNxrtGearLastVisibleTab, ((XtArgVal)(val)));}

inline short UxXrtTabM::GetXrtGearMarginHeight_TabM (void) const
	{ return (short ) ShortGetProp(XmNxrtGearMarginHeight);}
inline void UxXrtTabM::SetXrtGearMarginHeight_TabM (short val)
	{ SetProp(XmNxrtGearMarginHeight, ((XtArgVal)(val)));}

inline short UxXrtTabM::GetXrtGearMarginWidth_TabM (void) const
	{ return (short ) ShortGetProp(XmNxrtGearMarginWidth);}
inline void UxXrtTabM::SetXrtGearMarginWidth_TabM (short val)
	{ SetProp(XmNxrtGearMarginWidth, ((XtArgVal)(val)));}

inline char * UxXrtTabM::GetXrtGearPageAttachPolicy_TabM (void) const
	{ return (char * ) DDGetProp(XmNxrtGearPageAttachPolicy);}
inline void UxXrtTabM::SetXrtGearPageAttachPolicy_TabM (const char * val)
	{ DDSetProp(XmNxrtGearPageAttachPolicy, ((XtArgVal)(val)));}

inline char * UxXrtTabM::GetXrtGearTabResize_TabM (void) const
	{ return (char * ) DDGetProp(XmNxrtGearTabResize);}
inline void UxXrtTabM::SetXrtGearTabResize_TabM (const char * val)
	{ DDSetProp(XmNxrtGearTabResize, ((XtArgVal)(val)));}

inline char * UxXrtTabM::GetXrtGearTabRotation_TabM (void) const
	{ return (char * ) DDGetProp(XmNxrtGearTabRotation);}
inline void UxXrtTabM::SetXrtGearTabRotation_TabM (const char * val)
	{ DDSetProp(XmNxrtGearTabRotation, ((XtArgVal)(val)));}

inline char * UxXrtTabM::GetXrtGearTabSide_TabM (void) const
	{ return (char * ) DDGetProp(XmNxrtGearTabSide);}
inline void UxXrtTabM::SetXrtGearTabSide_TabM (const char * val)
	{ DDSetProp(XmNxrtGearTabSide, ((XtArgVal)(val)));}

inline int UxXrtTabM::GetXrtGearTabSpacing_TabM (void) const
	{ return (int)IntGetProp(XmNxrtGearTabSpacing);}
inline void UxXrtTabM::SetXrtGearTabSpacing_TabM (int val)
	{ SetProp(XmNxrtGearTabSpacing, ((XtArgVal)(val)));}

inline char * UxXrtTabM::GetXrtGearTabStretch_TabM (void) const
	{ return (char * ) DDGetProp(XmNxrtGearTabStretch);}
inline void UxXrtTabM::SetXrtGearTabStretch_TabM (const char * val)
	{ DDSetProp(XmNxrtGearTabStretch, ((XtArgVal)(val)));}
	

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
