/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtToggleB.h	1.6    97/02/10 KL Group Inc.
 */

/******************************************************************************
				UxXrtToggleB.h
******************************************************************************/

#ifndef UXXRTTOGGLEB_INCLUDED
#define UXXRTTOGGLEB_INCLUDED

#include <Xm/XrtToggleB.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxTogB.h"
#include "UxXrtToggleB.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTGEAR_TOGGLEB_TABLE(x) xrtTogB_res_table[x].prpty, xrtTogB_res_table[x].name

/* Design-Time UxGet and UxPut macros for xrtTogBIndicator */
#ifndef UxGetXrtGearIndicator_TogB
#define UxGetXrtGearIndicator_TogB(sw) \
	UxGET_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumIndicator))
#endif
#ifndef UxPutXrtGearIndicator_TogB
#define UxPutXrtGearIndicator_TogB(sw, val) \
	UxPUT_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumIndicator), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTogBIndicatorMaskList */
#ifndef UxGetXrtGearIndicatorMaskList_TogB
#define UxGetXrtGearIndicatorMaskList_TogB(sw) \
	UxGET_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumIndicatorMaskList))
#endif
#ifndef UxPutXrtGearIndicatorMaskList_TogB
#define UxPutXrtGearIndicatorMaskList_TogB(sw, val) \
	UxPUT_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumIndicatorMaskList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTogBIndicatorPixmapList */
#ifndef UxGetXrtGearIndicatorPixmapList_TogB
#define UxGetXrtGearIndicatorPixmapList_TogB(sw) \
	UxGET_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumIndicatorPixmapList))
#endif
#ifndef UxPutXrtGearIndicatorPixmapList_TogB
#define UxPutXrtGearIndicatorPixmapList_TogB(sw, val) \
	UxPUT_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumIndicatorPixmapList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTogBNumStates */
#ifndef UxGetXrtGearNumStates_TogB
#define UxGetXrtGearNumStates_TogB(sw) \
	UxGET_int(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumNumStates))
#endif
#ifndef UxPutXrtGearNumStates_TogB
#define UxPutXrtGearNumStates_TogB(sw, val) \
	UxPUT_int(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumNumStates), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTogBSelectColor */
#ifndef UxGetXrtGearSelectColor_TogB
#define UxGetXrtGearSelectColor_TogB(sw) \
	UxGET_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumSelectColor))
#endif
#ifndef UxPutXrtGearSelectColor_TogB
#define UxPutXrtGearSelectColor_TogB(sw, val) \
	UxPUT_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumSelectColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTogBState */
#ifndef UxGetXrtGearState_TogB
#define UxGetXrtGearState_TogB(sw) \
	UxGET_int(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumState))
#endif
#ifndef UxPutXrtGearState_TogB
#define UxPutXrtGearState_TogB(sw, val) \
	UxPUT_int(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumState), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTogBUnselectColor */
#ifndef UxGetXrtGearUnselectColor_TogB
#define UxGetXrtGearUnselectColor_TogB(sw) \
	UxGET_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumUnselectColor))
#endif
#ifndef UxPutXrtGearUnselectColor_TogB
#define UxPutXrtGearUnselectColor_TogB(sw, val) \
	UxPUT_string(sw, XRTGEAR_TOGGLEB_TABLE(xrtTogBResNumUnselectColor), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtToggleB;
/* Design-time create macro */
#ifndef UxCreateXrtToggleB
#define UxCreateXrtToggleB(name, parent) \
	UxCreateSwidget(UxC_XrtToggleB, name, parent)
#endif

#else /* RUN_TIME */

#ifndef UxGetXrtGearIndicator_TogB
#define UxGetXrtGearIndicator_TogB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIndicator)
#endif
#ifndef UxPutXrtGearIndicator_TogB
#define UxPutXrtGearIndicator_TogB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIndicator, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearIndicatorMaskList_TogB
#define UxGetXrtGearIndicatorMaskList_TogB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIndicatorMaskList)
#endif
#ifndef UxPutXrtGearIndicatorMaskList_TogB
#define UxPutXrtGearIndicatorMaskList_TogB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIndicatorMaskList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearIndicatorPixmapList_TogB
#define UxGetXrtGearIndicatorPixmapList_TogB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIndicatorPixmapList)
#endif
#ifndef UxPutXrtGearIndicatorPixmapList_TogB
#define UxPutXrtGearIndicatorPixmapList_TogB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIndicatorPixmapList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearNumStates_TogB
#define UxGetXrtGearNumStates_TogB(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearNumStates)
#endif
#ifndef UxPutXrtGearNumStates_TogB
#define UxPutXrtGearNumStates_TogB(sw, val) \
	UxPutProp(sw, XmNxrtGearNumStates, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearSelectColor_TogB
#define UxGetXrtGearSelectColor_TogB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearSelectColor)
#endif
#ifndef UxPutXrtGearSelectColor_TogB
#define UxPutXrtGearSelectColor_TogB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearSelectColor, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearState_TogB
#define UxGetXrtGearState_TogB(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearState) /*???*/
#endif
#ifndef UxPutXrtGearState_TogB
#define UxPutXrtGearState_TogB(sw, val) \
	UxPutProp(sw, XmNxrtGearState, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearUnselectColor_TogB
#define UxGetXrtGearUnselectColor_TogB(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearUnselectColor)
#endif
#ifndef UxPutXrtGearUnselectColor_TogB
#define UxPutXrtGearUnselectColor_TogB(sw, val) \
	UxDDPutProp(sw, XmNxrtGearUnselectColor, (XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtToggleB
#define UxCreateXrtToggleB(name, parent) \
	UxCreateSwidget(name, xmXrtToggleButtonWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTTOGGLEB_INCLUDED */

/***END*OF*FILE***************************************************************/
