/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtToggleB.hxx,v 1.4 2000/06/19 08:32:38 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtToggleB.hxx	1.4    97/02/26 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtToggleB : public UxToggleButton
{
    public:

	// Constructors
	UXINLINE UxXrtToggleB(void);
	UXINLINE UxXrtToggleB(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char * GetXrtGearIndicator_TogB () const;
	UXINLINE void SetXrtGearIndicator_TogB (const char *);

	UXINLINE char * GetXrtGearIndicatorMaskList_TogB () const;
	UXINLINE void SetXrtGearIndicatorMaskList_TogB (const char *);

	UXINLINE char * GetXrtGearIndicatorPixmapList_TogB () const;
	UXINLINE void SetXrtGearIndicatorPixmapList_TogB (const char *);

	UXINLINE int GetXrtGearNumStates_TogB () const;
	UXINLINE void SetXrtGearNumStates_TogB (int);

	UXINLINE char * GetXrtGearSelectColor_TogB () const;
	UXINLINE void SetXrtGearSelectColor_TogB (const char *);

	UXINLINE int GetXrtGearState_TogB () const;
	UXINLINE void SetXrtGearState_TogB (int);

	UXINLINE char * GetXrtGearUnselectColor_TogB () const;
	UXINLINE void SetXrtGearUnselectColor_TogB (const char *);
};

#ifdef DESIGN_TIME

#define XRTGEAR_TOGGLEB_TABLE(x) xrtTogB_res_table[x].prpty, xrtTogB_res_table[x].name

extern Class_t UxC_XrtToggleB;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtToggleB::UxXrtToggleB(void){}
inline UxXrtToggleB::UxXrtToggleB(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtToggleB::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtToggleButtonWidgetClass,
					  parent);
	return UxThis;
}

inline char * UxXrtToggleB::GetXrtGearIndicator_TogB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearIndicator);}
inline void UxXrtToggleB::SetXrtGearIndicator_TogB (const char * val)
	{ DDSetProp(XmNxrtGearIndicator, ((XtArgVal)(val)));}

inline char * UxXrtToggleB::GetXrtGearIndicatorMaskList_TogB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearIndicatorMaskList);}
inline void UxXrtToggleB::SetXrtGearIndicatorMaskList_TogB (const char * val)
	{ DDSetProp(XmNxrtGearIndicatorMaskList, ((XtArgVal)(val)));}

inline char * UxXrtToggleB::GetXrtGearIndicatorPixmapList_TogB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearIndicatorPixmapList);}
inline void UxXrtToggleB::SetXrtGearIndicatorPixmapList_TogB (const char * val)
	{ DDSetProp(XmNxrtGearIndicatorPixmapList, ((XtArgVal)(val)));}

inline int UxXrtToggleB::GetXrtGearNumStates_TogB (void) const
	{ return (int)IntGetProp(XmNxrtGearNumStates);}
inline void UxXrtToggleB::SetXrtGearNumStates_TogB (int val) 
	{ SetProp(XmNxrtGearNumStates, ((XtArgVal)(val)));}

inline char * UxXrtToggleB::GetXrtGearSelectColor_TogB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearSelectColor);}
inline void UxXrtToggleB::SetXrtGearSelectColor_TogB (const char * val)
	{ DDSetProp(XmNxrtGearSelectColor, ((XtArgVal)(val)));}

inline int UxXrtToggleB::GetXrtGearState_TogB (void) const
	{ return (int)IntGetProp(XmNxrtGearState);}
inline void UxXrtToggleB::SetXrtGearState_TogB (int val)
	{ SetProp(XmNxrtGearState, ((XtArgVal)(val)));}

inline char * UxXrtToggleB::GetXrtGearUnselectColor_TogB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearUnselectColor);}
inline void UxXrtToggleB::SetXrtGearUnselectColor_TogB (const char * val)
	{ DDSetProp(XmNxrtGearUnselectColor, ((XtArgVal)(val)));}

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
