/*------------------------------------------------------------------------------
 * $Source: /rcs/rcs2/klswidget/stub_runtime.h,v $
 * $Date: 1997/07/23 18:46:55 $         $Revision: 2.1.65.1 $
 *------------------------------------------------------------------------------
 *              Copyright 1997, Visual Edge Software Ltd.
 *
 * ALL RIGHTS RESERVED.  This notice is intended as a precaution against
 * inadvertent publication, and shall not be deemed to constitute an
 * acknowledgment that publication has  occurred nor to imply any waiver
 * of confidentiality.  The year included in the notice is the year
 * of the creation of the work.
 *------------------------------------------------------------------------------
 * Include file for Xrt runtime integration.
 * Provides declarations for stubbed functions to avoid the
 * design time includes in which they are normally defined.
 *----------------------------------------------------------------------------*/

#ifndef STUB_RUNTIME_H
#define STUB_RUNTIME_H

#ifdef RUNTIME

#include <stdio.h>
#include "utype.h"

/* re-define Offset. A hack to prevent the need to include some files
 * that are only really needed at design time anyway.
 */
#ifdef Offset
#undef Offset
#endif
#define Offset(a,b) 0


#define STUB_PROTO(name) \
int name(void);


#ifdef STUBUXSTREQUAL
	STUB_PROTO(UxStrEqual)
#endif /* STUBUXSTREQUAL */

	STUB_PROTO(UxValidateAlignment)
	STUB_PROTO(UxValuesOfAlignment)

	STUB_PROTO(UxValidateBoolean)
	STUB_PROTO(UxValuesOfBoolean)

	STUB_PROTO(UxValuesOfChar)
	STUB_PROTO(UxValidateChar)

	STUB_PROTO(UxValidateDimension)
	STUB_PROTO(UxValuesOfDimension)

	STUB_PROTO(UxValuesOfInt)
	STUB_PROTO(UxValidateInt)

	STUB_PROTO(UxValidateLabelType)
	STUB_PROTO(UxValuesOfLabelType)

	STUB_PROTO(UxValidateOrientation)
	STUB_PROTO(UxValuesOfOrientation)

	STUB_PROTO(UxValidatePixel)
	STUB_PROTO(UxValuesOfPixel)

	STUB_PROTO(UxValidatePixmap)
	STUB_PROTO(UxValuesOfPixmap)

	STUB_PROTO(UxValidatePosition)
	STUB_PROTO(UxValuesOfPosition)

	STUB_PROTO(UxValuesOfScrollBarPlacement)
	STUB_PROTO(UxValidateScrollBarPlacement)

	STUB_PROTO(UxValidateString)
	STUB_PROTO(UxValuesOfString)

	STUB_PROTO(UxValidateStringDirection)
	STUB_PROTO(UxValuesOfStringDirection)

	STUB_PROTO(UxValidateStringTable)
	STUB_PROTO(UxValuesOfStringTable)

	STUB_PROTO(UxValidateWidget)
	STUB_PROTO(UxValuesOfWidget)

	STUB_PROTO(UxValidateVoidFunction)
	STUB_PROTO(UxValuesOfVoidFunction)

	STUB_PROTO(UxValidateXmFontList)
	STUB_PROTO(UxValuesOfXmFontList)

	STUB_PROTO(UxValidateXmString)
	STUB_PROTO(UxValuesOfXmString)

	STUB_PROTO(UxValidatePointer)
	STUB_PROTO(UxValuesOfPointer)

/*
 * stub out functions from gear tools used by Print Popup for Snapshot
 */
    STUB_PROTO(MtGetShell)
    STUB_PROTO(MtGearCreatePrintWidgetPage)
    STUB_PROTO(MtCreatePopupShell)

#endif /* RUNTIME */

#endif /* STUB_RUNTIME_H */
