/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/table widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtTbl_cg.c	1.8    95/10/17 KL Group Inc.
 */

/******************************************************************************/
/*				XrtTbl_cg.c												      */
/******************************************************************************/

#include <stdio.h>
#include "utype.h"
#include "class_info.h"


#include <Xm/XrtTable.h>
#include "XrtTbl_xtype.h"
#include "Xrt_restable.h"

/* size of the array based on XrtTblResNum list*/
static	RES_INFO	XrtTable_res[(int)size_xrtTblResNum];
static	RES_INFO	XrtLabel_res[(int)size_xrtLblResNum];

static void
XrtTbl_cgdef_resource(table, res_info_table, n, m)
XrtTblResourceDesc	*table;
RES_INFO			*res_info_table;
int 				n;
int 				m;
{
	RES_INFO	*pResInfo;

	pResInfo 				= &(res_info_table[m]);
	pResInfo->name 			= table[n].name;
	pResInfo->xt_name 		= table[n].xt_name;
	pResInfo->xt_name_def 	= table[n].xt_name_def;
	pResInfo->pass 			= (int) table[n].pass;
	pResInfo->xtype 		= table[n].type->xtype;	
	
	if (table[n].type->convert_flag == 1) {
		pResInfo->rt_conv = 1;
	}

	if (table[n].type->converter) {
		pResInfo->converter = table[n].type->converter;
	}
	
	if (table[n].type->datatype.type_table == XRTTBL_CALLBACK) {
		pResInfo->callback = 1;
	}

    if (table[n].type->datatype.type_table == XRTTBL_WIDGET) {
        pResInfo->wgt_val = 1;
    }
	
	if (table[n].division == XRTDIV_CONSTRAINT) {
		pResInfo->constraint = 1;
	}
}

XrtTbl_cg()
{
	int							n, n_res_used;
	static	WGT_CLASS_INFO		XrtTable_class_info;
	static	WGT_CLASS_INFO		XrtLabel_class_info;

	XrtTbl_init_resource_table();
	
	/*
	 *	Define resources and class info for XrtTable
	 */

	n_res_used = 0;
	for (n = 0; n < numtbl_res; n++) {
		if (xrttbl_res_table[n].used) {
			XrtTbl_cgdef_resource(xrttbl_res_table, XrtTable_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	
	XrtTable_class_info.name = "XrtTable";
	XrtTable_class_info.filename = "XrtTable";
	XrtTable_class_info.supername = "manager";
	XrtTable_class_info.xt_name = "xtXrtTableWidgetClass";
	XrtTable_class_info.xt_filename = "Xm/XrtTable.h";
	XrtTable_class_info.resources = XrtTable_res;
	XrtTable_class_info.num_resources = n_res_used;
	
	CgEnterWidgetClassInfo(&XrtTable_class_info);

	
	/*
	 *	Define resources and class info for XrtLabel
	 */

	n_res_used = 0;
	for (n = 0; n < numlbl_res; n++) {
		if (xrtlbl_res_table[n].used) {
			XrtTbl_cgdef_resource(xrtlbl_res_table, XrtLabel_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	
	XrtLabel_class_info.name = "XrtLabel";
	XrtLabel_class_info.filename = "XrtLabel";
	XrtLabel_class_info.supername = "primitive";
	XrtLabel_class_info.xt_name = "xtXrtLabelWidgetClass";
	XrtLabel_class_info.xt_filename = "Xm/XrtLabel.h";
	XrtLabel_class_info.resources = XrtLabel_res;
	XrtLabel_class_info.num_resources = n_res_used;
	
	CgEnterWidgetClassInfo(&XrtLabel_class_info);

}
