/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/table widget UIM/X integration file
 *
 * $AstecId: XrtTbl_restb.c,v 1.3 1999/10/13 11:52:39 nakayama Exp $
 *
 *  SCCSID -- @(#)XrtTbl_restb.c	1.23    99/02/01 KL Group Inc.
 */

/*****************************************************************************
				XrtTbl_restb.c
*****************************************************************************/

#include <Xm/XrtTable.h>			/* Widget-class public header file */
#include <UxLib.h>

#ifdef DESIGN_TIME

#include "veos.h"       		/* Visual Edge object system */
#include "valuesOf.h"   		/* ValuesOf & Validator functions */

#include "XrtTbl.cl.h"

#else

#include "stub_runtime.h"

#endif /* DESIGN_TIME */

#include "XrtTbl_xtype.h"
#include "Xrt_restable.h"

extern swidget UxPopupXrtTblCellValues();
extern swidget UxGUIPopupColorView();
extern swidget UxGUIPopupFontView();

extern swidget UxPopupXrtTblAlignmentSeriesEditor();
extern swidget UxPopupXrtTblBooleanSeriesEditor();
extern swidget UxPopupXrtTblBorderSideSeriesEditor();
extern swidget UxPopupXrtTblBorderTypeSeriesEditor();
extern swidget UxPopupXrtTblCaseSeriesEditor();
extern swidget UxPopupXrtTblColorSeriesEditor();
extern swidget UxPopupXrtTblDataTypeSeriesEditor();
extern swidget UxPopupXrtTblFontSeriesEditor();
extern swidget UxPopupXrtTblOverflowSeriesEditor();
extern swidget UxPopupXrtTblPixmapLayoutSeriesEditor();
extern swidget UxPopupXrtTblPixmapSeriesEditor();

/* generic, without popup menu or editor */
extern swidget UxPopupXrtTblSeriesEditor();

XrtTblResourceDesc xrttbl_res_table[] = {
{
	"xrtTblAlignmentContext",
	"RD_xrtTblAlignmentContext",
	XmNxrtTblAlignmentContext,
	"XmNxrtTblAlignmentContext",
	XRTTBL_ALIGNMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblAlignmentContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumAlignmentContext,
	TRUE,
	TRUE
},
{
	"xrtTblAlignmentSeries",
	"RD_xrtTblAlignmentSeries",
	XmNxrtTblAlignmentSeries,
	"XmNxrtTblAlignmentSeries",
	XRTTBL_ALIGNMENT_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblAlignmentSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumAlignmentSeries,
	FALSE,
	TRUE
}
,
{
	"xrtTblAllowCellResize",
	"RD_xrtTblAllowCellResize",
	XmNxrtTblAllowCellResize,
	"XmNxrtTblAllowCellResize",
	XRTTBL_RESIZE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblAllowCellResize),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumAllowCellResize,
	FALSE,
	TRUE
},
{
	"xrtTblAllowResize",
	"RD_xrtTblAllowResize",
	XmNxrtTblAllowResize,
	"XmNxrtTblAllowResize",
	XRTTBL_RESIZE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblAllowResize),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumAllowResize,
	FALSE,
	TRUE
},
{
	"xrtTblBackgroundContext",
	"RD_xrtTblBackgroundContext",
	XmNxrtTblBackgroundContext,
	"XmNxrtTblBackgroundContext",
	XRTTBL_COLOR,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBackgroundContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumBackgroundContext,
	TRUE,
	TRUE
},
{
	"xrtTblBackgroundPixelContext",
	"RD_xrtTblBackgroundPixelContext",
	XmNxrtTblBackgroundPixelContext,
	"XmNxrtTblBackgroundPixelContext",
	XRTTBL_XPIXEL,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBackgroundPixelContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumBackgroundPixelContext,
	TRUE,
	TRUE
},
{
	"xrtTblBackgroundSeries",
	"RD_xrtTblBackgroundSeries",
	XmNxrtTblBackgroundSeries,
	"XmNxrtTblBackgroundSeries",
	XRTTBL_COLOR_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBackgroundSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumBackgroundSeries,
	FALSE,
	TRUE
},
{
	"xrtTblBackingStore",
	"RD_xrtTblBackingStore",
	XmNxrtTblBackingStore,
	"XmNxrtTblBackingStore",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBackingStore),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumBackingStore,
	FALSE,
	TRUE
},
{
	"xrtTblBorderSidesContext",
	"RD_xrtTblBorderSidesContext",
	XmNxrtTblBorderSidesContext,
	"XmNxrtTblBorderSidesContext",
	XRTTBL_BORDER_SIDES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBorderSidesContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumBorderSidesContext,
	TRUE,
	TRUE
},
{
	"xrtTblBorderSidesSeries",
	"RD_xrtTblBorderSidesSeries",
	XmNxrtTblBorderSidesSeries,
	"XmNxrtTblBorderSidesSeries",
	XRTTBL_BORDER_SIDES_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBorderSidesSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumBorderSidesSeries,
	FALSE,
	TRUE
},
{
	"xrtTblBorderTypeContext",
	"RD_xrtTblBorderTypeContext",
	XmNxrtTblBorderTypeContext,
	"XmNxrtTblBorderTypeContext",
	XRTTBL_BORDER_TYPE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBorderTypeContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumBorderTypeContext,
	TRUE,
	TRUE
},
{
	"xrtTblBorderTypeSeries",
	"RD_xrtTblBorderTypeSeries",
	XmNxrtTblBorderTypeSeries,
	"XmNxrtTblBorderTypeSeries",
	XRTTBL_BORDER_TYPE_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBorderTypeSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumBorderTypeSeries,
	FALSE,
	TRUE
},
{
	"xrtTblBottomOffset",
	"RD_xrtTblBottomOffset",
	XmNxrtTblBottomOffset,
	"XmNxrtTblBottomOffset",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBottomOffset),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTblResNumBottomOffset,
	FALSE,
	TRUE
},
{
	"xrtTblBottomShadowContext",
	"RD_xrtTblBottomShadowContext",
	XmNxrtTblBottomShadowContext,
	"XmNxrtTblBottomShadowContext",
	XRTTBL_XPIXEL,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblBottomShadowContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumBottomShadowContext,
	TRUE,
	TRUE
},
{
	"xrtTblCaseContext",
	"RD_xrtTblCaseContext",
	XmNxrtTblCaseContext,
	"XmNxrtTblCaseContext",
	XRTTBL_CASE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCaseContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCaseContext,
	TRUE,
	TRUE
},
{
	"xrtTblCaseSeries",
	"RD_xrtTblCaseSeries",
	XmNxrtTblCaseSeries,
	"XmNxrtTblCaseSeries",
	XRTTBL_CASE_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCaseSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCaseSeries,
	FALSE,
	TRUE
},
{ 
	"xrtTblCellValueCallback",
	"RD_xrtTblCellValueCallback",
	XmNxrtTblCellValueCallback,
	"XmNxrtTblCellValueCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCellValueCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumCellValueCallback,
	FALSE,
	TRUE
},
{
	"xrtTblCellValueContext",
	"RD_xrtTblCellValueContext",
	XmNxrtTblCellValueContext,
	"XmNxrtTblCellValueContext",
	XRTTBL_XMSTRING,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCellValueContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCellValueContext,
	TRUE,
	TRUE
},
{
	"xrtTblCellValueFunc",
	"RD_xrtTblCellValueFunc",
	XmNxrtTblCellValueFunc,
	"XmNxrtTblCellValueFunc",
	XRTTBL_VOID_FUNCTION,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCellValueFunc),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCellValueFunc,
	FALSE,
	TRUE
},
{
	"xrtTblCellValues",
	"RD_xrtTblCellValues",
	XmNxrtTblCellValues,
	"XmNxrtTblCellValues",
	XRTTBL_CELL_VALUES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCellValues),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCellValues,
	FALSE,
	TRUE
},
{
	"xrtTblCharHeightContext",
	"RD_xrtTblCharHeightContext",
	XmNxrtTblCharHeightContext,
	"XmNxrtTblCharHeightContext",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCharHeightContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCharHeightContext,
	TRUE,
	TRUE
},
{
	"xrtTblCharHeightSeries",
	"RD_xrtTblCharHeightSeries",
	XmNxrtTblCharHeightSeries,
	"XmNxrtTblCharHeightSeries",
	XRTTBL_INT_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCharHeightSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCharHeightSeries,
	FALSE,
	TRUE
},
{
	"xrtTblCharWidthContext",
	"RD_xrtTblCharWidthContext",
	XmNxrtTblCharWidthContext,
	"XmNxrtTblCharWidthContext",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCharWidthContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCharWidthContext,
	TRUE,
	TRUE
},
{
	"xrtTblCharWidthSeries",
	"RD_xrtTblCharWidthSeries",
	XmNxrtTblCharWidthSeries,
	"XmNxrtTblCharWidthSeries",
	XRTTBL_INT_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCharWidthSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCharWidthSeries,
	FALSE,
	TRUE
},
{
	"xrtTblClipChildrenPersistent",
	"RD_xrtTblClipChildrenPersistent",
	XmNxrtTblClipChildrenPersistent,
	"XmNxrtTblClipChildrenPersistent",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblClipChildrenPersistent),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumClipChildrenPersistent,
	FALSE,
	TRUE
},
{
	"xrtTblClipPixmapContext",
	"RD_xrtTblClipPixmapContext",
	XmNxrtTblClipPixmapContext,
	"XmNxrtTblClipPixmapContext",
	XRTTBL_PIXMAP,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblClipPixmapContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumClipPixmapContext,
	TRUE,
	TRUE
},
{
	"xrtTblClipPixmapSeries",
	"RD_xrtTblClipPixmapSeries",
	XmNxrtTblClipPixmapSeries,
	"XmNxrtTblClipPixmapSeries",
	XRTTBL_PIXMAP_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblClipPixmapSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumClipPixmapSeries,
	FALSE,
	TRUE
},
{
	"xrtTblColumnLabelPlacement",
	"RD_xrtTblColumnLabelPlacement",
	XmNxrtTblColumnLabelPlacement,
	"XmNxrtTblColumnLabelPlacement",
	XRTTBL_ROW_PLACEMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblColumnLabelPlacement),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumColumnLabelPlacement,
	FALSE,
	TRUE
},
{
	"xrtTblColumnLabels",
	"RD_xrtTblColumnLabels",
	XmNxrtTblColumnLabels,
	"XmNxrtTblColumnLabels",
	XRTTBL_XMSTRING_LIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblColumnLabels),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumColumnLabels,
	FALSE,
	TRUE
},
{
	"xrtTblColumnLabelOffset",
	"RD_xrtTblColumnLabelOffset",
	XmNxrtTblColumnLabelOffset,
	"XmNxrtTblColumnLabelOffset",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblColumnLabelOffset),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumColumnLabelOffset,
	FALSE,
	TRUE
},
{
	"xrtTblContext",
	"RD_xrtTblContext",
	XmNxrtTblContext,
	"XmNxrtTblContext",
	XRTTBL_CONTEXT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumContext,
	TRUE,
	TRUE
},
{
	"xrtTblContextValueCallback",
	"RD_xrtTblContextValueCallback",
	XmNxrtTblContextValueCallback,
	"XmNxrtTblContextValueCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblContextValueCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumContextValueCallback,
	FALSE,
	TRUE
},
{
	"xrtTblCreateWidgetCallback",
	"RD_xrtTblCreateWidgetCallback",
	XmNxrtTblCreateWidgetCallback,
	"XmNxrtTblCreateWidgetCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCreateWidgetCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumCreateWidgetCallback,
	FALSE,
	TRUE
},
{
	"xrtTblCursorCorner",
	"RD_xrtTblCursorCorner",
	XmNxrtTblCursorCorner,
	"XmNxrtTblCursorCorner",
	XRTTBL_CURSOR_CORNER,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCursorCorner),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCursorCorner,
	FALSE,
	TRUE
},
{
	"xrtTblCursorHorizontal",
	"RD_xrtTblCursorHorizontal",
	XmNxrtTblCursorHorizontal,
	"XmNxrtTblCursorHorizontal",
	XRTTBL_CURSOR_HORIZONTAL,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCursorHorizontal),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCursorHorizontal,
	FALSE,
	TRUE
},
{
	"xrtTblCursorNontraversable",
	"RD_xrtTblCursorNontraversable",
	XmNxrtTblCursorNontraversable,
	"XmNxrtTblCursorNontraversable",
	XRTTBL_CURSOR_NON_TRAVERSABLE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCursorNontraversable),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCursorNontraversable,
	FALSE,
	TRUE
},
{
	"xrtTblCursorTraversable",
	"RD_xrtTblCursorTraversable",
	XmNxrtTblCursorTraversable,
	"XmNxrtTblCursorTraversable",
	XRTTBL_CURSOR_TRAVERSABLE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCursorTraversable),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCursorTraversable,
	FALSE,
	TRUE
},
{
	"xrtTblCursorVertical",
	"RD_xrtTblCursorVertical",
	XmNxrtTblCursorVertical,
	"XmNxrtTblCursorVertical",
	XRTTBL_CURSOR_VERTICAL,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCursorVertical),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCursorVertical,
	FALSE,
	TRUE
},
{
	"xrtTblDataTypeContext",
	"RD_xrtTblDataTypeContext",
	XmNxrtTblDataTypeContext,
	"XmNxrtTblDataTypeContext",
	XRTTBL_DATA_TYPE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDataTypeContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumDataTypeContext,
	TRUE,
	TRUE
},
{
	"xrtTblDataTypeSeries",
	"RD_xrtTblDataTypeSeries",
	XmNxrtTblDataTypeSeries,
	"XmNxrtTblDataTypeSeries",
	XRTTBL_DATA_TYPE_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDataTypeSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumDataTypeSeries,
	FALSE,
	TRUE
},
{
	"xrtTblDebug",
	"RD_xrtTblDebug",
	XmNxrtTblDebug,
	"XmNxrtTblDebug",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDebug),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumDebug,
	FALSE,
	TRUE
},
{
	"xrtTblDisplayClipArrows",
	"RD_xrtTblDisplayClipArrows",
	XmNxrtTblDisplayClipArrows,
	"XmNxrtTblDisplayClipArrows",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDisplayClipArrows),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumDisplayClipArrows,
	FALSE,
	TRUE
},
{
	"xrtTblDisplayHorizScrollBar",
	"RD_xrtTblDisplayHorizScrollBar",
	XmNxrtTblDisplayHorizScrollBar,
	"XmNxrtTblDisplayHorizScrollBar",
	XRTTBL_DISP_SCROLLBAR,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDisplayHorizScrollBar),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumDisplayHorizScrollBar,
	FALSE,
	TRUE
},
{
	"xrtTblDisplayVertScrollBar",
	"RD_xrtTblDisplayVertScrollBar",
	XmNxrtTblDisplayVertScrollBar,
	"XmNxrtTblDisplayVertScrollBar",
	XRTTBL_DISP_SCROLLBAR,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDisplayVertScrollBar),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumDisplayVertScrollBar,
	FALSE,
	TRUE
},
{
	"xrtTblDisplayWidgetCallback",
	"RD_xrtTblDisplayWidgetCallback",
	XmNxrtTblDisplayWidgetCallback,
	"XmNxrtTblDisplayWidgetCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDisplayWidgetCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumDisplayWidgetCallback,
	FALSE,
	TRUE
},
{
	"xrtTblDoubleBuffer",
	"RD_xrtTblDoubleBuffer",
	XmNxrtTblDoubleBuffer,
	"XmNxrtTblDoubleBuffer",
	XRTTBL_DOUBLE_BUFFER,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDoubleBuffer),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumDoubleBuffer,
	FALSE,
	TRUE
},
{
	"xrtTblEditableContext",
	"RD_xrtTblEditableContext",
	XmNxrtTblEditableContext,
	"XmNxrtTblEditableContext",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblEditableContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumEditableContext,
	TRUE,
	TRUE
},
{
	"xrtTblEditableSeries",
	"RD_xrtTblEditableSeries",
	XmNxrtTblEditableSeries,
	"XmNxrtTblEditableSeries",
	XRTTBL_BOOLEAN_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblEditableSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumEditableSeries,
	FALSE,
	TRUE
},
{
	"xrtTblEnterCellCallback",
	"RD_xrtTblEnterCellCallback",
	XmNxrtTblEnterCellCallback,
	"XmNxrtTblEnterCellCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblEnterCellCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumEnterCellCallback,
	FALSE,
	TRUE
},
{
	"xrtTblExportDelimiter",
	"RD_xrtTblExportDelimiter",
	XmNxrtTblExportDelimiter,
	"XmNxrtTblExportDelimiter",
	XRTTBL_STRING,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblExportDelimiter),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumExportDelimiter,
	FALSE,
	TRUE
},
{
	"xrtTblExposeCallback",
	"RD_xrtTblExposeCallback",
	XmNxrtTblExposeCallback,
	"XmNxrtTblExposeCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblExposeCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumExposeCallback,
	FALSE,
	TRUE
},
{
	"xrtTblFontListContext",
	"RD_xrtTblFontListContext",
	XmNxrtTblFontListContext,
	"XmNxrtTblFontListContext",
	XRTTBL_FONT_LIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFontListContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFontListContext,
	FALSE,
	FALSE
}
,
{
	"xrtTblFontListSeries",
	"RD_xrtTblFontListSeries",
	XmNxrtTblFontListSeries,
	"XmNxrtTblFontListSeries",
	XRTTBL_FONT_LIST_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFontListSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFontListSeries,
	FALSE,
	TRUE
},
{
	"xrtTblForegroundContext",
	"RD_xrtTblForegroundContext",
	XmNxrtTblForegroundContext,
	"XmNxrtTblForegroundContext",
	XRTTBL_COLOR,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblForegroundContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumForegroundContext,
	TRUE,
	TRUE
},
{
	"xrtTblForegroundSeries",
	"RD_xrtTblForegroundSeries",
	XmNxrtTblForegroundSeries,
	"XmNxrtTblForegroundSeries",
	XRTTBL_COLOR_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblForegroundSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumForegroundSeries,
	FALSE,
	TRUE
},
{
	"xrtTblForegroundPixelContext",
	"RD_xrtTblForegroundPixelContext",
	XmNxrtTblForegroundPixelContext,
	"XmNxrtTblForegroundPixelContext",
	XRTTBL_XPIXEL,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblForegroundPixelContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumForegroundPixelContext,
	TRUE,
	TRUE
},
{
	"xrtTblFrameBorderType",
	"RD_xrtTblFrameBorderType",
	XmNxrtTblFrameBorderType,
	"XmNxrtTblFrameBorderType",
	XRTTBL_BORDER_TYPE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFrameBorderType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFrameBorderType,
	FALSE,
	TRUE
},
{
	"xrtTblFrameShadowThickness",
	"RD_xrtTblFrameShadowThickness",
	XmNxrtTblFrameShadowThickness,
	"XmNxrtTblFrameShadowThickness",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFrameShadowThickness),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFrameShadowThickness,
	FALSE,
	TRUE
},
{
	"xrtTblFrozenColumnPlacement",
	"RD_xrtTblFrozenColumnPlacement",
	XmNxrtTblFrozenColumnPlacement,
	"XmNxrtTblFrozenColumnPlacement",
	XRTTBL_COLUMN_PLACEMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFrozenColumnPlacement),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFrozenColumnPlacement,
	FALSE,
	TRUE
},
{
	"xrtTblFrozenColumns",
	"RD_xrtTblFrozenColumns",
	XmNxrtTblFrozenColumns,
	"XmNxrtTblFrozenColumns",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFrozenColumns),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFrozenColumns,
	FALSE,
	TRUE
},
{
	"xrtTblFrozenRowPlacement",
	"RD_xrtTblFrozenRowPlacement",
	XmNxrtTblFrozenRowPlacement,
	"XmNxrtTblFrozenRowPlacement",
	XRTTBL_ROW_PLACEMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFrozenRowPlacement),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFrozenRowPlacement,
	FALSE,
	TRUE
},
{
	"xrtTblFrozenRows",
	"RD_xrtTblFrozenRows",
	XmNxrtTblFrozenRows,
	"XmNxrtTblFrozenRows",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFrozenRows),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFrozenRows,
	FALSE,
	TRUE
},
{
	"xrtTblHorizScrollBarLeftAttachment",
	"RD_xrtTblHorizScrollBarLeftAttachment",
	XmNxrtTblHorizScrollBarLeftAttachment,
	"XmNxrtTblHorizScrollBarLeftAttachment",
	XRTTBL_ATTACHMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblHorizScrollBarLeftAttachment),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumHorizScrollBarLeftAttachment,
	FALSE,
	TRUE
},
{
	"xrtTblHorizScrollBarPlacement",
	"RD_xrtTblHorizScrollBarPlacement",
	XmNxrtTblHorizScrollBarPlacement,
	"XmNxrtTblHorizScrollBarPlacement",
	XRTTBL_ROW_PLACEMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblHorizScrollBarPlacement),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumHorizScrollBarPlacement,
	FALSE,
	TRUE
},
{
	"xrtTblHorizScrollBarPosition",
	"RD_xrtTblHorizScrollBarPosition",
	XmNxrtTblHorizScrollBarPosition,
	"XmNxrtTblHorizScrollBarPosition",
	XRTTBL_SCROLLBAR_POSITION,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblHorizScrollBarPosition),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumHorizScrollBarPosition,
	FALSE,
	TRUE
},
{
	"xrtTblHorizScrollBarRightAttachment",
	"RD_xrtTblHorizScrollBarRightAttachment",
	XmNxrtTblHorizScrollBarRightAttachment,
	"XmNxrtTblHorizScrollBarRightAttachment",
	XRTTBL_ATTACHMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblHorizScrollBarRightAttachment),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumHorizScrollBarRightAttachment,
	FALSE,
	TRUE
},
{
	"xrtTblHorizontalScrollBar",
	"RD_xrtTblHorizontalScrollBar",
	XmNxrtTblHorizontalScrollBar,
	"XmNxrtTblHorizontalScrollBar",
	XRTTBL_WIDGET,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblHorizontalScrollBar),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumHorizontalScrollBar,
	TRUE,
	TRUE
},
{
	"xrtTblImportDelimiter",
	"RD_xrtTblImportDelimiter",
	XmNxrtTblImportDelimiter,
	"XmNxrtTblImportDelimiter",
	XRTTBL_STRING,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblImportDelimiter),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumImportDelimiter,
	FALSE,
	TRUE
},
{
	"xrtTblJumpScroll",
	"RD_xrtTblJumpScroll",
	XmNxrtTblJumpScroll,
	"XmNxrtTblJumpScroll",
	XRTTBL_JUMP_SCROLL,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblJumpScroll),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumJumpScroll,
	FALSE,
	TRUE
},
{
	"xrtTblLabelContext",
	"RD_xrtTblLabelContext",
	XmNxrtTblLabelContext,
	"XmNxrtTblLabelContext",
	XRTTBL_XMSTRING,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblLabelContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumLabelContext,
	TRUE,
	TRUE
},
{
	"xrtTblLabelCreateCallback",
	"RD_xrtTblLabelCreateCallback",
	XmNxrtTblLabelCreateCallback,
	"XmNxrtTblLabelCreateCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblLabelCreateCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumLabelCreateCallback,
	FALSE,
	TRUE
},
{
	"xrtTblLabelCreateFunc",
	"RD_xrtTblLabelCreateFunc",
	XmNxrtTblLabelCreateFunc,
	"XmNxrtTblLabelCreateFunc",
	XRTTBL_VOID_FUNCTION,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblLabelCreateFunc),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumLabelCreateFunc,
	FALSE,
	TRUE
},
{
	"xrtTblLeftColumn",
	"RD_xrtTblLeftColumn",
	XmNxrtTblLeftColumn,
	"XmNxrtTblLeftColumn",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblLeftColumn),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumLeftColumn,
	FALSE,
	TRUE
},
{
	"xrtTblLeftOffset",
	"RD_xrtTblLeftOffset",
	XmNxrtTblLeftOffset,
	"XmNxrtTblLeftOffset",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblLeftOffset),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTblResNumLeftOffset,
	FALSE,
	TRUE
},
{
	"xrtTblLocation",
	"RD_xrtTblLocation",
	XmNxrtTblLocation,
	"XmNxrtTblLocation",
	XRTTBL_LOCATION,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblLocation),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTblResNumLocation,
	FALSE,
	TRUE
},
{
	"xrtTblMarginHeight",
	"RD_xrtTblMarginHeight",
	XmNxrtTblMarginHeight,
	"XmNxrtTblMarginHeight",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMarginHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMarginHeight,
	FALSE,
	TRUE
},
{
	"xrtTblMarginWidth",
	"RD_xrtTblMarginWidth",
	XmNxrtTblMarginWidth,
	"XmNxrtTblMarginWidth",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMarginWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMarginWidth,
	FALSE,
	TRUE
},
{
	"xrtTblMaxLengthContext",
	"RD_xrtTblMaxLengthContext",
	XmNxrtTblMaxLengthContext,
	"XmNxrtTblMaxLengthContext",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMaxLengthContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMaxLengthContext,
	TRUE,
	TRUE
},
{
	"xrtTblMaxLengthSeries",
	"RD_xrtTblMaxLengthSeries",
	XmNxrtTblMaxLengthSeries,
	"XmNxrtTblMaxLengthSeries",
	XRTTBL_INT_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMaxLengthSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMaxLengthSeries,
	FALSE,
	TRUE
},
{
	"xrtTblMinCellVisibility",
	"RD_xrtTblMinCellVisibility",
	XmNxrtTblMinCellVisibility,
	"XmNxrtTblMinCellVisibility",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMinCellVisibility),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMinCellVisibility,
	FALSE,
	TRUE
},
{
	"xrtTblMinFlexibleHeight",
	"RD_xrtTblMinFlexibleHeight",
	XmNxrtTblMinFlexibleHeight,
	"XmNxrtTblMinFlexibleHeight",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMinFlexibleHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMinFlexibleHeight,
	FALSE,
	TRUE
},
{
	"xrtTblMinFlexibleWidth",
	"RD_xrtTblMinFlexibleWidth",
	XmNxrtTblMinFlexibleWidth,
	"XmNxrtTblMinFlexibleWidth",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMinFlexibleWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMinFlexibleWidth,
	FALSE,
	TRUE
},
{
	"xrtTblMode",
	"RD_xrtTblMode",
	XmNxrtTblMode,
	"XmNxrtTblMode",
	XRTTBL_MODE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMode),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMode,
	FALSE,
	TRUE
},
{
	"xrtTblMultilineContext",
	"RD_xrtTblMultilineContext",
	XmNxrtTblMultilineContext,
	"XmNxrtTblMultilineContext",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMultilineContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMultilineContext,
	TRUE,
	TRUE
},
{
	"xrtTblMultilineSeries",
	"RD_xrtTblMultilineSeries",
	XmNxrtTblMultilineSeries,
	"XmNxrtTblMultilineSeries",
	XRTTBL_BOOLEAN_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblMultilineSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumMultilineSeries,
	FALSE,
	TRUE
},
{
	"xrtTblNumColumns",
	"RD_xrtTblNumColumns",
	XmNxrtTblNumColumns,
	"XmNxrtTblNumColumns",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblNumColumns),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumNumColumns,
	FALSE,
	TRUE
},
{
	"xrtTblNumRows",
	"RD_xrtTblNumRows",
	XmNxrtTblNumRows,
	"XmNxrtTblNumRows",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblNumRows),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumNumRows,
	FALSE,
	TRUE
},
{
	"xrtTblOverflowContext",
	"RD_xrtTblOverflowContext",
	XmNxrtTblOverflowContext,
	"XmNxrtTblOverflowContext",
	XRTTBL_OVERFLOW,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblOverflowContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumOverflowContext,
	TRUE,
	TRUE
},
{
	"xrtTblOverflowSeries",
	"RD_xrtTblOverflowSeries",
	XmNxrtTblOverflowSeries,
	"XmNxrtTblOverflowSeries",
	XRTTBL_OVERFLOW_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblOverflowSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumOverflowSeries,
	FALSE,
	TRUE
},
{
	"xrtTblPixelHeightContext",
	"RD_xrtTblPixelHeightContext",
	XmNxrtTblPixelHeightContext,
	"XmNxrtTblPixelHeightContext",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixelHeightContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixelHeightContext,
	TRUE,
	TRUE
},
{
	"xrtTblPixelHeightSeries",
	"RD_xrtTblPixelHeightSeries",
	XmNxrtTblPixelHeightSeries,
	"XmNxrtTblPixelHeightSeries",
	XRTTBL_CELL_SIZE_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixelHeightSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixelHeightSeries,
	FALSE,
	TRUE
},
{
	"xrtTblPixelWidthContext",
	"RD_xrtTblPixelWidthContext",
	XmNxrtTblPixelWidthContext,
	"XmNxrtTblPixelWidthContext",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixelWidthContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixelWidthContext,
	TRUE,
	TRUE
},
{
	"xrtTblPixelWidthSeries",
	"RD_xrtTblPixelWidthSeries",
	XmNxrtTblPixelWidthSeries,
	"XmNxrtTblPixelWidthSeries",
	XRTTBL_CELL_SIZE_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixelWidthSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixelWidthSeries,
	FALSE,
	TRUE
},
{
	"xrtTblPixmapContext",
	"RD_xrtTblPixmapContext",
	XmNxrtTblPixmapContext,
	"XmNxrtTblPixmapContext",
	XRTTBL_PIXMAP,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixmapContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixmapContext,
	TRUE,
	TRUE
},
{
	"xrtTblPixmapLayoutContext",
	"RD_xrtTblPixmapLayoutContext",
	XmNxrtTblPixmapLayoutContext,
	"XmNxrtTblPixmapLayoutContext",
	XRTTBL_PIXMAP_LAYOUT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixmapLayoutContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixmapLayoutContext,
	TRUE,
	TRUE
},
{
	"xrtTblPixmapLayoutSeries",
	"RD_xrtTblPixmapLayoutSeries",
	XmNxrtTblPixmapLayoutSeries,
	"XmNxrtTblPixmapLayoutSeries",
	XRTTBL_PIXMAP_LAYOUT_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixmapLayoutSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixmapLayoutSeries,
	FALSE,
	TRUE
},
{
	"xrtTblPixmapSeries",
	"RD_xrtTblPixmapSeries",
	XmNxrtTblPixmapSeries,
	"XmNxrtTblPixmapSeries",
	XRTTBL_PIXMAP_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixmapSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixmapSeries,
	FALSE,
	TRUE
},
{/*2.2.0 begin*/
	"xrtTblPixmapShadowContext",
	"RD_xrtTblPixmapShadowContext",
	XmNxrtTblPixmapShadowContext,
	"XmNxrtTblPixmapShadowContext",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixmapShadowContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixmapShadowContext,
	TRUE,
	TRUE
},
{
	"xrtTblPixmapShadowSeries",
	"RD_xrtTblPixmapShadowSeries",
	XmNxrtTblPixmapShadowSeries,
	"XmNxrtTblPixmapShadowSeries",
	XRTTBL_BOOLEAN_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPixmapShadowSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPixmapShadowSeries,
	FALSE,
	TRUE
},
{
	"xrtTblPrintCallback",
	"RD_xrtTblPrintCallback",
	XmNxrtTblPrintCallback,
	"XmNxrtTblPrintCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPrintCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumPrintCallback,
	FALSE,
	TRUE
},
{
	"xrtTblPrintWidgetCallback",
	"RD_xrtTblPrintWidgetCallback",
	XmNxrtTblPrintWidgetCallback,
	"XmNxrtTblPrintWidgetCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPrintWidgetCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumPrintWidgetCallback,
	FALSE,
	TRUE
},
{
	"xrtTblPSFontListContext",
	"RD_xrtTblPSFontListContext",
	XmNxrtTblPSFontListContext,
	"XmNxrtTblPSFontListContext",
	XRTTBL_STRING,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPSFontListContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPSFontListContext,
	TRUE,
	TRUE
},
{
	"xrtTblPSFontListSeries",
	"RD_xrtTblPSFontListSeries",
	XmNxrtTblPSFontListSeries,
	"XmNxrtTblPSFontListSeries",
	XRTTBL_STRING_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPSFontListSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPSFontListSeries,
	FALSE,
	TRUE
},
{
	"xrtTblPSFontMapList",
	"RD_xrtTblPSFontMapList",
	XmNxrtTblPSFontMapList,
	"XmNxrtTblPSFontMapList",
	XRTTBL_PS_FONT_MAP_LIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPSFontMapList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPSFontMapList,
	FALSE,
	TRUE
},/*2.2.0 end*/
{
	"xrtTblRangeContext",
	"RD_xrtTblRangeContext",
	XmNxrtTblRangeContext,
	"XmNxrtTblRangeContext",
	XRTTBL_RANGE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblRangeContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumRangeContext,
	TRUE,
	TRUE
},
{ 
	"xrtTblRepaint",
	"RD_xrtTblRepaint",
	XmNxrtTblRepaint,
	"XmNxrtTblRepaint",
	XRTTBL_REPAINT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblRepaint),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumRepaint,
	FALSE,
	TRUE
},
{
	"xrtTblRepeatBackgroundColors",
	"RD_xrtTblRepeatBackgroundColors",
	XmNxrtTblRepeatBackgroundColors,
	"XmNxrtTblRepeatBackgroundColors",
	XRTTBL_STRING_TABLE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblRepeatBackgroundColors),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumRepeatBackgroundColors,
	FALSE,
	TRUE
},
{
	"xrtTblRepeatForegroundColors",
	"RD_xrtTblRepeatForegroundColors",
	XmNxrtTblRepeatForegroundColors,
	"XmNxrtTblRepeatForegroundColors",
	XRTTBL_STRING_TABLE,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblRepeatForegroundColors),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumRepeatForegroundColors,
	FALSE,
	TRUE
},
{
	"xrtTblResizeCallback",
	"RD_xrtTblResizeCallback",
	XmNxrtTblResizeCallback,
	"XmNxrtTblResizeCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblResizeCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumResizeCallback,
	FALSE,
	TRUE
},
{
	"xrtTblResizeCellCallback",
	"RD_xrtTblResizeCellCallback",
	XmNxrtTblResizeCellCallback,
	"XmNxrtTblResizeCellCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblResizeCellCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumResizeCellCallback,
	FALSE,
	TRUE
},
{
	"xrtTblRightOffset",
	"RD_xrtTblRightOffset",
	XmNxrtTblRightOffset,
	"XmNxrtTblRightOffset",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblRightOffset),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTblResNumRightOffset,
	FALSE,
	TRUE
},
{
	"xrtTblRowLabelOffset",
	"RD_xrtTblRowLabelOffset",
	XmNxrtTblRowLabelOffset,
	"XmNxrtTblRowLabelOffset",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblRowLabelOffset),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumRowLabelOffset,
	FALSE,
	TRUE
},
{
	"xrtTblRowLabelPlacement",
	"RD_xrtTblRowLabelPlacement",
	XmNxrtTblRowLabelPlacement,
	"XmNxrtTblRowLabelPlacement",
	XRTTBL_COLUMN_PLACEMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblRowLabelPlacement),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumRowLabelPlacement,
	FALSE,
	TRUE
},
{
	"xrtTblRowLabels",
	"RD_xrtTblRowLabels",
	XmNxrtTblRowLabels,
	"XmNxrtTblRowLabels",
	XRTTBL_XMSTRING_LIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblRowLabels),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumRowLabels,
	FALSE,
	TRUE
},
{
	"xrtTblScrollCallback",
	"RD_xrtTblScrollCallback",
	XmNxrtTblScrollCallback,
	"XmNxrtTblScrollCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblScrollCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumScrollCallback,
	FALSE,
	TRUE
},
{
	"xrtTblSelectCallback",
	"RD_xrtTblSelectCallback",
	XmNxrtTblSelectCallback,
	"XmNxrtTblSelectCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSelectCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumSelectCallback,
	FALSE,
	TRUE
},
{
	"xrtTblSelectedBackground",
	"RD_xrtTblSelectedBackground",
	XmNxrtTblSelectedBackground,
	"XmNxrtTblSelectedBackground",
	XRTTBL_COLOR,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSelectedBackground),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumSelectedBackground,
	FALSE,
	TRUE
},
{
	"xrtTblSelectedCellList",
	"RD_xrtTblSelectedCellList",
	XmNxrtTblSelectedCellList,
	"XmNxrtTblSelectedCellList",
	XRTTBL_RANGE_LIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSelectedCellList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumSelectedCellList,
	FALSE,
	TRUE
},
{
	"xrtTblSelectedForeground",
	"RD_xrtTblSelectedForeground",
	XmNxrtTblSelectedForeground,
	"XmNxrtTblSelectedForeground",
	XRTTBL_COLOR,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSelectedForeground),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumSelectedForeground,
	FALSE,
	TRUE
},
{
	"xrtTblSelectionPolicy",
	"RD_xrtTblSelectionPolicy",
	XmNxrtTblSelectionPolicy,
	"XmNxrtTblSelectionPolicy",
	XRTTBL_SELECTION_POLICY,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSelectionPolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumSelectionPolicy,
	FALSE,
	TRUE
},
{
	"xrtTblSetTextCursorPos",
	"RD_xrtTblSetTextCursorPos",
	XmNxrtTblSetTextCursorPos,
	"XmNxrtTblSetTextCursorPos",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSetTextCursorPos),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumSetTextCursorPos,
	FALSE,
	TRUE
},
{
	"xrtTblShadowThickness",
	"RD_xrtTblShadowThickness",
	XmNxrtTblShadowThickness,
	"XmNxrtTblShadowThickness",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblShadowThickness),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumShadowThickness,
	FALSE,
	TRUE
},
{
	"xrtTblSortCallback",
	"RD_xrtTblSortCallback",
	XmNxrtTblSortCallback,
	"XmNxrtTblSortCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSortCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumSortCallback,
	FALSE,
	TRUE
},
{
	"xrtTblSpace",
	"RD_xrtTblSpace",
	XmNxrtTblSpace,
	"XmNxrtTblSpace",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSpace),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumSpace,
	FALSE,
	TRUE
},
{
	"xrtTblSpanList",
	"RD_xrtTblSpanList",
	XmNxrtTblSpanList,
	"XmNxrtTblSpanList",
	XRTTBL_RANGE_LIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSpanList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumSpanList,
	FALSE,
	TRUE
},
{
	"xrtTblText",
	"RD_xrtTblText",
	XmNxrtTblText,
	"XmNxrtTblText",
	XRTTBL_WIDGET,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblText),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumText,
	TRUE,
	TRUE
},
{
	"xrtTblTextInitSelect",
	"RD_xrtTblTextInitSelect",
	XmNxrtTblTextInitSelect,
	"XmNxrtTblTextInitSelect",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblTextInitSelect),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumTextInitSelect,
	FALSE,
	TRUE
},
{
	"xrtTblTopOffset",
	"RD_xrtTblTopOffset",
	XmNxrtTblTopOffset,
	"XmNxrtTblTopOffset",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblTopOffset),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTblResNumTopOffset,
	FALSE,
	TRUE
},
{
	"xrtTblTopRow",
	"RD_xrtTblTopRow",
	XmNxrtTblTopRow,
	"XmNxrtTblTopRow",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblTopRow),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumTopRow,
	FALSE,
	TRUE
},
{
	"xrtTblTopShadowContext",
	"RD_xrtTblTopShadowContext",
	XmNxrtTblTopShadowContext,
	"XmNxrtTblTopShadowContext",
	XRTTBL_XPIXEL,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblTopShadowContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumTopShadowContext,
	TRUE,
	TRUE
},
{
	"xrtTblTrackCursor",
	"RD_xrtTblTrackCursor",
	XmNxrtTblTrackCursor,
	"XmNxrtTblTrackCursor",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblTrackCursor),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumTrackCursor,
	FALSE,
	TRUE
},
{
	"xrtTblTrackCursorCallback",
	"RD_xrtTblTrackCursorCallback",
	XmNxrtTblTrackCursorCallback,
	"XmNxrtTblTrackCursorCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblTrackCursorCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumTrackCursorCallback,
	FALSE,
	TRUE
},
{
	"xrtTblTraversableContext",
	"RD_xrtTblTraversableContext",
	XmNxrtTblTraversableContext,
	"XmNxrtTblTraversableContext",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblTraversableContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumTraversableContext,
	TRUE,
	TRUE
},
{
	"xrtTblTraversableSeries",
	"RD_xrtTblTraversableSeries",
	XmNxrtTblTraversableSeries,
	"XmNxrtTblTraversableSeries",
	XRTTBL_BOOLEAN_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblTraversableSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumTraversableSeries,
	FALSE,
	TRUE
},
{
	"xrtTblTraverseCellCallback",
	"RD_xrtTblTraverseCellCallback",
	XmNxrtTblTraverseCellCallback,
	"XmNxrtTblTraverseCellCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblTraverseCellCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumTraverseCellCallback,
	FALSE,
	TRUE
},
{  /*post-2.2.0*/
	"xrtTblUseXmGetColors",
	"RD_xrtTblUseXmGetColors",
	XmNxrtTblUseXmGetColors,
	"XmNxrtTblUseXmGetColors",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblUseXmGetColors),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumUseXmGetColors,
	FALSE,
	TRUE
},
{
	"xrtTblValidateCellCallback",
	"RD_xrtTblValidateCellCallback",
	XmNxrtTblValidateCellCallback,
	"XmNxrtTblValidateCellCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblValidateCellCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumValidateCellCallback,
	FALSE,
	TRUE
},
{
	"xrtTblValidatePolicy",
	"RD_xrtTblValidatePolicy",
	XmNxrtTblValidatePolicy,
	"XmNxrtTblValidatePolicy",
	XRTTBL_VALIDATE_POLICY,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblValidatePolicy),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumValidatePolicy,
	FALSE,
	TRUE
},
{
	"xrtTblVertScrollBarBottomAttachment",
	"RD_xrtTblVertScrollBarBottomAttachment",
	XmNxrtTblVertScrollBarBottomAttachment,
	"XmNxrtTblVertScrollBarBottomAttachment",
	XRTTBL_ATTACHMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblVertScrollBarBottomAttachment),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumVertScrollBarBottomAttachment,
	FALSE,
	TRUE
},
{
	"xrtTblVertScrollBarPlacement",
	"RD_xrtTblVertScrollBarPlacement",
	XmNxrtTblVertScrollBarPlacement,
	"XmNxrtTblVertScrollBarPlacement",
	XRTTBL_COLUMN_PLACEMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblVertScrollBarPlacement),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumVertScrollBarPlacement,
	FALSE,
	TRUE
},
{
	"xrtTblVertScrollBarPosition",
	"RD_xrtTblVertScrollBarPosition",
	XmNxrtTblVertScrollBarPosition,
	"XmNxrtTblVertScrollBarPosition",
	XRTTBL_SCROLLBAR_POSITION,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblVertScrollBarPosition),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumVertScrollBarPosition,
	FALSE,
	TRUE
},
{
	"xrtTblVertScrollBarTopAttachment",
	"RD_xrtTblVertScrollBarTopAttachment",
	XmNxrtTblVertScrollBarTopAttachment,
	"XmNxrtTblVertScrollBarTopAttachment",
	XRTTBL_ATTACHMENT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblVertScrollBarTopAttachment),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumVertScrollBarTopAttachment,
	FALSE,
	TRUE
},
{
	"xrtTblVerticalScrollBar",
	"RD_xrtTblVerticalScrollBar",
	XmNxrtTblVerticalScrollBar,
	"XmNxrtTblVerticalScrollBar",
	XRTTBL_WIDGET,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblVerticalScrollBar),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumVerticalScrollBar,
	TRUE,
	TRUE
},
{
	"xrtTblVisibleColumns",
	"RD_xrtTblVisibleColumns",
	XmNxrtTblVisibleColumns,
	"XmNxrtTblVisibleColumns",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblVisibleColumns),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumVisibleColumns,
	FALSE,
	TRUE
},
{
	"xrtTblVisibleRows",
	"RD_xrtTblVisibleRows",
	XmNxrtTblVisibleRows,
	"XmNxrtTblVisibleRows",
	XRTTBL_INT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblVisibleRows),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumVisibleRows,
	FALSE,
	TRUE
},
{
	"xrtTblWidgetLocation",
	"RD_xrtTblWidgetLocation",
	XmNxrtTblWidgetLocation,
	"XmNxrtTblWidgetLocation",
	XRTTBL_CONTEXT,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblWidgetLocation),
	XRTDIV_CONSTRAINT,
	XRTPASS2,   /* Location should be specified after all resources for the widget are set */
	NULL,
	xrtTblResNumWidgetLocation,
	FALSE,
	TRUE
},
{
	"xrtTblWidgetClassList",
	"RD_xrtTblWidgetClassList",
	XmNxrtTblWidgetClassList,
	"XmNxrtTblWidgetClassList",
	XRTTBL_WIDGET_CLASS_LIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblWidgetClassList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumWidgetClassList,
	FALSE,
	TRUE
},
{
	"xrtTblWidgetContext",
	"RD_xrtTblWidgetContext",
	XmNxrtTblWidgetContext,
	"XmNxrtTblWidgetContext",
	XRTTBL_WIDGET,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblWidgetContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumWidgetContext,
	TRUE,
	TRUE
},
{
	"xrtTblWidgetSeries",
	"RD_xrtTblWidgetSeries",
	XmNxrtTblWidgetSeries,
	"XmNxrtTblWidgetSeries",
	XRTTBL_WIDGET_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblWidgetSeries),
	XRTDIV_SPECIFIC,
	XRTPASS2,    /* child cannot be created before parent !!! */
	NULL,
	xrtTblResNumWidgetSeries,
	FALSE,
	TRUE
},
{
	"xrtTblWidgetSetValueCallback",
	"RD_xrtTblWidgetSetValueCallback",
	XmNxrtTblWidgetSetValueCallback,
	"XmNxrtTblWidgetSetValueCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblWidgetSetValueCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumWidgetSetValueCallback,
	FALSE,
	TRUE
},
{
	"xrtTblWidgetShadowContext",
	"RD_xrtTblWidgetShadowContext",
	XmNxrtTblWidgetShadowContext,
	"XmNxrtTblWidgetShadowContext",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblWidgetShadowContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumWidgetShadowContext,
	TRUE,
	TRUE
},
{
	"xrtTblWidgetShadowSeries",
	"RD_xrtTblWidgetShadowSeries",
	XmNxrtTblWidgetShadowSeries,
	"XmNxrtTblWidgetShadowSeries",
	XRTTBL_BOOLEAN_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblWidgetShadowSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumWidgetShadowSeries,
	FALSE,
	TRUE
},
{
	"xrtTblWordWrapContext",
	"RD_xrtTblWordWrapContext",
	XmNxrtTblWordWrapContext,
	"XmNxrtTblWordWrapContext",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblWordWrapContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumWordWrapContext,
	TRUE,
	TRUE
},
{
	"xrtTblWordWrapSeries",
	"RD_xrtTblWordWrapSeries",
	XmNxrtTblWordWrapSeries,
	"XmNxrtTblWordWrapSeries",
	XRTTBL_BOOLEAN_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblWordWrapSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumWordWrapSeries,
	FALSE,
	TRUE
},
{
	"xrtTblXmStringGetMode",
	"RD_xrtTblXmStringGetMode",
	XmNxrtTblXmStringGetMode,
	"XmNxrtTblXmStringGetMode",
	XRTTBL_XMSTRING_GET,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblXmStringGetMode),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumXmStringGetMode,
	FALSE,
	TRUE
},
{
	"xrtTblXmStringSetMode",
	"RD_xrtTblXmStringSetMode",
	XmNxrtTblXmStringSetMode,
	"XmNxrtTblXmStringSetMode",
	XRTTBL_XMSTRING_SET,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblXmStringSetMode),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumXmStringSetMode,
	FALSE,
	TRUE
},
{
	"xrtTblExportCallback",
	"RD_xrtTblExportCallback",
	XmNxrtTblExportCallback,
	"XmNxrtTblExportCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblExportCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumExportCallback,
	FALSE,
	TRUE
},
{
	"xrtTblImportCallback",
	"RD_xrtTblImportCallback",
	XmNxrtTblImportCallback,
	"XmNxrtTblImportCallback",
	XRTTBL_CALLBACK,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblImportCallback),
	XRTDIV_BEHAVIOR,
	XRTPASS0,
	NULL,
	xrtTblResNumImportCallback,
	FALSE,
	TRUE
},
{
	"xrtTblCurrencyPickListContext",
	"RD_xrtTblCurrencyPickListContext",
	XmNxrtTblCurrencyPickListContext,
	"XmNxrtTblCurrencyPickListContext",
	XRTTBL_CURRENCY_PICKLIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCurrencyPickListContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCurrencyPickListContext,
	TRUE,
	TRUE
},
{
	"xrtTblCurrencyPickListSeries",
	"RD_xrtTblCurrencyPickListSeries",
	XmNxrtTblCurrencyPickListSeries,
	"XmNxrtTblCurrencyPickListSeries",
	XRTTBL_CURRENCY_PICKLIST_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblCurrencyPickListSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumCurrencyPickListSeries,
	FALSE,
	TRUE
},
{
	"xrtTblDatePickListContext",
	"RD_xrtTblDatePickListContext",
	XmNxrtTblDatePickListContext,
	"XmNxrtTblDatePickListContext",
	XRTTBL_DATE_PICKLIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDatePickListContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumDatePickListContext,
	TRUE,
	TRUE
},
{
	"xrtTblDatePickListSeries",
	"RD_xrtTblDatePickListSeries",
	XmNxrtTblDatePickListSeries,
	"XmNxrtTblDatePickListSeries",
	XRTTBL_DATE_PICKLIST_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblDatePickListSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumDatePickListSeries,
	FALSE,
	TRUE
},
{
	"xrtTblFloatPickListContext",
	"RD_xrtTblFloatPickListContext",
	XmNxrtTblFloatPickListContext,
	"XmNxrtTblFloatPickListContext",
	XRTTBL_FLOAT_PICKLIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFloatPickListContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFloatPickListContext,
	TRUE,
	TRUE
},
{
	"xrtTblFloatPickListSeries",
	"RD_xrtTblFloatPickListSeries",
	XmNxrtTblFloatPickListSeries,
	"XmNxrtTblFloatPickListSeries",
	XRTTBL_FLOAT_PICKLIST_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblFloatPickListSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumFloatPickListSeries,
	FALSE,
	TRUE
},
{
	"xrtTblIntPickListContext",
	"RD_xrtTblIntPickListContext",
	XmNxrtTblIntPickListContext,
	"XmNxrtTblIntPickListContext",
	XRTTBL_INT_PICKLIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblIntPickListContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumIntPickListContext,
	TRUE,
	TRUE
},
{
	"xrtTblIntPickListSeries",
	"RD_xrtTblIntPickListSeries",
	XmNxrtTblIntPickListSeries,
	"XmNxrtTblIntPickListSeries",
	XRTTBL_INT_PICKLIST_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblIntPickListSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumIntPickListSeries,
	FALSE,
	TRUE
},
{
	"xrtTblPreviewScrolling",
	"RD_xrtTblPreviewScrolling",
	XmNxrtTblPreviewScrolling,
	"XmNxrtTblPreviewScrolling",
	XRTTBL_PREVIEW_SCROLLING,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblPreviewScrolling),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumPreviewScrolling,
	FALSE,
	TRUE
},
{
	"xrtTblResizeToCell",
	"RD_xrtTblResizeToCell",
	XmNxrtTblResizeToCell,
	"XmNxrtTblResizeToCell",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblResizeToCell),
	XRTDIV_CONSTRAINT,
	XRTPASS0,
	NULL,
	xrtTblResNumResizeToCell,
	FALSE,
	TRUE
},
{
	"xrtTblSensitiveContext",
	"RD_xrtTblSensitiveContext",
	XmNxrtTblSensitiveContext,
	"XmNxrtTblSensitiveContext",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSensitiveContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumSensitiveContext,
	FALSE,
	TRUE
},
{
	"xrtTblSensitiveSeries",
	"RD_xrtTblSensitiveSeries",
	XmNxrtTblSensitiveSeries,
	"XmNxrtTblSensitiveSeries",
	XRTTBL_BOOLEAN_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblSensitiveSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumSensitiveSeries,
	FALSE,
	TRUE
},
{
	"xrtTblStringPickListContext",
	"RD_xrtTblStringPickListContext",
	XmNxrtTblStringPickListContext,
	"XmNxrtTblStringPickListContext",
	XRTTBL_STRING_PICKLIST,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblStringPickListContext),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumStringPickListContext,
	TRUE,
	TRUE
},
{
	"xrtTblStringPickListSeries",
	"RD_xrtTblStringPickListSeries",
	XmNxrtTblStringPickListSeries,
	"XmNxrtTblStringPickListSeries",
	XRTTBL_STRING_PICKLIST_SERIES,
	{0, 0, 0},
	Offset(UxXrtTableClass, XrtTable.RD_xrtTblStringPickListSeries),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtTblResNumStringPickListSeries,
	FALSE,
	TRUE
}
};

int numtbl_res = (sizeof(xrttbl_res_table) / sizeof(xrttbl_res_table[0]));

XrtTblResourceDesc xrtlbl_res_table[] = {
{
	"alignment",
	"RD_alignment",
	XmNalignment,
	"XmNalignment",
	XRTTBL_ALIGNMENT_LABEL,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_alignment),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumAlignment,
	FALSE,
	TRUE
},
{
	"fontList",
	"RD_fontList",
	XmNfontList,
	"XmNfontList",
	XRTTBL_FONT_LIST,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_fontList),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumFontList,
	FALSE,
	TRUE
},
{
	"labelPixmap",
	"RD_labelPixmap",
	XmNlabelPixmap,
	"XmNlabelPixmap",
	XRTTBL_PIXMAP,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_labelPixmap),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumLabelPixmap,
	FALSE,
	TRUE
},
{
	"labelString",
	"RD_labelString",
	XmNlabelString,
	"XmNlabelString",
	XRTTBL_XMSTRING,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_labelString),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumLabelString,
	FALSE,
	TRUE
},
{
	"labelType",
	"RD_labelType",
	XmNlabelType,
	"XmNlabelType",
	XRTTBL_TYPE,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_labelType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumLabelType,
	FALSE,
	TRUE
},
{
	"marginHeight",
	"RD_marginHeight",
	XmNmarginHeight,
	"XmNmarginHeight",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_marginHeight),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumMarginHeight,
	FALSE,
	TRUE
},
{
	"marginWidth",
	"RD_marginWidth",
	XmNmarginWidth,
	"XmNmarginWidth",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_marginWidth),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumMarginWidth,
	FALSE,
	TRUE
},
{
	"recomputeSize",
	"RD_recomputeSize",
	XmNrecomputeSize,
	"XmNrecomputeSize",
	XRTTBL_BOOLEAN,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_recomputeSize),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumRecomputeSize,
	FALSE,
	TRUE
},
{
	"shadowThickness",
	"RD_shadowThickness",
	XmNshadowThickness,
	"XmNshadowThickness",
	XRTTBL_SHORT,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_shadowThickness),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumShadowThickness,
	FALSE,
	FALSE
},
{
	"stringDirection",
	"RD_stringDirection",
	XmNstringDirection,
	"XmNstringDirection",
	XRTTBL_STRING_DIRECTION,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_stringDirection),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumStringDirection,
	FALSE,
	TRUE
},
{
	"xrtLblBackgroundString",
	"RD_xrtLblBackgroundString",
	XmNxrtLblBackgroundString,
	"XmNxrtLblBackgroundString",
	XRTTBL_COLOR,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_xrtLblBackgroundString),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumBackgroundString,
	FALSE,
	TRUE
},
{
	"xrtLblBorderType",
	"RD_xrtLblBorderType",
	XmNxrtLblBorderType,
	"XmNxrtLblBorderType",
	XRTTBL_LABEL_BORDER_TYPE,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_xrtLblBorderType),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumBorderType,
	FALSE,
	TRUE
},
{
	"xrtLblForegroundString",
	"RD_xrtLblForegroundString",
	XmNxrtLblForegroundString,
	"XmNxrtLblForegroundString",
	XRTTBL_COLOR,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_xrtLblForegroundString),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumForegroundString,
	FALSE,
	TRUE
},
{
	"xrtLblRotation",
	"RD_xrtLblRotation",
	XmNxrtLblRotation,
	"XmNxrtLblRotation",
	XRTTBL_ROTATION,
	{0, 0, 0},
	Offset(UxXrtLabelClass, XrtLabel.RD_xrtLblRotation),
	XRTDIV_SPECIFIC,
	XRTPASS0,
	NULL,
	xrtLblResNumRotation,
	FALSE,
	TRUE
}
};

int numlbl_res = (sizeof(xrtlbl_res_table) / sizeof(xrtlbl_res_table[0]));

XrtResourceType **xrttbl_res_types = NULL;
int				numtbl_res_types;

void
XrtTbl_init_resource_types()
{
	XrtResourceType	*type;
	int				n;
	static Boolean	AlreadyDone = FALSE;

	if (AlreadyDone) {
		return;
	}

	n = 0;
	xrttbl_res_types = (XrtResourceType **)
		calloc(n+2, sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_ALIGNMENT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblAlignment;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblAlignment;
	type->validate = UxValidateXrtTblAlignment;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_ALIGNMENT_LABEL;
	type->utype = UxUT_string;
	type->xtype = UxXT_Alignment;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfAlignment;
	type->validate = UxValidateAlignment;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_ALIGNMENT_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblAlignmentSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblAlignmentSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblAlignmentSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_ATTACHMENT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblAttachment;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblAttachment;
	type->validate = UxValidateXrtTblAttachment;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_BOOLEAN;
	type->utype = UxUT_string;
	type->xtype = UxXT_Boolean;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfBoolean;
	type->validate = UxValidateBoolean;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_BOOLEAN_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblBooleanSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblBooleanSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblBooleanSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_BORDER_SIDES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblBorderSides;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblBorderSides;
	type->validate = UxValidateXrtTblBorderSides;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_BORDER_SIDES_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblBorderSidesSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblBorderSidesSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblBorderSideSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_BORDER_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblBorderType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblBorderType;
	type->validate = UxValidateXrtTblBorderType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_BORDER_TYPE_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblBorderTypeSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblBorderTypeSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblBorderTypeSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CASE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCase;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCase;
	type->validate = UxValidateXrtTblCase;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CASE_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCaseSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCaseSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblCaseSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CALLBACK;
	type->utype = (short) 0;
	type->xtype = 0;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = NULL;
	type->validate = NULL;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CELL_SIZE_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCellSizeSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCellSizeSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CELL_VALUES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCellValues;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCellValues;
	type->validate = UxValidateXrtTblCellValues;
	type->edit_func = UxPopupXrtTblCellValues;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_COLOR;
	type->utype = UxUT_string;
	type->xtype = UxXT_String;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfString;
	type->validate = UxValidateString;
	type->edit_func = UxGUIPopupColorView;
	type->get_func = NULL;
	type->put_func = NULL;
 	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_COLOR_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblColorSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblColorSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblColorSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_COLUMN_PLACEMENT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblColumnPlacement;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblColumnPlacement;
	type->validate = UxValidateXrtTblColumnPlacement;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CONTEXT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblContext;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblContext;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CURSOR_CORNER;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCursorCorner;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCursor;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CURSOR_HORIZONTAL;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCursorHorizontal;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCursor;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CURSOR_NON_TRAVERSABLE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCursorNonTrvrsbl;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCursor;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CURSOR_TRAVERSABLE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCursorTrvrsbl;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCursor;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CURSOR_VERTICAL;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCursorVertical;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCursor;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_DATA_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblDataType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblDataType;
	type->validate = UxValidateXrtTblDataType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_DATA_TYPE_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblDataTypeSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblDataTypeSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblDataTypeSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_DISP_SCROLLBAR;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblDispScrollBar;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblDispScrollBar;
	type->validate = UxValidateXrtTblDispScrollBar;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_DOUBLE_BUFFER;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblDoubleBuffer;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblDoubleBuffer;
	type->validate = UxValidateXrtTblDoubleBuffer;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_FONT_LIST;
	type->utype = UxUT_string;
#ifdef OLD_INTEG_18_COMPAT
	type->xtype = UxXT_XrtTblFontList;
#else
	type->xtype = UxXT_XmFontList;
#endif /* OLD_INTEG_18_COMPAT */
	type->convert_flag = 1;
	type->converter = NULL;
#ifdef OLD_INTEG_18_COMPAT
	type->values_of = UxValuesOfXrtTblFontList;
#else
	type->values_of = UxValuesOfXmFontList;
#endif /* OLD_INTEG_18_COMPAT */
	type->validate = UxValidateString;
	type->edit_func = UxGUIPopupFontView;
	type->get_func = NULL;
	type->put_func = NULL;
 	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_FONT_LIST_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblFontListSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblFontListSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblFontSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_INT;
	type->utype = UxUT_int;
	type->xtype = UxXT_int;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfInt;
	type->validate = UxValidateInt;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_INT_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblIntSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblIntSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_JUMP_SCROLL;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblJumpScroll;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblJumpScroll;
	type->validate = UxValidateXrtTblJumpScroll;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_LABEL_BORDER_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblLabelBorderType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblLabelBorderType;
	type->validate = UxValidateXrtTblLabelBorderType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_LOCATION;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblLocation;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblLocation;
	type->validate = UxValidateXrtTblLocation;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
    type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_MODE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblMode;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblMode;
	type->validate = UxValidateXrtTblMode;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_OVERFLOW;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblOverflow;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblOverflow;
	type->validate = UxValidateXrtTblOverflow;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_OVERFLOW_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblOverflowSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblOverflowSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblOverflowSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_PIXMAP;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblPixmap;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblPixmap;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
 	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_PIXMAP_LAYOUT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblPixmapLayout;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblPixmapLayout;
	type->validate = UxValidateXrtTblPixmapLayout;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_PIXMAP_LAYOUT_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblPixmapLayoutSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblPixmapLayoutSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblPixmapLayoutSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_PIXMAP_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblPixmapSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblPixmapSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblPixmapSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

    xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_PS_FONT_MAP_LIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblPSFontMapList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblPSFontMapList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_RANGE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblRange;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblRange;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_RANGE_LIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblRangeList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblRangeList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_REPAINT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblRepaint;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblRepaint;
	type->validate = UxValidateXrtTblRepaint;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_RESIZE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblResize;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblResize;
	type->validate = UxValidateXrtTblResize;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_ROTATION;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblRotation;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblRotation;
	type->validate = UxValidateXrtTblRotation;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_ROW_PLACEMENT;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblRowPlacement;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblRowPlacement;
	type->validate = UxValidateXrtTblRowPlacement;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_SELECTION_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblSelectionPolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblSelectionPolicy;
	type->validate = UxValidateXrtTblSelectionPolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_SCROLLBAR_POSITION;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblSBPosition;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblSBPosition;
	type->validate = UxValidateXrtTblSBPosition;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_SHORT;
	type->utype = UxUT_short;
	type->xtype = UxXT_short;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfInt;
	type->validate = UxValidateInt;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_STRING;
	type->utype = UxUT_string;
	type->xtype = UxXT_String;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfString;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_STRING_DIRECTION;
	type->utype = UxUT_string;
	type->xtype = UxXT_StringDirection;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfStringDirection;
	type->validate = UxValidateStringDirection;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_STRING_TABLE;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblStringTable;
	type->convert_flag = 1;
    type->converter = NULL;
    type->values_of = UxValuesOfStringTable;
    type->validate = UxValidateString;
    type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_STRING_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblStringSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblStringSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_TYPE;
	type->utype = UxUT_string;
	type->xtype = UxXT_LabelType;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfLabelType;
	type->validate = UxValidateLabelType;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_VALIDATE_POLICY;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblValidatePolicy;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblValidatePolicy;
	type->validate = UxValidateXrtTblValidatePolicy;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_VOID_FUNCTION;
	type->utype = UxUT_voidFunction;
	type->xtype = UxXT_String;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfVoidFunction;
	type->validate = UxValidateVoidFunction;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_WIDGET_CLASS_LIST;
	type->utype = UxUT_int;
	type->xtype = UxXT_Pointer;
	type->convert_flag = 0;
	type->converter = NULL;
	type->values_of = UxValuesOfPointer;
	type->validate = UxValidatePointer;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_WIDGET;
	type->utype = UxUT_string;
	type->xtype = UxXT_Widget;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfWidget;
	type->validate = UxValidateWidget;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
 	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_WIDGET_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblWidgetSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblWidgetSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
 	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_XMSTRING;
	type->utype = UxUT_string;
	type->xtype = UxXT_XmString;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXmString;
	type->validate = UxValidateXmString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
 	xrttbl_res_types[n++] = type;
	
	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_XMSTRING_GET;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblXmStringGetMode;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblXmStringGetMode;
	type->validate = UxValidateXrtTblXmStringGetMode;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_XMSTRING_LIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblXmStringList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblXmStringList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
 	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_XMSTRING_SET;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblXmStringSetMode;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblXmStringSetMode;
	type->validate = UxValidateXrtTblXmStringSetMode;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_XPIXEL;
	type->utype = UxUT_string;
	type->xtype = UxXT_Pixel;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblPixel;
	type->validate = UxValidateString;
	type->edit_func = UxGUIPopupColorView; /*pixel editor*/
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CURRENCY_PICKLIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCurrencyPickList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCurrencyPickList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_CURRENCY_PICKLIST_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblCurrencyPickListSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblCurrencyPickListSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_DATE_PICKLIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblDatePickList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblDatePickList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_DATE_PICKLIST_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblDatePickListSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblDatePickListSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_FLOAT_PICKLIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblFloatPickList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblFloatPickList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_FLOAT_PICKLIST_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblFloatPickListSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblFloatPickListSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_INT_PICKLIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblIntPickList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblIntPickList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_INT_PICKLIST_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblIntPickListSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblIntPickListSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_PREVIEW_SCROLLING;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblPreviewScrolling;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblPreviewScrolling;
	type->validate = UxValidateXrtTblPreviewScrolling;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_STRING_PICKLIST;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblStringPickList;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblStringPickList;
	type->validate = UxValidateString;
	type->edit_func = NULL;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

	xrttbl_res_types = (XrtResourceType **)
		realloc(xrttbl_res_types, (n+2) * sizeof(XrtResourceType *));
	type = (XrtResourceType *) calloc (1, sizeof(XrtResourceType));
	type->datatype.type_table = XRTTBL_STRING_PICKLIST_SERIES;
	type->utype = UxUT_string;
	type->xtype = UxXT_XrtTblStringPickListSeries;
	type->convert_flag = 1;
	type->converter = NULL;
	type->values_of = UxValuesOfXrtTblStringPickListSeries;
	type->validate = UxValidateString;
	type->edit_func = UxPopupXrtTblSeriesEditor;
	type->get_func = NULL;
	type->put_func = NULL;
	xrttbl_res_types[n++] = type;

 	xrttbl_res_types[n] = NULL;
	numtbl_res_types = n;
	AlreadyDone = TRUE;

}

static void
XrtTbl_initialize_resources(table, nres, nres_string)
XrtTblResourceDesc	*table;
int					nres;
char				*nres_string;
{
	int		itype, n;
	char	buffer[128];
	
	for (n = 0; n < nres; n++) {
		itype = (int) table[n].res_type;
		table[n].type = xrttbl_res_types[itype];
		if ( (int) table[n].resnum != n) {
			sprintf(buffer,
					"Table resource number (%d) & table number (%d) unequal!",
					(int) table[n].resnum, n);
			printf("%s\n", buffer);
		}
	}

}

void
XrtTbl_init_resource_table()
{
	static Boolean	AlreadyDone = FALSE;

	if (AlreadyDone) {
		return;
	}

	XrtTbl_init_resource_types();
	
	XrtTbl_initialize_resources(xrttbl_res_table, numtbl_res, "numtbl_res");
	XrtTbl_initialize_resources(xrtlbl_res_table, numlbl_res, "numlbl_res");
	AlreadyDone = TRUE;

}
